** TODO Emacs [65/338] :emacs:
:PROPERTIES:
:ID:       Emacs-2024-02-28-16-52-30
:CATEGORY: Bits
:ORG_GTD:  Projects
:END:

[2024-02-28 Wed 16:14]

*** NEXT [[https://github.com/Trevoke/org-gtd.el/issues/109][Refile GTD knowledge as org-roam]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Refile-GTD-knowledge-as-org-roam-2026-03-30-20-19-03
:END:

#+begin_src elisp
(defun my/org-gtd-roam-knowledge-func ()
  (setq-local org-gtd--organize-type 'knowledge)
  (org-gtd-organize-apply-hooks)
  (org-delete-property "ID")
  (when (yes-or-no-p "Does this need to be ID'd? ")
    (org-set-property "ID" (org-id-new)))
  (org-copy-subtree)
  (org-paste-subtree)
  (goto-char (point-min))
  ;; Do not cancel out here (otherwise double up headings)
  (org-roam-refile))

(setq org-gtd-knowledge-func #'my/org-gtd-roam-knowledge-func)
#+end_src

*** TODO [0/7] Reorganize this file to follow Emacs manual
:PROPERTIES:
:CREATED:  [2023-07-12 Wed 21:37]
:ORG_GTD:  Projects
:ID:       Reorganize-this-file-to-follow-Emacs-manual-2026-03-30-20-19-03
:END:
:LOGBOOK:
- State "DONE"       from "DONE"       [2023-07-28 Fri 13:25]
- State "DONE"       from              [2023-07-28 Fri 13:24]
:END:

**** TODO Menu
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Menu-2026-03-30-20-19-04
:END:
***** TODO Distribution
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Distribution-2026-03-30-20-19-04
:END:
***** TODO Introduction
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Introduction-2026-03-30-20-19-04
:END:
**** TODO Important General Concepts
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Important-General-Concepts-2026-03-30-20-19-04
:END:
***** TODO 1 The Organization of the Screen
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       1-The-Organization-of-the-Screen-2026-03-30-20-19-04
:END:
****** TODO 1.1 Point
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       1-dot-1-Point-2026-03-30-20-19-04
:END:
****** TODO 1.2 The Echo Area
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       1-dot-2-The-Echo-Area-2026-03-30-20-19-04
:END:
****** TODO 1.3 The Mode Line
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       1-dot-3-The-Mode-Line-2026-03-30-20-19-04
:END:
****** TODO 1.4 The Menu Bar
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       1-dot-4-The-Menu-Bar-2026-03-30-20-19-04
:END:
***** TODO 2 Kinds of User Input
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       2-Kinds-of-User-Input-2026-03-30-20-19-04
:END:
***** TODO 3 Keys
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       3-Keys-2026-03-30-20-19-04
:END:
***** TODO 4 Keys and Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       4-Keys-and-Commands-2026-03-30-20-19-04
:END:
***** TODO 5 Entering Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       5-Entering-Emacs-2026-03-30-20-19-04
:END:
***** TODO 6 Exiting Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       6-Exiting-Emacs-2026-03-30-20-19-04
:END:
**** TODO Fundamental Editing Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Fundamental-Editing-Commands-2026-03-30-20-19-04
:END:
***** TODO 7 Basic Editing Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-Basic-Editing-Commands-2026-03-30-20-19-04
:END:
****** TODO 7.1 Inserting Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-1-Inserting-Text-2026-03-30-20-19-04
:END:
****** TODO 7.2 Changing the Location of Point
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-2-Changing-the-Location-of-Point-2026-03-30-20-19-04
:END:
****** TODO 7.3 Erasing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-3-Erasing-2026-03-30-20-19-04
:END:
****** TODO 7.4 Undoing Changes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-4-Undoing-Changes-2026-03-30-20-19-04
:END:
****** TODO 7.5 Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-5-Files-2026-03-30-20-19-04
:END:
****** TODO 7.6 Help
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-6-Help-2026-03-30-20-19-04
:END:
****** TODO 7.7 Blank Lines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-7-Blank-Lines-2026-03-30-20-19-04
:END:
****** TODO 7.8 Continuation Lines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-8-Continuation-Lines-2026-03-30-20-19-04
:END:
****** TODO 7.9 Cursor Position Information
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-9-Cursor-Position-Information-2026-03-30-20-19-04
:END:
****** TODO 7.10 Numeric Arguments
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-10-Numeric-Arguments-2026-03-30-20-19-04
:END:
****** TODO 7.11 Repeating a Command
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       7-dot-11-Repeating-a-Command-2026-03-30-20-19-04
:END:
***** TODO 8 The Minibuffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-The-Minibuffer-2026-03-30-20-19-04
:END:
****** TODO 8.1 Using the Minibuffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-1-Using-the-Minibuffer-2026-03-30-20-19-04
:END:
****** TODO 8.2 Minibuffers for File Names
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-2-Minibuffers-for-File-Names-2026-03-30-20-19-04
:END:
****** TODO 8.3 Editing in the Minibuffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-3-Editing-in-the-Minibuffer-2026-03-30-20-19-04
:END:
****** TODO 8.4 Completion
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-4-Completion-2026-03-30-20-19-04
:END:
****** TODO 8.4.1 Completion Example
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-4-dot-1-Completion-Example-2026-03-30-20-19-04
:END:
****** TODO 8.4.2 Completion Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-4-dot-2-Completion-Commands-2026-03-30-20-19-04
:END:
****** TODO 8.4.3 Completion Exit
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-4-dot-3-Completion-Exit-2026-03-30-20-19-04
:END:
****** TODO 8.4.4 How Completion Alternatives Are Chosen
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-4-dot-4-How-Completion-Alternatives-Are-2026-03-30-20-19-04
:END:
****** TODO 8.4.5 Completion Options
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-4-dot-5-Completion-Options-2026-03-30-20-19-04
:END:
****** TODO 8.5 Minibuffer History
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-5-Minibuffer-History-2026-03-30-20-19-04
:END:
****** TODO 8.6 Repeating Minibuffer Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-6-Repeating-Minibuffer-Commands-2026-03-30-20-19-04
:END:
****** TODO 8.7 Entering passwords
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-7-Entering-passwords-2026-03-30-20-19-04
:END:
****** TODO 8.8 Yes or No Prompts
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       8-dot-8-Yes-or-No-Prompts-2026-03-30-20-19-04
:END:
***** TODO 9 Running Commands by Name
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       9-Running-Commands-by-Name-2026-03-30-20-19-04
:END:
***** TODO 10 Help
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-Help-2026-03-30-20-19-04
:END:
****** TODO 10.1 Help Summary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-1-Help-Summary-2026-03-30-20-19-04
:END:
****** TODO 10.2 Documentation for a Key
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-2-Documentation-for-a-Key-2026-03-30-20-19-04
:END:
****** TODO 10.3 Help by Command or Variable Name
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-3-Help-by-Command-or-Variable-Name-2026-03-30-20-19-04
:END:
****** TODO 10.4 Apropos
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-4-Apropos-2026-03-30-20-19-04
:END:
****** TODO 10.5 Help Mode Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-5-Help-Mode-Commands-2026-03-30-20-19-04
:END:
****** TODO 10.6 Keyword Search for Packages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-6-Keyword-Search-for-Packages-2026-03-30-20-19-04
:END:
****** TODO 10.7 Help for International Language Support
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-7-Help-for-International-Language-Support-2026-03-30-20-19-04
:END:
****** TODO 10.8 Other Help Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-8-Other-Help-Commands-2026-03-30-20-19-04
:END:
****** TODO 10.9 Help Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-9-Help-Files-2026-03-30-20-19-04
:END:
****** TODO 10.10 Help on Active Text and Tooltips
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       10-dot-10-Help-on-Active-Text-and-Tooltips-2026-03-30-20-19-04
:END:
**** TODO Important Text-Changing Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Important-Text-Changing-Commands-2026-03-30-20-19-04
:END:
***** TODO 11 The Mark and the Region
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-The-Mark-and-the-Region-2026-03-30-20-19-04
:END:
****** TODO 11.1 Setting the Mark
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-dot-1-Setting-the-Mark-2026-03-30-20-19-04
:END:
****** TODO 11.2 Commands to Mark Textual Objects
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-dot-2-Commands-to-Mark-Textual-Objects-2026-03-30-20-19-04
:END:
****** TODO 11.3 Operating on the Region
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-dot-3-Operating-on-the-Region-2026-03-30-20-19-04
:END:
****** TODO 11.4 The Mark Ring
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-dot-4-The-Mark-Ring-2026-03-30-20-19-04
:END:
****** TODO 11.5 The Global Mark Ring
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-dot-5-The-Global-Mark-Ring-2026-03-30-20-19-04
:END:
****** TODO 11.6 Shift Selection
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-dot-6-Shift-Selection-2026-03-30-20-19-04
:END:
****** TODO 11.7 Disabling Transient Mark Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       11-dot-7-Disabling-Transient-Mark-Mode-2026-03-30-20-19-04
:END:
****** TODO 12 Killing and Moving Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-Killing-and-Moving-Text-2026-03-30-20-19-04
:END:
****** TODO 12.1 Deletion and Killing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-1-Deletion-and-Killing-2026-03-30-20-19-04
:END:
****** TODO 12.1.1 Deletion
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-1-dot-1-Deletion-2026-03-30-20-19-04
:END:
****** TODO 12.1.2 Killing by Lines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-1-dot-2-Killing-by-Lines-2026-03-30-20-19-04
:END:
****** TODO 12.1.3 Other Kill Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-1-dot-3-Other-Kill-Commands-2026-03-30-20-19-04
:END:
****** TODO 12.1.4 Options for Killing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-1-dot-4-Options-for-Killing-2026-03-30-20-19-04
:END:
****** TODO 12.2 Yanking
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-2-Yanking-2026-03-30-20-19-04
:END:
******* TODO 12.2.1 The Kill Ring
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-2-dot-1-The-Kill-Ring-2026-03-30-20-19-04
:END:
******* TODO 12.2.2 Yanking Earlier Kills
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-2-dot-2-Yanking-Earlier-Kills-2026-03-30-20-19-04
:END:
******* TODO 12.2.3 Appending Kills
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-2-dot-3-Appending-Kills-2026-03-30-20-19-04
:END:
****** TODO 12.3 “Cut and Paste” Operations on Graphical Displays
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-3-Cut-and-Paste-Operations-on-Graphical-2026-03-30-20-19-04
:END:
******* TODO 12.3.1 Using the Clipboard
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-3-dot-1-Using-the-Clipboard-2026-03-30-20-19-04
:END:
******* TODO 12.3.2 Cut and Paste with Other Window Applications
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-3-dot-2-Cut-and-Paste-with-Other-Window-2026-03-30-20-19-05
:END:
******* TODO 12.3.3 Secondary Selection
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-3-dot-3-Secondary-Selection-2026-03-30-20-19-05
:END:
****** TODO 12.4 Accumulating Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-4-Accumulating-Text-2026-03-30-20-19-05
:END:
****** TODO 12.5 Rectangles
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-5-Rectangles-2026-03-30-20-19-05
:END:
****** TODO 12.6 CUA Bindings
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       12-dot-6-CUA-Bindings-2026-03-30-20-19-05
:END:
***** TODO 13 Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.1 Saving Positions in Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-1-Saving-Positions-in-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.2 Saving Text in Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-2-Saving-Text-in-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.3 Saving Rectangles in Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-3-Saving-Rectangles-in-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.4 Saving Window Configurations in Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-4-Saving-Window-Configurations-in-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.5 Keeping Numbers in Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-5-Keeping-Numbers-in-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.6 Keeping File Names in Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-6-Keeping-File-Names-in-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.7 Keyboard Macro Registers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-7-Keyboard-Macro-Registers-2026-03-30-20-19-05
:END:
****** TODO 13.8 Bookmarks
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       13-dot-8-Bookmarks-2026-03-30-20-19-05
:END:
***** TODO 14 Controlling the Display
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-Controlling-the-Display-2026-03-30-20-19-05
:END:
****** TODO 14.1 Scrolling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-1-Scrolling-2026-03-30-20-19-05
:END:
****** TODO 14.2 Recentering
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-2-Recentering-2026-03-30-20-19-05
:END:
****** TODO 14.3 Automatic Scrolling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-3-Automatic-Scrolling-2026-03-30-20-19-05
:END:
****** TODO 14.4 Horizontal Scrolling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-4-Horizontal-Scrolling-2026-03-30-20-19-05
:END:
****** TODO 14.5 Narrowing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-5-Narrowing-2026-03-30-20-19-05
:END:
****** TODO 14.6 View Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-6-View-Mode-2026-03-30-20-19-05
:END:
****** TODO 14.7 Follow Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-7-Follow-Mode-2026-03-30-20-19-05
:END:
****** TODO 14.8 Text Faces
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-8-Text-Faces-2026-03-30-20-19-05
:END:
****** TODO 14.9 Colors for Faces
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-9-Colors-for-Faces-2026-03-30-20-19-05
:END:
****** TODO 14.9.1 Color Names
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-9-dot-1-Color-Names-2026-03-30-20-19-05
:END:
****** TODO 14.9.2 RGB Triplets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-9-dot-2-RGB-Triplets-2026-03-30-20-19-05
:END:
****** TODO 14.10 Standard Faces
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-10-Standard-Faces-2026-03-30-20-19-05
:END:
****** TODO 14.11 Text Scale
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-11-Text-Scale-2026-03-30-20-19-05
:END:
****** TODO 14.12 Font Lock mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-12-Font-Lock-mode-2026-03-30-20-19-05
:END:
****** TODO 14.13 Interactive Highlighting
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-13-Interactive-Highlighting-2026-03-30-20-19-05
:END:
****** TODO 14.14 Window Fringes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-14-Window-Fringes-2026-03-30-20-19-05
:END:
****** TODO 14.15 Displaying Boundaries
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-15-Displaying-Boundaries-2026-03-30-20-19-05
:END:
****** TODO 14.16 Useless Whitespace
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-16-Useless-Whitespace-2026-03-30-20-19-05
:END:
****** TODO 14.17 Selective Display
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-17-Selective-Display-2026-03-30-20-19-05
:END:
****** TODO 14.18 Optional Mode Line Features
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-18-Optional-Mode-Line-Features-2026-03-30-20-19-05
:END:
****** TODO 14.19 How Text Is Displayed
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-19-How-Text-Is-Displayed-2026-03-30-20-19-05
:END:
****** TODO 14.20 Displaying the Cursor
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-20-Displaying-the-Cursor-2026-03-30-20-19-05
:END:
****** TODO 14.21 Line Truncation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-21-Line-Truncation-2026-03-30-20-19-05
:END:
****** TODO 14.22 Visual Line Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-22-Visual-Line-Mode-2026-03-30-20-19-05
:END:
****** TODO 14.23 Customization of Display
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       14-dot-23-Customization-of-Display-2026-03-30-20-19-05
:END:
***** TODO 15 Searching and Replacement
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-Searching-and-Replacement-2026-03-30-20-19-05
:END:
****** TODO 15.1 Incremental Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-Incremental-Search-2026-03-30-20-19-05
:END:
******* TODO 15.1.1 Basics of Incremental Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-dot-1-Basics-of-Incremental-Search-2026-03-30-20-19-05
:END:
******* TODO 15.1.2 Repeating Incremental Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-dot-2-Repeating-Incremental-Search-2026-03-30-20-19-05
:END:
******* TODO 15.1.3 Isearch Yanking
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-dot-3-Isearch-Yanking-2026-03-30-20-19-05
:END:
******* TODO 15.1.4 Errors in Incremental Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-dot-4-Errors-in-Incremental-Search-2026-03-30-20-19-05
:END:
******* TODO 15.1.5 Special Input for Incremental Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-dot-5-Special-Input-for-Incremental-2026-03-30-20-19-05
:END:
******* TODO 15.1.6 Not Exiting Incremental Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-dot-6-Not-Exiting-Incremental-Search-2026-03-30-20-19-05
:END:
******* TODO 15.1.7 Searching the Minibuffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-1-dot-7-Searching-the-Minibuffer-2026-03-30-20-19-05
:END:
****** TODO 15.2 Nonincremental Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-2-Nonincremental-Search-2026-03-30-20-19-05
:END:
****** TODO 15.3 Word Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-3-Word-Search-2026-03-30-20-19-05
:END:
****** TODO 15.4 Symbol Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-4-Symbol-Search-2026-03-30-20-19-05
:END:
****** TODO 15.5 Regular Expression Search
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-5-Regular-Expression-Search-2026-03-30-20-19-05
:END:
****** TODO 15.6 Syntax of Regular Expressions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-6-Syntax-of-Regular-Expressions-2026-03-30-20-19-05
:END:
****** TODO 15.7 Backslash in Regular Expressions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-7-Backslash-in-Regular-Expressions-2026-03-30-20-19-05
:END:
****** TODO 15.8 Regular Expression Example
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-8-Regular-Expression-Example-2026-03-30-20-19-05
:END:
****** TODO 15.9 Lax Matching During Searching
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-9-Lax-Matching-During-Searching-2026-03-30-20-19-05
:END:
****** TODO 15.10 Replacement Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-10-Replacement-Commands-2026-03-30-20-19-05
:END:
******* TODO 15.10.1 Unconditional Replacement
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-10-dot-1-Unconditional-Replacement-2026-03-30-20-19-05
:END:
******* TODO 15.10.2 Regexp Replacement
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-10-dot-2-Regexp-Replacement-2026-03-30-20-19-05
:END:
******* TODO 15.10.3 Replace Commands and Lax Matches
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-10-dot-3-Replace-Commands-and-Lax-Matches-2026-03-30-20-19-05
:END:
******* TODO 15.10.4 Query Replace
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-10-dot-4-Query-Replace-2026-03-30-20-19-05
:END:
****** TODO 15.11 Other Search-and-Loop Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-11-Other-Search-and-Loop-Commands-2026-03-30-20-19-05
:END:
****** TODO 15.12 Tailoring Search to Your Needs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       15-dot-12-Tailoring-Search-to-Your-Needs-2026-03-30-20-19-05
:END:
***** TODO 16 Commands for Fixing Typos
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       16-Commands-for-Fixing-Typos-2026-03-30-20-19-05
:END:
****** TODO 16.1 Undo
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       16-dot-1-Undo-2026-03-30-20-19-05
:END:
****** TODO 16.2 Transposing Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       16-dot-2-Transposing-Text-2026-03-30-20-19-05
:END:
****** TODO 16.3 Case Conversion
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       16-dot-3-Case-Conversion-2026-03-30-20-19-05
:END:
****** TODO 16.4 Checking and Correcting Spelling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       16-dot-4-Checking-and-Correcting-Spelling-2026-03-30-20-19-05
:END:
***** TODO 17 Keyboard Macros
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-Keyboard-Macros-2026-03-30-20-19-05
:END:
****** TODO 17.1 Basic Use
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-dot-1-Basic-Use-2026-03-30-20-19-05
:END:
****** TODO 17.2 The Keyboard Macro Ring
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-dot-2-The-Keyboard-Macro-Ring-2026-03-30-20-19-05
:END:
****** TODO 17.3 The Keyboard Macro Counter
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-dot-3-The-Keyboard-Macro-Counter-2026-03-30-20-19-06
:END:
****** TODO 17.4 Executing Macros with Variations
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-dot-4-Executing-Macros-with-Variations-2026-03-30-20-19-06
:END:
****** TODO 17.5 Naming and Saving Keyboard Macros
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-dot-5-Naming-and-Saving-Keyboard-Macros-2026-03-30-20-19-06
:END:
****** TODO 17.6 Editing a Keyboard Macro
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-dot-6-Editing-a-Keyboard-Macro-2026-03-30-20-19-06
:END:
****** TODO 17.7 Stepwise Editing a Keyboard Macro
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       17-dot-7-Stepwise-Editing-a-Keyboard-Macro-2026-03-30-20-19-06
:END:
**** TODO Major Structures of Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Major-Structures-of-Emacs-2026-03-30-20-19-06
:END:
***** TODO 18 File Handling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-File-Handling-2026-03-30-20-19-06
:END:
****** TODO 18.1 File Names
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-1-File-Names-2026-03-30-20-19-06
:END:
****** TODO 18.2 Visiting Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-2-Visiting-Files-2026-03-30-20-19-06
:END:
****** TODO 18.3 Saving Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-Saving-Files-2026-03-30-20-19-06
:END:
******* TODO 18.3.1 Commands for Saving Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-1-Commands-for-Saving-Files-2026-03-30-20-19-06
:END:
******* TODO 18.3.2 Backup Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-2-Backup-Files-2026-03-30-20-19-06
:END:
******** TODO 18.3.2.1 Single or Numbered Backups
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-2-dot-1-Single-or-Numbered-Backups-2026-03-30-20-19-06
:END:
******** TODO 18.3.2.2 Automatic Deletion of Backups
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-2-dot-2-Automatic-Deletion-of-Backups-2026-03-30-20-19-06
:END:
******** TODO 18.3.2.3 Copying vs. Renaming
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-2-dot-3-Copying-vs-dot-Renaming-2026-03-30-20-19-06
:END:
******* TODO 18.3.3 Customizing Saving of Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-3-Customizing-Saving-of-Files-2026-03-30-20-19-06
:END:
******* TODO 18.3.4 Protection against Simultaneous Editing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-4-Protection-against-Simultaneous-2026-03-30-20-19-06
:END:
******* TODO 18.3.5 Shadowing Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-5-Shadowing-Files-2026-03-30-20-19-06
:END:
******* TODO 18.3.6 Updating Time Stamps Automatically
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-3-dot-6-Updating-Time-Stamps-Automatically-2026-03-30-20-19-06
:END:
****** TODO 18.4 Reverting a Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-4-Reverting-a-Buffer-2026-03-30-20-19-06
:END:
****** TODO 18.5 Auto Revert: Keeping buffers automatically up-to-date
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-5-Auto-Revert-Keeping-buffers-2026-03-30-20-19-06
:END:
******* TODO 18.5.1 Auto Reverting Non-File Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-5-dot-1-Auto-Reverting-Non-File-Buffers-2026-03-30-20-19-06
:END:
******** TODO 18.5.1.1 Auto Reverting the Buffer Menu
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-5-dot-1-dot-1-Auto-Reverting-the-Buffer-2026-03-30-20-19-06
:END:
******** TODO 18.5.1.2 Auto Reverting Dired buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-5-dot-1-dot-2-Auto-Reverting-Dired-buffers-2026-03-30-20-19-06
:END:
****** TODO 18.6 Auto-Saving: Protection Against Disasters
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-6-Auto-Saving-Protection-Against-Disasters-2026-03-30-20-19-06
:END:
******* TODO 18.6.1 Auto-Save Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-6-dot-1-Auto-Save-Files-2026-03-30-20-19-06
:END:
******* TODO 18.6.2 Controlling Auto-Saving
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-6-dot-2-Controlling-Auto-Saving-2026-03-30-20-19-06
:END:
******* TODO 18.6.3 Recovering Data from Auto-Saves
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-6-dot-3-Recovering-Data-from-Auto-Saves-2026-03-30-20-19-06
:END:
****** TODO 18.7 File Name Aliases
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-7-File-Name-Aliases-2026-03-30-20-19-06
:END:
****** TODO 18.8 File Directories
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-8-File-Directories-2026-03-30-20-19-06
:END:
****** TODO 18.9 Comparing Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-9-Comparing-Files-2026-03-30-20-19-06
:END:
****** TODO 18.10 Diff Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-10-Diff-Mode-2026-03-30-20-19-06
:END:
****** TODO 18.11 Copying, Naming and Renaming Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-11-Copying-Naming-and-Renaming-Files-2026-03-30-20-19-06
:END:
****** TODO 18.12 Miscellaneous File Operations
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-12-Miscellaneous-File-Operations-2026-03-30-20-19-06
:END:
****** TODO 18.13 Accessing Compressed Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-13-Accessing-Compressed-Files-2026-03-30-20-19-06
:END:
****** TODO 18.14 File Archives
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-14-File-Archives-2026-03-30-20-19-06
:END:
****** TODO 18.15 Remote Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-15-Remote-Files-2026-03-30-20-19-06
:END:
****** TODO 18.16 Quoted File Names
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-16-Quoted-File-Names-2026-03-30-20-19-06
:END:
****** TODO 18.17 File Name Cache
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-17-File-Name-Cache-2026-03-30-20-19-06
:END:
****** TODO 18.18 Convenience Features for Finding Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-18-Convenience-Features-for-Finding-Files-2026-03-30-20-19-06
:END:
****** TODO 18.19 Viewing Image Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-19-Viewing-Image-Files-2026-03-30-20-19-06
:END:
****** TODO 18.20 Filesets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       18-dot-20-Filesets-2026-03-30-20-19-06
:END:
***** TODO 19 Using Multiple Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-Using-Multiple-Buffers-2026-03-30-20-19-06
:END:
****** TODO 19.1 Creating and Selecting Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-1-Creating-and-Selecting-Buffers-2026-03-30-20-19-06
:END:
****** TODO 19.2 Listing Existing Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-2-Listing-Existing-Buffers-2026-03-30-20-19-06
:END:
****** TODO 19.3 Miscellaneous Buffer Operations
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-3-Miscellaneous-Buffer-Operations-2026-03-30-20-19-06
:END:
****** TODO 19.4 Killing Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-4-Killing-Buffers-2026-03-30-20-19-06
:END:
****** TODO 19.5 Operating on Several Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-5-Operating-on-Several-Buffers-2026-03-30-20-19-06
:END:
****** TODO 19.6 Indirect Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-6-Indirect-Buffers-2026-03-30-20-19-06
:END:
****** TODO 19.7 Convenience Features and Customization of Buffer Handling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-7-Convenience-Features-and-Customization-2026-03-30-20-19-06
:END:
******* TODO 19.7.1 Making Buffer Names Unique
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-7-dot-1-Making-Buffer-Names-Unique-2026-03-30-20-19-06
:END:
******* TODO 19.7.2 Fast minibuffer selection
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-7-dot-2-Fast-minibuffer-selection-2026-03-30-20-19-06
:END:
******* TODO 19.7.3 Customizing Buffer Menus
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       19-dot-7-dot-3-Customizing-Buffer-Menus-2026-03-30-20-19-06
:END:
***** TODO 20 Multiple Windows
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-Multiple-Windows-2026-03-30-20-19-06
:END:
****** TODO 20.1 Concepts of Emacs Windows
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-1-Concepts-of-Emacs-Windows-2026-03-30-20-19-06
:END:
****** TODO 20.2 Splitting Windows
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-2-Splitting-Windows-2026-03-30-20-19-07
:END:
****** TODO 20.3 Using Other Windows
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-3-Using-Other-Windows-2026-03-30-20-19-07
:END:
****** TODO 20.4 Displaying in Another Window
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-4-Displaying-in-Another-Window-2026-03-30-20-19-07
:END:
****** TODO 20.5 Deleting and Resizing Windows
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-5-Deleting-and-Resizing-Windows-2026-03-30-20-19-07
:END:
****** TODO 20.6 Displaying a Buffer in a Window
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-6-Displaying-a-Buffer-in-a-Window-2026-03-30-20-19-07
:END:
******* TODO 20.6.1 How display-buffer works
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-6-dot-1-How-display-buffer-works-2026-03-30-20-19-07
:END:
******* TODO 20.6.2 Displaying non-editable buffers.
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-6-dot-2-Displaying-non-editable-buffers-dot-2026-03-30-20-19-07
:END:
****** TODO 20.7 Convenience Features for Window Handling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-7-Convenience-Features-for-Window-Handling-2026-03-30-20-19-07
:END:
****** TODO 20.8 Window Tab Line
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       20-dot-8-Window-Tab-Line-2026-03-30-20-19-07
:END:
***** TODO 21 Frames and Graphical Displays
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-Frames-and-Graphical-Displays-2026-03-30-20-19-07
:END:
****** TODO 21.1 Mouse Commands for Editing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-1-Mouse-Commands-for-Editing-2026-03-30-20-19-07
:END:
****** TODO 21.2 Mouse Commands for Words and Lines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-2-Mouse-Commands-for-Words-and-Lines-2026-03-30-20-19-07
:END:
****** TODO 21.3 Following References with the Mouse
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-3-Following-References-with-the-Mouse-2026-03-30-20-19-07
:END:
****** TODO 21.4 Mouse Clicks for Menus
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-4-Mouse-Clicks-for-Menus-2026-03-30-20-19-07
:END:
****** TODO 21.5 Mode Line Mouse Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-5-Mode-Line-Mouse-Commands-2026-03-30-20-19-07
:END:
****** TODO 21.6 Creating Frames
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-6-Creating-Frames-2026-03-30-20-19-07
:END:
****** TODO 21.7 Frame Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-7-Frame-Commands-2026-03-30-20-19-07
:END:
****** TODO 21.8 Fonts
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-8-Fonts-2026-03-30-20-19-07
:END:
****** TODO 21.9 Speedbar Frames
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-9-Speedbar-Frames-2026-03-30-20-19-07
:END:
****** TODO 21.10 Multiple Displays
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-10-Multiple-Displays-2026-03-30-20-19-07
:END:
****** TODO 21.11 Frame Parameters
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-11-Frame-Parameters-2026-03-30-20-19-07
:END:
****** TODO 21.12 Scroll Bars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-12-Scroll-Bars-2026-03-30-20-19-07
:END:
****** TODO 21.13 Window Dividers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-13-Window-Dividers-2026-03-30-20-19-07
:END:
****** TODO 21.14 Drag and Drop
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-14-Drag-and-Drop-2026-03-30-20-19-07
:END:
****** TODO 21.15 Menu Bars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-15-Menu-Bars-2026-03-30-20-19-07
:END:
****** TODO 21.16 Tool Bars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-16-Tool-Bars-2026-03-30-20-19-07
:END:
****** TODO 21.17 Tab Bars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-17-Tab-Bars-2026-03-30-20-19-07
:END:
****** TODO 21.18 Using Dialog Boxes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-18-Using-Dialog-Boxes-2026-03-30-20-19-07
:END:
****** TODO 21.19 Tooltips
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-19-Tooltips-2026-03-30-20-19-07
:END:
****** TODO 21.20 Mouse Avoidance
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-20-Mouse-Avoidance-2026-03-30-20-19-07
:END:
****** TODO 21.21 Non-Window Terminals
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-21-Non-Window-Terminals-2026-03-30-20-19-07
:END:
****** TODO 21.22 Using a Mouse in Text Terminals
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       21-dot-22-Using-a-Mouse-in-Text-Terminals-2026-03-30-20-19-07
:END:
***** TODO 22 International Character Set Support
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-International-Character-Set-Support-2026-03-30-20-19-07
:END:
****** TODO 22.1 Introduction to International Character Sets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-1-Introduction-to-International-Character-2026-03-30-20-19-07
:END:
****** TODO 22.2 Language Environments
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-2-Language-Environments-2026-03-30-20-19-07
:END:
****** TODO 22.3 Input Methods
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-3-Input-Methods-2026-03-30-20-19-07
:END:
****** TODO 22.4 Selecting an Input Method
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-4-Selecting-an-Input-Method-2026-03-30-20-19-07
:END:
****** TODO 22.5 Coding Systems
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-5-Coding-Systems-2026-03-30-20-19-07
:END:
****** TODO 22.6 Recognizing Coding Systems
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-6-Recognizing-Coding-Systems-2026-03-30-20-19-07
:END:
****** TODO 22.7 Specifying a File’s Coding System
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-7-Specifying-a-File-s-Coding-System-2026-03-30-20-19-07
:END:
****** TODO 22.8 Choosing Coding Systems for Output
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-8-Choosing-Coding-Systems-for-Output-2026-03-30-20-19-07
:END:
****** TODO 22.9 Specifying a Coding System for File Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-9-Specifying-a-Coding-System-for-File-Text-2026-03-30-20-19-07
:END:
****** TODO 22.10 Coding Systems for Interprocess Communication
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-10-Coding-Systems-for-Interprocess-2026-03-30-20-19-07
:END:
****** TODO 22.11 Coding Systems for File Names
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-11-Coding-Systems-for-File-Names-2026-03-30-20-19-07
:END:
****** TODO 22.12 Coding Systems for Terminal I/O
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-12-Coding-Systems-for-Terminal-I-O-2026-03-30-20-19-07
:END:
****** TODO 22.13 Fontsets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-13-Fontsets-2026-03-30-20-19-07
:END:
****** TODO 22.14 Defining Fontsets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-14-Defining-Fontsets-2026-03-30-20-19-07
:END:
****** TODO 22.15 Modifying Fontsets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-15-Modifying-Fontsets-2026-03-30-20-19-07
:END:
****** TODO 22.16 Undisplayable Characters
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-16-Undisplayable-Characters-2026-03-30-20-19-07
:END:
****** TODO 22.17 Unibyte Editing Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-17-Unibyte-Editing-Mode-2026-03-30-20-19-07
:END:
****** TODO 22.18 Charsets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-18-Charsets-2026-03-30-20-19-07
:END:
****** TODO 22.19 Bidirectional Editing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       22-dot-19-Bidirectional-Editing-2026-03-30-20-19-07
:END:
**** TODO Advanced Features
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Advanced-Features-2026-03-30-20-19-07
:END:
***** TODO 23 Major and Minor Modes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       23-Major-and-Minor-Modes-2026-03-30-20-19-08
:END:
****** TODO 23.1 Major Modes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       23-dot-1-Major-Modes-2026-03-30-20-19-08
:END:
****** TODO 23.2 Minor Modes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       23-dot-2-Minor-Modes-2026-03-30-20-19-08
:END:
****** TODO 23.3 Choosing File Modes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       23-dot-3-Choosing-File-Modes-2026-03-30-20-19-08
:END:
***** TODO 24 Indentation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       24-Indentation-2026-03-30-20-19-08
:END:
****** TODO 24.1 Indentation Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       24-dot-1-Indentation-Commands-2026-03-30-20-19-08
:END:
****** TODO 24.2 Tab Stops
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       24-dot-2-Tab-Stops-2026-03-30-20-19-08
:END:
****** TODO 24.3 Tabs vs. Spaces
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       24-dot-3-Tabs-vs-dot-Spaces-2026-03-30-20-19-08
:END:
****** TODO 24.4 Convenience Features for Indentation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       24-dot-4-Convenience-Features-for-Indentation-2026-03-30-20-19-08
:END:
***** TODO 25 Commands for Human Languages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-Commands-for-Human-Languages-2026-03-30-20-19-08
:END:
****** TODO 25.1 Words
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-1-Words-2026-03-30-20-19-08
:END:
****** TODO 25.2 Sentences
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-2-Sentences-2026-03-30-20-19-08
:END:
****** TODO 25.3 Paragraphs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-3-Paragraphs-2026-03-30-20-19-08
:END:
****** TODO 25.4 Pages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-4-Pages-2026-03-30-20-19-08
:END:
****** TODO 25.5 Quotation Marks
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-5-Quotation-Marks-2026-03-30-20-19-08
:END:
****** TODO 25.6 Filling Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-6-Filling-Text-2026-03-30-20-19-08
:END:
******* TODO 25.6.1 Auto Fill Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-6-dot-1-Auto-Fill-Mode-2026-03-30-20-19-08
:END:
******* TODO 25.6.2 Explicit Fill Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-6-dot-2-Explicit-Fill-Commands-2026-03-30-20-19-08
:END:
******* TODO 25.6.3 The Fill Prefix
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-6-dot-3-The-Fill-Prefix-2026-03-30-20-19-08
:END:
******* TODO 25.6.4 Adaptive Filling
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-6-dot-4-Adaptive-Filling-2026-03-30-20-19-08
:END:
****** TODO 25.7 Case Conversion Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-7-Case-Conversion-Commands-2026-03-30-20-19-08
:END:
****** TODO 25.8 Text Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-8-Text-Mode-2026-03-30-20-19-08
:END:
****** TODO 25.9 Outline Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-9-Outline-Mode-2026-03-30-20-19-08
:END:
******* TODO 25.9.1 Format of Outlines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-9-dot-1-Format-of-Outlines-2026-03-30-20-19-08
:END:
******* TODO 25.9.2 Outline Motion Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-9-dot-2-Outline-Motion-Commands-2026-03-30-20-19-08
:END:
******* TODO 25.9.3 Outline Visibility Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-9-dot-3-Outline-Visibility-Commands-2026-03-30-20-19-08
:END:
******* TODO 25.9.4 Viewing One Outline in Multiple Views
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-9-dot-4-Viewing-One-Outline-in-Multiple-2026-03-30-20-19-08
:END:
******* TODO 25.9.5 Folding Editing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-9-dot-5-Folding-Editing-2026-03-30-20-19-08
:END:
****** TODO 25.10 Org Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-10-Org-Mode-2026-03-30-20-19-08
:END:
******* TODO 25.10.1 Org as an organizer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-10-dot-1-Org-as-an-organizer-2026-03-30-20-19-08
:END:
******* TODO 25.10.2 Org as an authoring system
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-10-dot-2-Org-as-an-authoring-system-2026-03-30-20-19-08
:END:
****** TODO 25.11 TeX Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-11-TeX-Mode-2026-03-30-20-19-08
:END:
******* TODO 25.11.1 TeX Editing Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-11-dot-1-TeX-Editing-Commands-2026-03-30-20-19-08
:END:
******* TODO 25.11.2 LaTeX Editing Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-11-dot-2-LaTeX-Editing-Commands-2026-03-30-20-19-08
:END:
******* TODO 25.11.3 TeX Printing Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-11-dot-3-TeX-Printing-Commands-2026-03-30-20-19-08
:END:
******* TODO 25.11.4 TeX Mode Miscellany
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-11-dot-4-TeX-Mode-Miscellany-2026-03-30-20-19-08
:END:
****** TODO 25.12 SGML and HTML Modes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-12-SGML-and-HTML-Modes-2026-03-30-20-19-08
:END:
****** TODO 25.13 Nroff Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-13-Nroff-Mode-2026-03-30-20-19-08
:END:
****** TODO 25.14 Enriched Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-Enriched-Text-2026-03-30-20-19-08
:END:
******* TODO 25.14.1 Enriched Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-dot-1-Enriched-Mode-2026-03-30-20-19-08
:END:
******* TODO 25.14.2 Hard and Soft Newlines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-dot-2-Hard-and-Soft-Newlines-2026-03-30-20-19-08
:END:
******* TODO 25.14.3 Editing Format Information
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-dot-3-Editing-Format-Information-2026-03-30-20-19-08
:END:
******* TODO 25.14.4 Faces in Enriched Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-dot-4-Faces-in-Enriched-Text-2026-03-30-20-19-08
:END:
******* TODO 25.14.5 Indentation in Enriched Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-dot-5-Indentation-in-Enriched-Text-2026-03-30-20-19-08
:END:
******* TODO 25.14.6 Justification in Enriched Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-dot-6-Justification-in-Enriched-Text-2026-03-30-20-19-08
:END:
******* TODO 25.14.7 Setting Other Text Properties
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-14-dot-7-Setting-Other-Text-Properties-2026-03-30-20-19-08
:END:
****** TODO 25.15 Editing Text-based Tables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-Editing-Text-based-Tables-2026-03-30-20-19-08
:END:
******* TODO 25.15.1 What is a Text-based Table?
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-1-What-is-a-Text-based-Table-2026-03-30-20-19-08
:END:
******* TODO 25.15.2 Creating a Table
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-2-Creating-a-Table-2026-03-30-20-19-08
:END:
******* TODO 25.15.3 Table Recognition
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-3-Table-Recognition-2026-03-30-20-19-08
:END:
******* TODO 25.15.4 Commands for Table Cells
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-4-Commands-for-Table-Cells-2026-03-30-20-19-08
:END:
******* TODO 25.15.5 Cell Justification
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-5-Cell-Justification-2026-03-30-20-19-08
:END:
******* TODO 25.15.6 Table Rows and Columns
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-6-Table-Rows-and-Columns-2026-03-30-20-19-08
:END:
******* TODO 25.15.7 Converting Between Plain Text and Tables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-7-Converting-Between-Plain-Text-and-2026-03-30-20-19-09
:END:
******* TODO 25.15.8 Table Miscellany
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-15-dot-8-Table-Miscellany-2026-03-30-20-19-09
:END:
****** TODO 25.16 Two-Column Editing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       25-dot-16-Two-Column-Editing-2026-03-30-20-19-09
:END:
***** TODO 26 Editing Programs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-Editing-Programs-2026-03-30-20-19-09
:END:
****** TODO 26.1 Major Modes for Programming Languages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-1-Major-Modes-for-Programming-Languages-2026-03-30-20-19-09
:END:
****** TODO 26.2 Top-Level Definitions, or Defuns
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-2-Top-Level-Definitions-or-Defuns-2026-03-30-20-19-09
:END:
******* TODO 26.2.1 Left Margin Convention
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-2-dot-1-Left-Margin-Convention-2026-03-30-20-19-09
:END:
******* TODO 26.2.2 Moving by Defuns
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-2-dot-2-Moving-by-Defuns-2026-03-30-20-19-09
:END:
******* TODO 26.2.3 Imenu
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-2-dot-3-Imenu-2026-03-30-20-19-09
:END:
******* TODO 26.2.4 Which Function Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-2-dot-4-Which-Function-Mode-2026-03-30-20-19-09
:END:
****** TODO 26.3 Indentation for Programs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-3-Indentation-for-Programs-2026-03-30-20-19-09
:END:
******* TODO 26.3.1 Basic Program Indentation Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-3-dot-1-Basic-Program-Indentation-Commands-2026-03-30-20-19-09
:END:
******* TODO 26.3.2 Indenting Several Lines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-3-dot-2-Indenting-Several-Lines-2026-03-30-20-19-09
:END:
******* TODO 26.3.3 Customizing Lisp Indentation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-3-dot-3-Customizing-Lisp-Indentation-2026-03-30-20-19-09
:END:
******* TODO 26.3.4 Commands for C Indentation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-3-dot-4-Commands-for-C-Indentation-2026-03-30-20-19-09
:END:
******* TODO 26.3.5 Customizing C Indentation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-3-dot-5-Customizing-C-Indentation-2026-03-30-20-19-09
:END:
****** TODO 26.4 Commands for Editing with Parentheses
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-4-Commands-for-Editing-with-Parentheses-2026-03-30-20-19-09
:END:
******* TODO 26.4.1 Expressions with Balanced Parentheses
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-4-dot-1-Expressions-with-Balanced-2026-03-30-20-19-09
:END:
******* TODO 26.4.2 Moving in the Parenthesis Structure
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-4-dot-2-Moving-in-the-Parenthesis-Structure-2026-03-30-20-19-09
:END:
******* TODO 26.4.3 Matching Parentheses
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-4-dot-3-Matching-Parentheses-2026-03-30-20-19-09
:END:
****** TODO 26.5 Manipulating Comments
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-5-Manipulating-Comments-2026-03-30-20-19-09
:END:
******* TODO 26.5.1 Comment Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-5-dot-1-Comment-Commands-2026-03-30-20-19-09
:END:
******* TODO 26.5.2 Multiple Lines of Comments
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-5-dot-2-Multiple-Lines-of-Comments-2026-03-30-20-19-09
:END:
******* TODO 26.5.3 Options Controlling Comments
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-5-dot-3-Options-Controlling-Comments-2026-03-30-20-19-09
:END:
****** TODO 26.6 Documentation Lookup
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-6-Documentation-Lookup-2026-03-30-20-19-09
:END:
******* TODO 26.6.1 Info Documentation Lookup
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-6-dot-1-Info-Documentation-Lookup-2026-03-30-20-19-09
:END:
******* TODO 26.6.2 Man Page Lookup
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-6-dot-2-Man-Page-Lookup-2026-03-30-20-19-09
:END:
******* TODO 26.6.3 Emacs Lisp Documentation Lookup
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-6-dot-3-Emacs-Lisp-Documentation-Lookup-2026-03-30-20-19-09
:END:
****** TODO 26.7 Hideshow minor mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-7-Hideshow-minor-mode-2026-03-30-20-19-09
:END:
****** TODO 26.8 Completion for Symbol Names
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-8-Completion-for-Symbol-Names-2026-03-30-20-19-09
:END:
****** TODO 26.9 MixedCase Words
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-9-MixedCase-Words-2026-03-30-20-19-09
:END:
****** TODO 26.10 Semantic
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-10-Semantic-2026-03-30-20-19-09
:END:
****** TODO 26.11 Other Features Useful for Editing Programs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-11-Other-Features-Useful-for-Editing-2026-03-30-20-19-09
:END:
****** TODO 26.12 C and Related Modes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-12-C-and-Related-Modes-2026-03-30-20-19-09
:END:
******* TODO 26.12.1 C Mode Motion Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-12-dot-1-C-Mode-Motion-Commands-2026-03-30-20-19-09
:END:
******* TODO 26.12.2 Electric C Characters
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-12-dot-2-Electric-C-Characters-2026-03-30-20-19-09
:END:
******* TODO 26.12.3 Hungry Delete Feature in C
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-12-dot-3-Hungry-Delete-Feature-in-C-2026-03-30-20-19-09
:END:
******* TODO 26.12.4 Other Commands for C Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-12-dot-4-Other-Commands-for-C-Mode-2026-03-30-20-19-09
:END:
****** TODO 26.13 Asm Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-13-Asm-Mode-2026-03-30-20-19-09
:END:
****** TODO 26.14 Fortran Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-Fortran-Mode-2026-03-30-20-19-09
:END:
******* TODO 26.14.1 Motion Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-1-Motion-Commands-2026-03-30-20-19-09
:END:
******* TODO 26.14.2 Fortran Indentation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-2-Fortran-Indentation-2026-03-30-20-19-09
:END:
******** TODO 26.14.2.1 Fortran Indentation and Filling Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-2-dot-1-Fortran-Indentation-and-2026-03-30-20-19-09
:END:
******** TODO 26.14.2.2 Continuation Lines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-2-dot-2-Continuation-Lines-2026-03-30-20-19-09
:END:
******** TODO 26.14.2.3 Line Numbers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-2-dot-3-Line-Numbers-2026-03-30-20-19-09
:END:
******** TODO 26.14.2.4 Syntactic Conventions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-2-dot-4-Syntactic-Conventions-2026-03-30-20-19-09
:END:
******** TODO 26.14.2.5 Variables for Fortran Indentation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-2-dot-5-Variables-for-Fortran-2026-03-30-20-19-09
:END:
******* TODO 26.14.3 Fortran Comments
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-3-Fortran-Comments-2026-03-30-20-19-09
:END:
******* TODO 26.14.4 Auto Fill in Fortran Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-4-Auto-Fill-in-Fortran-Mode-2026-03-30-20-19-09
:END:
******* TODO 26.14.5 Checking Columns in Fortran
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-5-Checking-Columns-in-Fortran-2026-03-30-20-19-09
:END:
******* TODO 26.14.6 Fortran Keyword Abbrevs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       26-dot-14-dot-6-Fortran-Keyword-Abbrevs-2026-03-30-20-19-09
:END:
***** TODO 27 Compiling and Testing Programs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-Compiling-and-Testing-Programs-2026-03-30-20-19-09
:END:
****** TODO 27.1 Running Compilations under Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-1-Running-Compilations-under-Emacs-2026-03-30-20-19-09
:END:
****** TODO 27.2 Compilation Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-2-Compilation-Mode-2026-03-30-20-19-10
:END:
****** TODO 27.3 Subshells for Compilation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-3-Subshells-for-Compilation-2026-03-30-20-19-10
:END:
****** TODO 27.4 Searching with Grep under Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-4-Searching-with-Grep-under-Emacs-2026-03-30-20-19-10
:END:
****** TODO 27.5 Finding Syntax Errors On The Fly
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-5-Finding-Syntax-Errors-On-The-Fly-2026-03-30-20-19-10
:END:
****** TODO 27.6 Running Debuggers Under Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-Running-Debuggers-Under-Emacs-2026-03-30-20-19-10
:END:
******* TODO 27.6.1 Starting GUD
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-1-Starting-GUD-2026-03-30-20-19-10
:END:
******* TODO 27.6.2 Debugger Operation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-2-Debugger-Operation-2026-03-30-20-19-10
:END:
******* TODO 27.6.3 Commands of GUD
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-3-Commands-of-GUD-2026-03-30-20-19-10
:END:
******* TODO 27.6.4 GUD Customization
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-4-GUD-Customization-2026-03-30-20-19-10
:END:
******* TODO 27.6.5 GDB Graphical Interface
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-GDB-Graphical-Interface-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.1 GDB User Interface Layout
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-1-GDB-User-Interface-Layout-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.2 Source Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-2-Source-Buffers-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.3 Breakpoints Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-3-Breakpoints-Buffer-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.4 Threads Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-4-Threads-Buffer-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.5 Stack Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-5-Stack-Buffer-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.6 Other GDB Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-6-Other-GDB-Buffers-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.7 Watch Expressions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-7-Watch-Expressions-2026-03-30-20-19-10
:END:
******** TODO 27.6.5.8 Multithreaded Debugging
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-6-dot-5-dot-8-Multithreaded-Debugging-2026-03-30-20-19-10
:END:
****** TODO 27.7 Executing Lisp Expressions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-7-Executing-Lisp-Expressions-2026-03-30-20-19-10
:END:
****** TODO 27.8 Libraries of Lisp Code for Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-8-Libraries-of-Lisp-Code-for-Emacs-2026-03-30-20-19-10
:END:
****** TODO 27.9 Evaluating Emacs Lisp Expressions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-9-Evaluating-Emacs-Lisp-Expressions-2026-03-30-20-19-10
:END:
****** TODO 27.10 Lisp Interaction Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-10-Lisp-Interaction-Buffers-2026-03-30-20-19-10
:END:
****** TODO 27.11 Running an External Lisp
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       27-dot-11-Running-an-External-Lisp-2026-03-30-20-19-10
:END:
***** TODO 28 Maintaining Large Programs
:PROPERTIES:
:ORG_GTD:  SKIP
:END:
****** TODO 28.1 Version Control
:PROPERTIES:
:ORG_GTD:  SKIP
:END:
******* TODO 28.1.1 Introduction to Version Control
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-Introduction-to-Version-Control-2026-03-30-20-19-10
:END:
******** TODO 28.1.1.1 Understanding the Problems it Addresses
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-dot-1-Understanding-the-Problems-2026-03-30-20-19-10
:END:
******** TODO 28.1.1.2 Supported Version Control Systems
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-dot-2-Supported-Version-Control-2026-03-30-20-19-10
:END:
******** TODO 28.1.1.3 Concepts of Version Control
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-dot-3-Concepts-of-Version-Control-2026-03-30-20-19-10
:END:
******** TODO 28.1.1.4 Merge-based vs Lock-based Version Control
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-dot-4-Merge-based-vs-Lock-based-2026-03-30-20-19-10
:END:
******** TODO 28.1.1.5 Changeset-based vs File-based Version Control
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-dot-5-Changeset-based-vs-File-2026-03-30-20-19-10
:END:
******** TODO 28.1.1.6 Decentralized vs Centralized Repositories
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-dot-6-Decentralized-vs-Centralized-2026-03-30-20-19-10
:END:
******** TODO 28.1.1.7 Types of Log File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-1-dot-7-Types-of-Log-File-2026-03-30-20-19-10
:END:
******* TODO 28.1.2 Version Control and the Mode Line
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-2-Version-Control-and-the-Mode-Line-2026-03-30-20-19-10
:END:
******* TODO 28.1.3 Basic Editing under Version Control
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-3-Basic-Editing-under-Version-Control-2026-03-30-20-19-10
:END:
******** TODO 28.1.3.1 Basic Version Control with Merging
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-3-dot-1-Basic-Version-Control-with-2026-03-30-20-19-10
:END:
******** TODO 28.1.3.2 Basic Version Control with Locking
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-3-dot-2-Basic-Version-Control-with-2026-03-30-20-19-10
:END:
******** TODO 28.1.3.3 Advanced Control in C-x v v
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-3-dot-3-Advanced-Control-in-C-x-v-v-2026-03-30-20-19-10
:END:
******* TODO 28.1.4 Features of the Log Entry Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-4-Features-of-the-Log-Entry-Buffer-2026-03-30-20-19-10
:END:
******* TODO 28.1.5 Registering a File for Version Control
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-5-Registering-a-File-for-Version-2026-03-30-20-19-10
:END:
******* TODO 28.1.6 Examining And Comparing Old Revisions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-6-Examining-And-Comparing-Old-2026-03-30-20-19-10
:END:
******* TODO 28.1.7 VC Change Log
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-7-VC-Change-Log-2026-03-30-20-19-10
:END:
******* TODO 28.1.8 Undoing Version Control Actions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-8-Undoing-Version-Control-Actions-2026-03-30-20-19-10
:END:
******* TODO 28.1.9 Ignore Version Control Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-9-Ignore-Version-Control-Files-2026-03-30-20-19-10
:END:
******* TODO 28.1.10 VC Directory Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-10-VC-Directory-Mode-2026-03-30-20-19-10
:END:
******** TODO 28.1.10.1 The VC Directory Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-10-dot-1-The-VC-Directory-Buffer-2026-03-30-20-19-10
:END:
******** TODO 28.1.10.2 VC Directory Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-10-dot-2-VC-Directory-Commands-2026-03-30-20-19-10
:END:
******* TODO 28.1.11 Version Control Branches
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-11-Version-Control-Branches-2026-03-30-20-19-10
:END:
******** TODO 28.1.11.1 Switching between Branches
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-11-dot-1-Switching-between-Branches-2026-03-30-20-19-10
:END:
******** TODO 28.1.11.2 Pulling/Pushing Changes into/from a Branch
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-11-dot-2-Pulling-Pushing-Changes-2026-03-30-20-19-10
:END:
******** TODO 28.1.11.3 Merging Branches
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-11-dot-3-Merging-Branches-2026-03-30-20-19-10
:END:
******** TODO 28.1.11.4 Creating New Branches
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-11-dot-4-Creating-New-Branches-2026-03-30-20-19-10
:END:
******* TODO 28.1.12 Miscellaneous Commands and Features of VC
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-12-Miscellaneous-Commands-and-2026-03-30-20-19-10
:END:
******** TODO 28.1.12.1 Change Logs and VC
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-12-dot-1-Change-Logs-and-VC-2026-03-30-20-19-10
:END:
******** TODO 28.1.12.2 Deleting and Renaming Version-Controlled Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-12-dot-2-Deleting-and-Renaming-2026-03-30-20-19-10
:END:
******** TODO 28.1.12.3 Revision Tags
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-12-dot-3-Revision-Tags-2026-03-30-20-19-10
:END:
******** TODO 28.1.12.4 Inserting Version Control Headers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-12-dot-4-Inserting-Version-Control-2026-03-30-20-19-10
:END:
******* TODO 28.1.13 Customizing VC
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-13-Customizing-VC-2026-03-30-20-19-10
:END:
******** TODO 28.1.13.1 General Options
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-13-dot-1-General-Options-2026-03-30-20-19-10
:END:
******** TODO 28.1.13.2 Options for RCS and SCCS
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-13-dot-2-Options-for-RCS-and-SCCS-2026-03-30-20-19-10
:END:
******** TODO 28.1.13.3 Options specific for CVS
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-1-dot-13-dot-3-Options-specific-for-CVS-2026-03-30-20-19-10
:END:
****** TODO 28.2 Working with Projects
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-2-Working-with-Projects-2026-03-30-20-19-10
:END:
******* TODO 28.2.1 Project Commands That Operate on Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-2-dot-1-Project-Commands-That-Operate-on-2026-03-30-20-19-10
:END:
******* TODO 28.2.2 Project Commands That Operate on Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-2-dot-2-Project-Commands-That-Operate-on-2026-03-30-20-19-10
:END:
******* TODO 28.2.3 Switching Projects
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-2-dot-3-Switching-Projects-2026-03-30-20-19-11
:END:
******* TODO 28.2.4 Managing the Project List File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-2-dot-4-Managing-the-Project-List-File-2026-03-30-20-19-11
:END:
****** TODO 28.3 Change Logs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-3-Change-Logs-2026-03-30-20-19-11
:END:
******* TODO 28.3.1 Change Log Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-3-dot-1-Change-Log-Commands-2026-03-30-20-19-11
:END:
******* TODO 28.3.2 Format of ChangeLog
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-3-dot-2-Format-of-ChangeLog-2026-03-30-20-19-11
:END:
****** TODO 28.4 Find Identifier References
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-Find-Identifier-References-2026-03-30-20-19-11
:END:
******* TODO 28.4.1 Find Identifiers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-1-Find-Identifiers-2026-03-30-20-19-11
:END:
******** TODO 28.4.1.1 Looking Up Identifiers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-1-dot-1-Looking-Up-Identifiers-2026-03-30-20-19-11
:END:
******** TODO 28.4.1.2 Commands Available in the *xref* Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-1-dot-2-Commands-Available-in-the-2026-03-30-20-19-11
:END:
******** TODO 28.4.1.3 Searching and Replacing with Identifiers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-1-dot-3-Searching-and-Replacing-with-2026-03-30-20-19-11
:END:
******** TODO 28.4.1.4 Identifier Inquiries
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-1-dot-4-Identifier-Inquiries-2026-03-30-20-19-11
:END:
******* TODO 28.4.2 Tags Tables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-2-Tags-Tables-2026-03-30-20-19-11
:END:
******** TODO 28.4.2.1 Source File Tag Syntax
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-2-dot-1-Source-File-Tag-Syntax-2026-03-30-20-19-11
:END:
******** TODO 28.4.2.2 Creating Tags Tables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-2-dot-2-Creating-Tags-Tables-2026-03-30-20-19-11
:END:
******** TODO 28.4.2.3 Etags Regexps
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-2-dot-3-Etags-Regexps-2026-03-30-20-19-11
:END:
******* TODO 28.4.3 Selecting a Tags Table
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-4-dot-3-Selecting-a-Tags-Table-2026-03-30-20-19-11
:END:
****** TODO 28.5 Emacs Development Environment
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-5-Emacs-Development-Environment-2026-03-30-20-19-11
:END:
****** TODO 28.6 Merging Files with Emerge
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-Merging-Files-with-Emerge-2026-03-30-20-19-11
:END:
******* TODO 28.6.1 Overview of Emerge
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-dot-1-Overview-of-Emerge-2026-03-30-20-19-11
:END:
******* TODO 28.6.2 Submodes of Emerge
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-dot-2-Submodes-of-Emerge-2026-03-30-20-19-11
:END:
******* TODO 28.6.3 State of a Difference
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-dot-3-State-of-a-Difference-2026-03-30-20-19-11
:END:
******* TODO 28.6.4 Merge Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-dot-4-Merge-Commands-2026-03-30-20-19-11
:END:
******* TODO 28.6.5 Exiting Emerge
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-dot-5-Exiting-Emerge-2026-03-30-20-19-11
:END:
******* TODO 28.6.6 Combining the Two Versions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-dot-6-Combining-the-Two-Versions-2026-03-30-20-19-11
:END:
******* TODO 28.6.7 Fine Points of Emerge
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-6-dot-7-Fine-Points-of-Emerge-2026-03-30-20-19-11
:END:
****** TODO 28.7 Bug Reference
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       28-dot-7-Bug-Reference-2026-03-30-20-19-11
:END:
***** TODO 29 Abbrevs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-Abbrevs-2026-03-30-20-19-11
:END:
****** TODO 29.1 Abbrev Concepts
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-1-Abbrev-Concepts-2026-03-30-20-19-11
:END:
****** TODO 29.2 Defining Abbrevs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-2-Defining-Abbrevs-2026-03-30-20-19-11
:END:
****** TODO 29.3 Controlling Abbrev Expansion
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-3-Controlling-Abbrev-Expansion-2026-03-30-20-19-11
:END:
****** TODO 29.4 Abbrevs Suggestions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-4-Abbrevs-Suggestions-2026-03-30-20-19-11
:END:
****** TODO 29.5 Examining and Editing Abbrevs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-5-Examining-and-Editing-Abbrevs-2026-03-30-20-19-11
:END:
****** TODO 29.6 Saving Abbrevs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-6-Saving-Abbrevs-2026-03-30-20-19-11
:END:
****** TODO 29.7 Dynamic Abbrev Expansion
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-7-Dynamic-Abbrev-Expansion-2026-03-30-20-19-11
:END:
****** TODO 29.8 Customizing Dynamic Abbreviation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       29-dot-8-Customizing-Dynamic-Abbreviation-2026-03-30-20-19-11
:END:
***** TODO 30 Dired, the Directory Editor
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-Dired-the-Directory-Editor-2026-03-30-20-19-11
:END:
****** TODO 30.1 Entering Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-1-Entering-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.2 Navigation in the Dired Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-2-Navigation-in-the-Dired-Buffer-2026-03-30-20-19-11
:END:
****** TODO 30.3 Deleting Files with Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-3-Deleting-Files-with-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.4 Flagging Many Files at Once
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-4-Flagging-Many-Files-at-Once-2026-03-30-20-19-11
:END:
****** TODO 30.5 Visiting Files in Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-5-Visiting-Files-in-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.6 Dired Marks vs. Flags
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-6-Dired-Marks-vs-dot-Flags-2026-03-30-20-19-11
:END:
****** TODO 30.7 Operating on Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-7-Operating-on-Files-2026-03-30-20-19-11
:END:
****** TODO 30.8 Shell Commands in Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-8-Shell-Commands-in-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.9 Transforming File Names in Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-9-Transforming-File-Names-in-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.10 File Comparison with Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-10-File-Comparison-with-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.11 Subdirectories in Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-11-Subdirectories-in-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.12 Subdirectory Switches in Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-12-Subdirectory-Switches-in-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.13 Moving Over Subdirectories
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-13-Moving-Over-Subdirectories-2026-03-30-20-19-11
:END:
****** TODO 30.14 Hiding Subdirectories
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-14-Hiding-Subdirectories-2026-03-30-20-19-11
:END:
****** TODO 30.15 Updating the Dired Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-15-Updating-the-Dired-Buffer-2026-03-30-20-19-11
:END:
****** TODO 30.16 Dired and find
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-16-Dired-and-find-2026-03-30-20-19-11
:END:
****** TODO 30.17 Editing the Dired Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-17-Editing-the-Dired-Buffer-2026-03-30-20-19-11
:END:
****** TODO 30.18 Viewing Image Thumbnails in Dired
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-18-Viewing-Image-Thumbnails-in-Dired-2026-03-30-20-19-11
:END:
****** TODO 30.19 Other Dired Features
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       30-dot-19-Other-Dired-Features-2026-03-30-20-19-12
:END:
***** TODO 31 The Calendar and the Diary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-The-Calendar-and-the-Diary-2026-03-30-20-19-12
:END:
****** TODO 31.1 Movement in the Calendar
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-1-Movement-in-the-Calendar-2026-03-30-20-19-12
:END:
******* TODO 31.1.1 Motion by Standard Lengths of Time
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-1-dot-1-Motion-by-Standard-Lengths-of-Time-2026-03-30-20-19-12
:END:
******* TODO 31.1.2 Beginning or End of Week, Month or Year
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-1-dot-2-Beginning-or-End-of-Week-Month-or-2026-03-30-20-19-12
:END:
******* TODO 31.1.3 Specified Dates
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-1-dot-3-Specified-Dates-2026-03-30-20-19-12
:END:
****** TODO 31.2 Scrolling in the Calendar
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-2-Scrolling-in-the-Calendar-2026-03-30-20-19-12
:END:
****** TODO 31.3 Counting Days
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-3-Counting-Days-2026-03-30-20-19-12
:END:
****** TODO 31.4 Miscellaneous Calendar Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-4-Miscellaneous-Calendar-Commands-2026-03-30-20-19-12
:END:
****** TODO 31.5 Writing Calendar Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-5-Writing-Calendar-Files-2026-03-30-20-19-12
:END:
****** TODO 31.6 Holidays
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-6-Holidays-2026-03-30-20-19-12
:END:
****** TODO 31.7 Times of Sunrise and Sunset
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-7-Times-of-Sunrise-and-Sunset-2026-03-30-20-19-12
:END:
****** TODO 31.8 Phases of the Moon
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-8-Phases-of-the-Moon-2026-03-30-20-19-12
:END:
****** TODO 31.9 Conversion To and From Other Calendars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-9-Conversion-To-and-From-Other-Calendars-2026-03-30-20-19-12
:END:
******* TODO 31.9.1 Supported Calendar Systems
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-9-dot-1-Supported-Calendar-Systems-2026-03-30-20-19-12
:END:
******* TODO 31.9.2 Converting To Other Calendars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-9-dot-2-Converting-To-Other-Calendars-2026-03-30-20-19-12
:END:
******* TODO 31.9.3 Converting From Other Calendars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-9-dot-3-Converting-From-Other-Calendars-2026-03-30-20-19-12
:END:
****** TODO 31.10 The Diary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-The-Diary-2026-03-30-20-19-12
:END:
******* TODO 31.10.1 The Diary File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-dot-1-The-Diary-File-2026-03-30-20-19-12
:END:
******* TODO 31.10.2 Displaying the Diary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-dot-2-Displaying-the-Diary-2026-03-30-20-19-12
:END:
******* TODO 31.10.3 Date Formats
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-dot-3-Date-Formats-2026-03-30-20-19-12
:END:
******* TODO 31.10.4 Commands to Add to the Diary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-dot-4-Commands-to-Add-to-the-Diary-2026-03-30-20-19-12
:END:
******* TODO 31.10.5 Special Diary Entries
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-dot-5-Special-Diary-Entries-2026-03-30-20-19-12
:END:
******* TODO 31.10.6 Appointments
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-dot-6-Appointments-2026-03-30-20-19-12
:END:
******* TODO 31.10.7 Importing and Exporting Diary Entries
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-10-dot-7-Importing-and-Exporting-Diary-2026-03-30-20-19-12
:END:
******* TODO 31.11 Daylight Saving Time
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-11-Daylight-Saving-Time-2026-03-30-20-19-12
:END:
******* TODO 31.12 Summing Time Intervals
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-12-Summing-Time-Intervals-2026-03-30-20-19-12
:END:
******* TODO 31.13 More advanced features of the Calendar and Diary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-More-advanced-features-of-the-Calendar-2026-03-30-20-19-12
:END:
******** TODO 31.13.1 Customizing the Calendar
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-1-Customizing-the-Calendar-2026-03-30-20-19-12
:END:
******** TODO 31.13.2 Customizing the Holidays
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-2-Customizing-the-Holidays-2026-03-30-20-19-12
:END:
******** TODO 31.13.3 Converting from the Mayan Calendar
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-3-Converting-from-the-Mayan-Calendar-2026-03-30-20-19-12
:END:
******** TODO 31.13.4 Date Display Format
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-4-Date-Display-Format-2026-03-30-20-19-12
:END:
******** TODO 31.13.5 Time Display Format
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-5-Time-Display-Format-2026-03-30-20-19-12
:END:
******** TODO 31.13.6 Customizing the Diary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-6-Customizing-the-Diary-2026-03-30-20-19-12
:END:
******** TODO 31.13.7 Diary Entries Using non-Gregorian Calendars
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-7-Diary-Entries-Using-non-Gregorian-2026-03-30-20-19-12
:END:
******** TODO 31.13.8 Diary Display
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-8-Diary-Display-2026-03-30-20-19-12
:END:
******** TODO 31.13.9 Fancy Diary Display
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-9-Fancy-Diary-Display-2026-03-30-20-19-12
:END:
******** TODO 31.13.10 Sexp Entries and the Fancy Diary Display
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       31-dot-13-dot-10-Sexp-Entries-and-the-Fancy-Diary-2026-03-30-20-19-12
:END:
***** TODO 32 Sending Mail
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-Sending-Mail-2026-03-30-20-19-12
:END:
****** TODO 32.1 The Format of the Mail Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-1-The-Format-of-the-Mail-Buffer-2026-03-30-20-19-12
:END:
****** TODO 32.2 Mail Header Fields
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-2-Mail-Header-Fields-2026-03-30-20-19-12
:END:
****** TODO 32.3 Mail Aliases
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-3-Mail-Aliases-2026-03-30-20-19-12
:END:
****** TODO 32.4 Mail Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-4-Mail-Commands-2026-03-30-20-19-12
:END:
******* TODO 32.4.1 Mail Sending
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-4-dot-1-Mail-Sending-2026-03-30-20-19-12
:END:
******* TODO 32.4.2 Mail Header Editing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-4-dot-2-Mail-Header-Editing-2026-03-30-20-19-12
:END:
******* TODO 32.4.3 Citing Mail
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-4-dot-3-Citing-Mail-2026-03-30-20-19-12
:END:
******* TODO 32.4.4 Mail Miscellany
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-4-dot-4-Mail-Miscellany-2026-03-30-20-19-12
:END:
****** TODO 32.5 Mail Signature
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-5-Mail-Signature-2026-03-30-20-19-12
:END:
****** TODO 32.6 Mail Amusements
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-6-Mail-Amusements-2026-03-30-20-19-12
:END:
****** TODO 32.7 Mail-Composition Methods
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       32-dot-7-Mail-Composition-Methods-2026-03-30-20-19-12
:END:
***** TODO 33 Reading Mail with Rmail
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-Reading-Mail-with-Rmail-2026-03-30-20-19-12
:END:
****** TODO 33.1 Basic Concepts of Rmail
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-1-Basic-Concepts-of-Rmail-2026-03-30-20-19-13
:END:
****** TODO 33.2 Scrolling Within a Message
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-2-Scrolling-Within-a-Message-2026-03-30-20-19-13
:END:
****** TODO 33.3 Moving Among Messages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-3-Moving-Among-Messages-2026-03-30-20-19-13
:END:
****** TODO 33.4 Deleting Messages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-4-Deleting-Messages-2026-03-30-20-19-13
:END:
****** TODO 33.5 Rmail Files and Inboxes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-5-Rmail-Files-and-Inboxes-2026-03-30-20-19-13
:END:
****** TODO 33.6 Multiple Rmail Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-6-Multiple-Rmail-Files-2026-03-30-20-19-13
:END:
****** TODO 33.7 Copying Messages Out to Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-7-Copying-Messages-Out-to-Files-2026-03-30-20-19-13
:END:
****** TODO 33.8 Labels
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-8-Labels-2026-03-30-20-19-13
:END:
****** TODO 33.9 Rmail Attributes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-9-Rmail-Attributes-2026-03-30-20-19-13
:END:
****** TODO 33.10 Sending Replies
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-10-Sending-Replies-2026-03-30-20-19-13
:END:
****** TODO 33.11 Summaries
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-11-Summaries-2026-03-30-20-19-13
:END:
******* TODO 33.11.1 Making Summaries
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-11-dot-1-Making-Summaries-2026-03-30-20-19-13
:END:
******* TODO 33.11.2 Editing in Summaries
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-11-dot-2-Editing-in-Summaries-2026-03-30-20-19-13
:END:
****** TODO 33.12 Sorting the Rmail File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-12-Sorting-the-Rmail-File-2026-03-30-20-19-13
:END:
****** TODO 33.13 Display of Messages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-13-Display-of-Messages-2026-03-30-20-19-13
:END:
****** TODO 33.14 Rmail and Coding Systems
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-14-Rmail-and-Coding-Systems-2026-03-30-20-19-13
:END:
****** TODO 33.15 Editing Within a Message
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-15-Editing-Within-a-Message-2026-03-30-20-19-13
:END:
****** TODO 33.16 Digest Messages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-16-Digest-Messages-2026-03-30-20-19-13
:END:
****** TODO 33.17 Reading Rot13 Messages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-17-Reading-Rot13-Messages-2026-03-30-20-19-13
:END:
****** TODO 33.18 movemail program
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-18-movemail-program-2026-03-30-20-19-13
:END:
****** TODO 33.19 Retrieving Mail from Remote Mailboxes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-19-Retrieving-Mail-from-Remote-Mailboxes-2026-03-30-20-19-13
:END:
****** TODO 33.20 Retrieving Mail from Local Mailboxes in Various Formats
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       33-dot-20-Retrieving-Mail-from-Local-Mailboxes-in-2026-03-30-20-19-13
:END:
***** TODO 34 Email and Usenet News with Gnus
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       34-Email-and-Usenet-News-with-Gnus-2026-03-30-20-19-13
:END:
****** TODO 34.1 Gnus Buffers
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       34-dot-1-Gnus-Buffers-2026-03-30-20-19-13
:END:
****** TODO 34.2 When Gnus Starts Up
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       34-dot-2-When-Gnus-Starts-Up-2026-03-30-20-19-13
:END:
****** TODO 34.3 Using the Gnus Group Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       34-dot-3-Using-the-Gnus-Group-Buffer-2026-03-30-20-19-13
:END:
****** TODO 34.4 Using the Gnus Summary Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       34-dot-4-Using-the-Gnus-Summary-Buffer-2026-03-30-20-19-13
:END:
***** TODO 35 Host Security
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       35-Host-Security-2026-03-30-20-19-13
:END:
***** TODO 36 Network Security
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       36-Network-Security-2026-03-30-20-19-13
:END:
***** TODO 37 Document Viewing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       37-Document-Viewing-2026-03-30-20-19-13
:END:
****** TODO 37.1 DocView Navigation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       37-dot-1-DocView-Navigation-2026-03-30-20-19-13
:END:
****** TODO 37.2 DocView Searching
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       37-dot-2-DocView-Searching-2026-03-30-20-19-13
:END:
****** TODO 37.3 DocView Slicing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       37-dot-3-DocView-Slicing-2026-03-30-20-19-13
:END:
****** TODO 37.4 DocView Conversion
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       37-dot-4-DocView-Conversion-2026-03-30-20-19-13
:END:
***** TODO 38 Running Shell Commands from Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-Running-Shell-Commands-from-Emacs-2026-03-30-20-19-13
:END:
****** TODO 38.1 Single Shell Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-1-Single-Shell-Commands-2026-03-30-20-19-13
:END:
****** TODO 38.2 Interactive Subshell
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-2-Interactive-Subshell-2026-03-30-20-19-13
:END:
****** TODO 38.3 Shell Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-3-Shell-Mode-2026-03-30-20-19-13
:END:
****** TODO 38.4 Shell Prompts
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-4-Shell-Prompts-2026-03-30-20-19-13
:END:
****** TODO 38.5 Shell Command History
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-5-Shell-Command-History-2026-03-30-20-19-13
:END:
******* TODO 38.5.1 Shell History Ring
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-5-dot-1-Shell-History-Ring-2026-03-30-20-19-13
:END:
******* TODO 38.5.2 Shell History Copying
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-5-dot-2-Shell-History-Copying-2026-03-30-20-19-13
:END:
******* TODO 38.5.3 Shell History References
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-5-dot-3-Shell-History-References-2026-03-30-20-19-13
:END:
****** TODO 38.6 Directory Tracking
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-6-Directory-Tracking-2026-03-30-20-19-13
:END:
****** TODO 38.7 Shell Mode Options
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-7-Shell-Mode-Options-2026-03-30-20-19-13
:END:
****** TODO 38.8 Emacs Terminal Emulator
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-8-Emacs-Terminal-Emulator-2026-03-30-20-19-13
:END:
****** TODO 38.9 Term Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-9-Term-Mode-2026-03-30-20-19-13
:END:
****** TODO 38.10 Remote Host Shell
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-10-Remote-Host-Shell-2026-03-30-20-19-13
:END:
****** TODO 38.11 Serial Terminal
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       38-dot-11-Serial-Terminal-2026-03-30-20-19-13
:END:
***** TODO 39 Using Emacs as a Server
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       39-Using-Emacs-as-a-Server-2026-03-30-20-19-13
:END:
****** TODO 39.1 TCP Emacs server
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       39-dot-1-TCP-Emacs-server-2026-03-30-20-19-13
:END:
****** TODO 39.2 Invoking emacsclient
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       39-dot-2-Invoking-emacsclient-2026-03-30-20-19-13
:END:
****** TODO 39.3 emacsclient Options
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       39-dot-3-emacsclient-Options-2026-03-30-20-19-13
:END:
***** TODO 40 Printing Hard Copies
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       40-Printing-Hard-Copies-2026-03-30-20-19-13
:END:
****** TODO 40.1 PostScript Hardcopy
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       40-dot-1-PostScript-Hardcopy-2026-03-30-20-19-14
:END:
****** TODO 40.2 Variables for PostScript Hardcopy
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       40-dot-2-Variables-for-PostScript-Hardcopy-2026-03-30-20-19-14
:END:
****** TODO 40.3 Printing Package
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       40-dot-3-Printing-Package-2026-03-30-20-19-14
:END:
****** TODO 41 Sorting Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       41-Sorting-Text-2026-03-30-20-19-14
:END:
***** TODO 42 Editing Pictures
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       42-Editing-Pictures-2026-03-30-20-19-14
:END:
****** TODO 42.1 Basic Editing in Picture Mode
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       42-dot-1-Basic-Editing-in-Picture-Mode-2026-03-30-20-19-14
:END:
****** TODO 42.2 Controlling Motion after Insert
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       42-dot-2-Controlling-Motion-after-Insert-2026-03-30-20-19-14
:END:
****** TODO 42.3 Picture Mode Tabs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       42-dot-3-Picture-Mode-Tabs-2026-03-30-20-19-14
:END:
****** TODO 42.4 Picture Mode Rectangle Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       42-dot-4-Picture-Mode-Rectangle-Commands-2026-03-30-20-19-14
:END:
***** TODO 43 Editing Binary Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       43-Editing-Binary-Files-2026-03-30-20-19-14
:END:
***** TODO 44 Saving Emacs Sessions
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       44-Saving-Emacs-Sessions-2026-03-30-20-19-14
:END:
***** TODO 45 Recursive Editing Levels
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       45-Recursive-Editing-Levels-2026-03-30-20-19-14
:END:
***** TODO 46 Hyperlinking and Web Navigation Features
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       46-Hyperlinking-and-Web-Navigation-Features-2026-03-30-20-19-14
:END:
****** TODO 46.1 Web Browsing with EWW
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       46-dot-1-Web-Browsing-with-EWW-2026-03-30-20-19-14
:END:
****** TODO 46.2 Embedded WebKit Widgets
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       46-dot-2-Embedded-WebKit-Widgets-2026-03-30-20-19-14
:END:
****** TODO 46.3 Following URLs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       46-dot-3-Following-URLs-2026-03-30-20-19-14
:END:
****** TODO 46.4 Activating URLs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       46-dot-4-Activating-URLs-2026-03-30-20-19-14
:END:
****** TODO 46.5 Finding Files and URLs at Point
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       46-dot-5-Finding-Files-and-URLs-at-Point-2026-03-30-20-19-14
:END:
***** TODO 47 Games and Other Amusements
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       47-Games-and-Other-Amusements-2026-03-30-20-19-14
:END:
***** TODO 48 Emacs Lisp Packages
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       48-Emacs-Lisp-Packages-2026-03-30-20-19-14
:END:
****** TODO 48.1 The Package Menu Buffer
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       48-dot-1-The-Package-Menu-Buffer-2026-03-30-20-19-14
:END:
****** TODO 48.2 Package Statuses
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       48-dot-2-Package-Statuses-2026-03-30-20-19-14
:END:
****** TODO 48.3 Package Installation
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       48-dot-3-Package-Installation-2026-03-30-20-19-14
:END:
****** TODO 48.4 Package Files and Directory Layout
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       48-dot-4-Package-Files-and-Directory-Layout-2026-03-30-20-19-14
:END:
***** TODO 49 Customization
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-Customization-2026-03-30-20-19-14
:END:
****** TODO 49.1 Easy Customization Interface
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-Easy-Customization-Interface-2026-03-30-20-19-14
:END:
******* TODO 49.1.1 Customization Groups
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-1-Customization-Groups-2026-03-30-20-19-14
:END:
******* TODO 49.1.2 Browsing and Searching for Settings
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-2-Browsing-and-Searching-for-Settings-2026-03-30-20-19-14
:END:
******* TODO 49.1.3 Changing a Variable
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-3-Changing-a-Variable-2026-03-30-20-19-14
:END:
******* TODO 49.1.4 Saving Customizations
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-4-Saving-Customizations-2026-03-30-20-19-14
:END:
******* TODO 49.1.5 Customizing Faces
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-5-Customizing-Faces-2026-03-30-20-19-14
:END:
******* TODO 49.1.6 Customizing Specific Items
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-6-Customizing-Specific-Items-2026-03-30-20-19-14
:END:
******* TODO 49.1.7 Custom Themes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-7-Custom-Themes-2026-03-30-20-19-14
:END:
******* TODO 49.1.8 Creating Custom Themes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-1-dot-8-Creating-Custom-Themes-2026-03-30-20-19-14
:END:
****** TODO 49.2 Variables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-Variables-2026-03-30-20-19-14
:END:
******* TODO 49.2.1 Examining and Setting Variables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-1-Examining-and-Setting-Variables-2026-03-30-20-19-14
:END:
******* TODO 49.2.2 Hooks
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-2-Hooks-2026-03-30-20-19-14
:END:
******* TODO 49.2.3 Local Variables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-3-Local-Variables-2026-03-30-20-19-14
:END:
******* TODO 49.2.4 Local Variables in Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-4-Local-Variables-in-Files-2026-03-30-20-19-14
:END:
******* TODO 49.2.4.1 Specifying File Variables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-4-dot-1-Specifying-File-Variables-2026-03-30-20-19-14
:END:
******* TODO 49.2.4.2 Safety of File Variables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-4-dot-2-Safety-of-File-Variables-2026-03-30-20-19-14
:END:
******* TODO 49.2.5 Per-Directory Local Variables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-5-Per-Directory-Local-Variables-2026-03-30-20-19-14
:END:
******* TODO 49.2.6 Per-Connection Local Variables
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-2-dot-6-Per-Connection-Local-Variables-2026-03-30-20-19-14
:END:
****** TODO 49.3 Customizing Key Bindings
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-Customizing-Key-Bindings-2026-03-30-20-19-14
:END:
******* TODO 49.3.1 Keymaps
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-1-Keymaps-2026-03-30-20-19-14
:END:
******* TODO 49.3.2 Prefix Keymaps
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-2-Prefix-Keymaps-2026-03-30-20-19-14
:END:
******* TODO 49.3.3 Local Keymaps
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-3-Local-Keymaps-2026-03-30-20-19-14
:END:
******* TODO 49.3.4 Minibuffer Keymaps
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-4-Minibuffer-Keymaps-2026-03-30-20-19-14
:END:
******* TODO 49.3.5 Changing Key Bindings Interactively
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-5-Changing-Key-Bindings-Interactively-2026-03-30-20-19-14
:END:
******* TODO 49.3.6 Rebinding Keys in Your Init File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-6-Rebinding-Keys-in-Your-Init-File-2026-03-30-20-19-14
:END:
******* TODO 49.3.7 Modifier Keys
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-7-Modifier-Keys-2026-03-30-20-19-14
:END:
******* TODO 49.3.8 Rebinding Function Keys
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-8-Rebinding-Function-Keys-2026-03-30-20-19-14
:END:
******* TODO 49.3.9 Named ASCII Control Characters
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-9-Named-ASCII-Control-Characters-2026-03-30-20-19-14
:END:
******* TODO 49.3.10 Rebinding Mouse Buttons
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-10-Rebinding-Mouse-Buttons-2026-03-30-20-19-14
:END:
******* TODO 49.3.11 Disabling Commands
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-3-dot-11-Disabling-Commands-2026-03-30-20-19-15
:END:
****** TODO 49.4 The Emacs Initialization File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-4-The-Emacs-Initialization-File-2026-03-30-20-19-15
:END:
******* TODO 49.4.1 Init File Syntax
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-4-dot-1-Init-File-Syntax-2026-03-30-20-19-15
:END:
******* TODO 49.4.2 Init File Examples
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-4-dot-2-Init-File-Examples-2026-03-30-20-19-15
:END:
******* TODO 49.4.3 Terminal-specific Initialization
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-4-dot-3-Terminal-specific-Initialization-2026-03-30-20-19-15
:END:
******* TODO 49.4.4 How Emacs Finds Your Init File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-4-dot-4-How-Emacs-Finds-Your-Init-File-2026-03-30-20-19-15
:END:
******* TODO 49.4.5 Non-ASCII Characters in Init Files
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-4-dot-5-Non-ASCII-Characters-in-Init-Files-2026-03-30-20-19-15
:END:
******* TODO 49.4.6 The Early Init File
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-4-dot-6-The-Early-Init-File-2026-03-30-20-19-15
:END:
****** TODO 49.5 Keeping Persistent Authentication Information
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       49-dot-5-Keeping-Persistent-Authentication-2026-03-30-20-19-15
:END:
**** TODO Recovery from Problems
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Recovery-from-Problems-2026-03-30-20-19-15
:END:
***** TODO 50 Quitting and Aborting
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       50-Quitting-and-Aborting-2026-03-30-20-19-15
:END:
***** TODO 51 Dealing with Emacs Trouble
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-Dealing-with-Emacs-Trouble-2026-03-30-20-19-15
:END:
****** TODO 51.1 If DEL Fails to Delete
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-1-If-DEL-Fails-to-Delete-2026-03-30-20-19-15
:END:
****** TODO 51.2 Recursive Editing Levels
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-2-Recursive-Editing-Levels-2026-03-30-20-19-15
:END:
****** TODO 51.3 Garbage on the Screen
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-3-Garbage-on-the-Screen-2026-03-30-20-19-15
:END:
****** TODO 51.4 Garbage in the Text
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-4-Garbage-in-the-Text-2026-03-30-20-19-15
:END:
****** TODO 51.5 Running out of Memory
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-5-Running-out-of-Memory-2026-03-30-20-19-15
:END:
****** TODO 51.6 When Emacs Crashes
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-6-When-Emacs-Crashes-2026-03-30-20-19-15
:END:
****** TODO 51.7 Recovery After a Crash
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-7-Recovery-After-a-Crash-2026-03-30-20-19-15
:END:
****** TODO 51.8 Emergency Escape
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-8-Emergency-Escape-2026-03-30-20-19-15
:END:
****** TODO 51.9 Long Lines
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       51-dot-9-Long-Lines-2026-03-30-20-19-15
:END:
***** TODO 52 Reporting Bugs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       52-Reporting-Bugs-2026-03-30-20-19-15
:END:
****** TODO 52.1 Reading Existing Bug Reports and Known Problems
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       52-dot-1-Reading-Existing-Bug-Reports-and-Known-2026-03-30-20-19-15
:END:
****** TODO 52.2 When Is There a Bug
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       52-dot-2-When-Is-There-a-Bug-2026-03-30-20-19-15
:END:
****** TODO 52.3 Understanding Bug Reporting
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       52-dot-3-Understanding-Bug-Reporting-2026-03-30-20-19-15
:END:
****** TODO 52.4 Checklist for Bug Reports
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       52-dot-4-Checklist-for-Bug-Reports-2026-03-30-20-19-15
:END:
****** TODO 52.5 Sending Patches for GNU Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       52-dot-5-Sending-Patches-for-GNU-Emacs-2026-03-30-20-19-15
:END:
***** TODO 53 Contributing to Emacs Development
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       53-Contributing-to-Emacs-Development-2026-03-30-20-19-15
:END:
****** TODO 53.1 Coding Standards
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       53-dot-1-Coding-Standards-2026-03-30-20-19-15
:END:
****** TODO 53.2 Copyright Assignment
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       53-dot-2-Copyright-Assignment-2026-03-30-20-19-15
:END:
*** DONE [[https://github.com/radian-software/straight.el][Straight package manager]]
:PROPERTIES:
:TITLE:    GitHub - radian-software/straight.el: 🍀 Next-generation, purely functional package manager for the Emacs hacker.
:URI:      https://github.com/radian-software/straight.el#integration-with-use-package
:CREATED:  [2023-03-16 Thu 11:44]
:ORG_GTD:  Projects
:ID:       Straight-package-manager-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2024-07-10 Wed 09:57]
:END:

*** TODO Diary
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Diary-2026-03-30-20-19-15
:END:

    #+begin_src emacs-lisp :tangle no
(setq diary-file (concat org-directory "diary"))
#+end_src

*** TODO Phone
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Phone-2026-03-30-20-19-15
:END:
****** TODO Phone pictures in org?
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Phone-pictures-in-org-2026-03-30-20-19-15
:END:

  #+begin_src emacs-lisp :tangle no
  (setq browse-url-browser-function 'browse-url-firefox)
  (unless window-system
    (xterm-mouse-mode 1)
    (global-set-key [mouse-4] (lambda ()
                                (interactive)
                                (scroll-down 1)))
    (global-set-key [mouse-5] (lambda ()
                                (interactive)
                                (scroll-up 1))))
  (use-package org
    :config
    (when my-phone-p
      (add-to-list 'org-file-apps '("\\.png\\'" . default))
      (add-to-list 'org-file-apps '("\\.jpg\\'" . default))
      (add-to-list 'org-file-apps '("\\.jpeg\\'" . default)))
    )

  (defun my/format-intent (intent &optional params)
    "Return a command string for sending INTENT with PARAMS.
        PARAMS is an alist of (\"key\" . \"value\") pairs."
    (format "am broadcast --user 0 -a %s %s"
            intent
            (mapconcat
             (lambda (o)
               (format
                "-e %s %s"
                (shell-quote-argument (car o))
                (shell-quote-argument (cdr o))))
             params
             " ")))

  (defun my/send-intent (intent &optional params)
    "Send broadcast INTENT to my phone.
        PARAMS is a plist of :key value pairs."
    (let ((command (my-format-intent intent params)))
      (if my-phone-p
          (shell-command command)
        (shell-command (format "ssh phone %s" (shell-quote-argument command))))))
  #+end_src

****** TODO [[https://github.com/carldotac/kdeconnect.el][AnE macs interface for KDE Connect]] :emacs:computer:
:PROPERTIES:
:TITLE:    GitHub - carldotac/kdeconnect.el: An Emacs interface for KDE Connect
:URI:      https://github.com/carldotac/kdeconnect.el
:CREATED:  [2023-01-28 Sat 10:28]
:ORG_GTD:  Projects
:ID:       AnE-macs-interface-for-KDE-Connect-2026-03-30-20-19-15
:END:

  #+begin_src emacs-lisp :tangle no
    (use-package kdeconnect
      :ensure t
      :config
      (setq kdeconnect-devices "1bd8e06bb908496b")
      (setq kdeconnect-active-device "1bd8e06bb908496b")
      )
  #+end_src

*** TODO [[https://github.com/abo-abo/hydra][Hydra]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Hydra-2026-03-30-20-19-15
:END:

#+begin_src emacs-lisp
  (use-package hydra
    )
#+end_src

*** TODO [[https://github.com/dgtized/github-clone.el][Fork and clone Github projects from Emacs]] :emacs:git:
:PROPERTIES:
:TITLE:    GitHub - dgtized/github-clone.el: Fork and clone Github projects from Emacs
:URI:      https://github.com/dgtized/github-clone.el
:CREATED:  [2023-01-28 Sat 09:05]
:ORG_GTD:  Projects
:ID:       Fork-and-clone-Github-projects-from-Emacs-2026-03-30-20-19-15
:END:

*** TODO Compare directories
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Compare-directories-2026-03-30-20-19-15
:END:

#+begin_src emacs-lisp :tangle no
  (use-package ztree
    :bind* (("M-m g v" . ztree-dir)
            ("M-m g V" . ztree-diff))
    :init
    (setq ztree-dir-move-focus t))
#+end_src

*** TODO [[https://github.com/emacs-helm/helm-recoll][helm interface for the recoll desktop search tool.]]
:PROPERTIES:
:TITLE:    GitHub - emacs-helm/helm-recoll: helm interface for the recoll desktop search tool.
:URI:      https://github.com/emacs-helm/helm-recoll
:CREATED:  [2023-02-05 Sun 00:41]
:ORG_GTD:  Projects
:ID:       helm-interface-for-the-recoll-desktop-search-tool-2026-03-30-20-19-15
:END:

#+begin_src emacs-lisp :tangle no
  (defun helm-ff-recoll-index-directory (directory)
  "Create a recoll index directory from DIRECTORY.
Add the new created directory to `helm-recoll-directories' using the
basename of DIRECTORY as name.
By using `customize-set-variable', a new source is created for this
new directory."
  (cl-assert (boundp 'helm-recoll-directories) nil
             "Package helm-recoll not installed or configured")
  (let* ((bn (helm-basename (expand-file-name directory)))
         (index-dir (format "~/.recoll-%s" bn))
         (conf-file (expand-file-name "recoll.conf" index-dir))) 
    (mkdir index-dir)
    (with-current-buffer (find-file-noselect conf-file)
      (insert (format "topdirs = %s" (expand-file-name directory)))
      (save-buffer)
      (kill-buffer))
    (customize-set-variable 'helm-recoll-directories
                            (append `((,bn . ,index-dir)) helm-recoll-directories))
    (message "Don't forget to index config directory with 'recollindex -c %s'" index-dir)))

(defmethod helm-setup-user-source ((source helm-source-ffiles))
  (helm-source-add-action-to-source-if
   "Recoll index directory"
   'helm-ff-recoll-index-directory
   source
   'file-directory-p
   3))
#+end_src
#+begin_src emacs-lisp :tangle no
  (use-package helm-recoll
    :commands helm-recoll
    :init (setq helm-recoll-directories
                '(("confdir" . "~/.recoll-.emacs.d")
                  ("lisp sources" . "~/.recoll-emacs-lisp")
                  ("work" . "~/.recoll-work"))))

#+end_src

*** TODO [[https://gitlab.com/u11/csv.el][u11 / csv.el · GitLab]] :emacs:archive:
:PROPERTIES:
:TITLE:    u11 / csv.el · GitLab
:URI:      https://gitlab.com/u11/csv.el
:CREATED:  [2023-01-27 Fri 21:16]
:ORG_GTD:  Projects
:ID:       u11-csv-dot-el-GitLab-2026-03-30-20-19-15
:END:

*** TODO [[https://github.com/volrath/password-store-otp.el][Interact with the pass-otp extension for pass]] :emacs:security:
:PROPERTIES:
:TITLE:    GitHub - volrath/password-store-otp.el: Emacs functions to interact with the pass-otp extension for pass
:URI:      https://github.com/volrath/password-store-otp.el
:CREATED:  [2023-01-28 Sat 12:24]
:ORG_GTD:  Projects
:ID:       Interact-with-the-pass-otp-extension-for-pass-2026-03-30-20-19-15
:END:

*** TODO [[https://github.com/juergenhoetzel/emacs-totp][Time-based One-time Passwords (TOTP) like specified in RFC 6238)]] :emacs:security:
:PROPERTIES:
:TITLE:    GitHub - juergenhoetzel/emacs-totp: emacs-TOTP implements Time-based One-time Passwords (TOTP) like specified in RFC 6238)
:URI:      https://github.com/juergenhoetzel/emacs-totp
:CREATED:  [2023-01-28 Sat 12:38]
:ORG_GTD:  Projects
:ID:       Time-based-One-time-Passwords--TOTP--like-2026-03-30-20-19-15
:END:

*** TODO [[https://github.com/anticomputer/ovpn-mode][OpenVPN management mode for Emacs]] :emacs:security:
:PROPERTIES:
:TITLE:    GitHub - anticomputer/ovpn-mode: OpenVPN management mode for Emacs
:URI:      https://github.com/anticomputer/ovpn-mode
:CREATED:  [2023-01-28 Sat 11:17]
:ORG_GTD:  Projects
:ID:       OpenVPN-management-mode-for-Emacs-2026-03-30-20-19-15
:END:

*** CNCL [[https://github.com/emacs-helm/helm-pass][Emacs Helm interface for pass]] :emacs:security:
:PROPERTIES:
:TITLE:    GitHub - emacs-helm/helm-pass: Emacs Helm interface for pass, the standard unix password manager
:URI:      https://github.com/emacs-helm/helm-pass
:CREATED:  [2023-01-28 Sat 09:33]
:ORG_GTD:  Projects
:ID:       Emacs-Helm-interface-for-pass-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from "DONE"       [2023-08-26 Sat 11:59]
- State "DONE"       from "TODO"       [2023-07-06 Thu 11:41]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package helm-pass
     )
#+end_src

*** CNCL [[https://github.com/NicolasPetton/pass][A major mode for password-store]] :emacs:security:
:PROPERTIES:
:TITLE:    GitHub - NicolasPetton/pass: A major mode for password-store
:URI:      https://github.com/NicolasPetton/pass
:CREATED:  [2023-01-28 Sat 12:22]
:ORG_GTD:  Projects
:ID:       A-major-mode-for-password-store-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from "DONE"       [2023-08-26 Sat 11:59]
- State "DONE"       from "TODO"       [2023-07-06 Thu 11:42]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package pass
    :ensure t
    )
#+end_src

*** CNCL Install [[https://github.com/bbatsov/prelude][Prelude]]
:PROPERTIES:
:CREATED:  [2023-01-20 Fri 05:14]
:ORG_GTD:  Projects
:ID:       Install-Prelude-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:04]
:END:

*** CNCL [[https://github.com/NicolasPetton/gnome-calendar.el][Gnome calendar integration with emacs]] :emacs:linux:
:PROPERTIES:
:TITLE:    GitHub - NicolasPetton/gnome-calendar.el: Gnome calendar integration with emacs
:URI:      https://github.com/NicolasPetton/gnome-calendar.el
:CREATED:  [2023-01-28 Sat 09:02]
:ORG_GTD:  Projects
:ID:       Gnome-calendar-integration-with-emacs-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-31 Mon 17:45]
:END:

*** CNCL [[https://github.com/NicolasPetton/org-gnome.el][Integrate orgmode with the GNOME desktop]] :emacs:linux:
:PROPERTIES:
:TITLE:    GitHub - NicolasPetton/org-gnome.el: Integrates orgmode with the GNOME desktop
:URI:      https://github.com/NicolasPetton/org-gnome.el
:CREATED:  [2023-01-28 Sat 10:54]
:ORG_GTD:  Projects
:ID:       Integrate-orgmode-with-the-GNOME-desktop-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-31 Mon 14:01]
:END:

*** CNCL [[https://github.com/jpkotta/openwith][Open files with external programs]] :emacs:computer:
:PROPERTIES:
:TITLE:    GitHub - jpkotta/openwith: Open files with external programs
:URI:      https://github.com/jpkotta/openwith
:CREATED:  [2023-01-28 Sat 10:42]
:ORG_GTD:  Projects
:ID:       Open-files-with-external-programs-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-31 Mon 17:48]
:END:

*** CNCL [[https://github.com/DamienCassou/desktop-environment][Control GNU/Linux computer from Emacs]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - DamienCassou/desktop-environment: Helps you control your GNU/Linux computer from Emacs
:URI:      https://github.com/DamienCassou/desktop-environment
:CREATED:  [2023-01-28 Sat 06:25]
:ORG_GTD:  Projects
:ID:       Control-GNU-Linux-computer-from-Emacs-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-31 Mon 17:46]
:END:

*** CNCL [[https://github.com/kuanyui/fm-bookmarks.el][Access existed File Managers' bookmarks in Dired.]] :emacs:archive:linux:
:PROPERTIES:
:TITLE:    GitHub - kuanyui/fm-bookmarks.el: Access existed File Managers' bookmarks (e.g. Dolphin, Nautilus, PCManFM) in Dired.
:URI:      https://github.com/kuanyui/fm-bookmarks.el
:CREATED:  [2023-01-28 Sat 08:59]
:ORG_GTD:  Projects
:ID:       Access-existed-File-Managers-bookmarks-in-Dired-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-31 Mon 17:47]
:END:

*** TODO Emacs-Lisp
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Emacs-Lisp-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-09 Wed 13:52]
:END:

#+begin_src emacs-lisp :tangle no
  (use-package "eldoc"
    ;;  :if my-laptop-p
    :diminish eldoc-mode
    :commands turn-on-eldoc-mode
    :defer t
    :init
    (progn
      (add-hook 'emacs-lisp-mode-hook 'turn-on-eldoc-mode)
      (add-hook 'lisp-interaction-mode-hook 'turn-on-eldoc-mode)
      (add-hook 'ielm-mode-hook 'turn-on-eldoc-mode)
      )
    )
#+end_src

#+begin_src emacs-lisp :tangle no
  (use-package emacs-lisp-mode
    :mode ("\\.el$" . emacs-lisp-mode)
    :bind (:map emacs-lisp-mode-map
                ("C-c I" . describe-function)
                ("C-c S" . find-function-at-point)
                )
    )
#+end_src

*** DONE Docker
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Docker-2026-03-30-20-19-15
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-09 Wed 13:52]
:END:

#+begin_src emacs-lisp
  (use-package dockerfile-mode
     :mode ("Dockerfile\\'" . dockerfile-mode)
    )
#+end_src

*** DONE Web
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Web-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-09 Wed 13:53]
:END:

#+begin_src emacs-lisp
  (use-package web-mode
    :mode ("\\.html$" . web-mode)
    )
#+end_src

*** DONE Python
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Python-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-09 Wed 13:52]
:END:

#+begin_src emacs-lisp
  (use-package python
    :mode ("\\.py\\'" . python-mode)
    :config
    (setq python-shell-interpreter "ipython"
          python-shell-interpreter-args "-i")
    )
#+end_src

*** DONE Anaconda Python
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Anaconda-Python-2026-03-30-20-19-16
:END:
     :LOGBOOK:
     - State "DONE"       from "TODO"       [2023-08-28 Mon 19:03]
     :END:

Anaconda mode provides python code navigation and completion but you need to install a few dependencies first from pip first or it will install on its own.

#+begin_src emacs-lisp
  (use-package anaconda-mode
    :defer 2
    :diminish anaconda-mode
    :diminish anaconda-eldoc-mode
    :bind (:map python-mode-map
                ("C-c I" . anaconda-mode-show-doc)
                ("C-c S" . anaconda-mode-find-definitions))
    :config
    (progn
      (add-hook 'python-mode-hook 'anaconda-mode)))
#+end_src

*** DONE Define Python path
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Define-Python-path-2026-03-30-20-19-16
:END:
     :LOGBOOK:
     - State "DONE"       from "TODO"       [2023-08-28 Mon 19:03]
     :END:

  #+begin_src emacs-lisp
    (setq python-interpreter "/usr/bin/python3")
  #+end_src

*** DONE YALM
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       YALM-2026-03-30-20-19-16
:END:
     :LOGBOOK:
     - State "DONE"       from "TODO"       [2023-08-28 Mon 19:03]
     :END:

#+begin_src emacs-lisp
  (use-package yaml-mode
    :mode "\\.yml$")
#+end_src

*** DONE R
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       R-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp
  (use-package ess
    :mode (("\\.r$" . R-mode)
           ("\\.R$" . R-mode)
           ("\\.jl$" . julia-mode))
    :commands (R-mode
               julia-mode
               my-julia-shell-here
               ess-eval-function
               ess-eval-line
               ess-eval-buffer
               ess-switch-to-ESS)
    :config
    (require 'ess-site)
    )
#+end_src

*** DONE NGINX
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       NGINX-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-08-22 Tue 13:20]
:END:

#+begin_src emacs-lisp
  (use-package nginx-mode
    :commands (nginx-mode)
    )
#+end_src

*** TODO [[https://pages.sachachua.com/.emacs.d/Sacha.html#org9e832a6][Orgzly]] sync
:PROPERTIES:
:CREATED:  [2023-02-04 Sat 04:42]
:ORG_GTD:  Projects
:ID:       Orgzly-sync-2026-03-30-20-19-16
:END:

From [[https://www.reddit.com/r/emacs/comments/bqqqra/quickly_find_syncthing_conflicts_and_resolve_them/][this Reddit post]]. In termux, you also need to pkg install diffutils.

#+begin_src emacs-lisp :tangle no
  (setq ediff-toggle-skip-similar t
        ediff-diff-options "-w"
        ediff-window-setup-function 'ediff-setup-windows-plain
        ediff-split-window-function 'split-window-horizontally
        )
  (defun my/resolve-orgzly-syncthing ()
    (interactive)
    (ibizaman/syncthing-resolve-conflicts "~/sync/orgzly")
    )

  (defun ibizaman/syncthing-resolve-conflicts (directory)
    "Resolve all conflicts under given DIRECTORY."
    (interactive "D")
    (let* (
           (all (ibizaman/syncthing--get-sync-conflicts directory))
           (chosen (ibizaman/syncthing--pick-a-conflict all))
           )
      (ibizaman/syncthing-resolve-conflict chosen)
      )
    )

  (defun ibizaman/syncthing-show-conflicts-dired (directory)
    "Open dired buffer at DIRECTORY showing all syncthing conflicts."
    (interactive "D")
    (find-name-dired directory "*.sync-conflict-*")
    )

  (defun ibizaman/syncthing-resolve-conflict-dired (&optional arg)
    "Resolve conflict of first marked file in dired or close to point with ARG."
    (interactive "P")
    (let ((chosen (car (dired-get-marked-files nil arg))))
      (ibizaman/syncthing-resolve-conflict chosen)
      )
    )

  (defun ibizaman/syncthing-resolve-conflict (conflict)
    "Resolve CONFLICT file using ediff."
    (let* ((normal (ibizaman/syncthing--get-normal-filename conflict)))
      (ibizaman/ediff-files)
      (list conflict normal)
      `(lambda ()
         (when (y-or-n-p "Delete conflict file? ")
           (kill-buffer (get-file-buffer ,conflict)
                        )
           (delete-file ,conflict)
           )
         )
      )
    )

  (defun ibizaman/syncthing--get-sync-conflicts (directory)
    "Return a list of all sync conflict files in a DIRECTORY."
    (seq-filter
     (lambda (o) (not (string-match "\\.stversions" o)))
     (directory-files-recursively directory "\\.sync-conflict-")
     )
    )

  (defvar ibizaman/syncthing--conflict-history nil
    "Completion conflict history")

  (defun ibizaman/syncthing--pick-a-conflict (conflicts)
    "Let user choose the next conflict from CONFLICTS to investigate."
    (completing-read "Choose the conflict to investigate: " conflicts
                     nil t nil ibizaman/syncthing--conflict-history)
    )

  (defun ibizaman/syncthing--get-normal-filename (conflict)
    "Get non-conflict filename matching the given CONFLICT."
    (replace-regexp-in-string "\\.sync-conflict-.*\\(\\..*\\)$" "\\1" conflict)
    )

  (defun ibizaman/ediff-files (&optional files quit-hook)
    (interactive)
    (lexical-let ((files (or files (dired-get-marked-files)))
                  (quit-hook quit-hook)
                  (wnd (current-window-configuration))
                  )
                 (if (<= (length files) 2)
                     (let ((file1 (car files))
                           (file2 (if (cdr files)
                                      (cadr files)
                                    (read-file-name
                                     "file: "
                                     (dired-dwim-target-directory))
                                    )
                                  )
                           )
                       (if (file-newer-than-file-p file1 file2)
                           (ediff-files file2 file1)
                         (ediff-files file1 file2)
                         )
                       (add-hook 'ediff-after-quit-hook-internal
                                 (lambda ()
                                   (setq ediff-after-quit-hook-internal nil)
                                   (when quit-hook (funcall quit-hook)
                                         )
                                   (set-window-configuration wnd)
                                   )
                                 )
                       )
                   (error "no more than 2 files should be marked")
                   )
                 )
    )
  )
#+end_src

*** CNCL Create an Orgzly feature request asking for android web page share to Orgzly to be in the format [[URL][Title]] for easy bookmarking, leaving the note content for notes.
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Create-an-Orgzly-feature-request-asking-for-2026-03-30-20-19-16
:END:

https://github.com/orgzly/orgzly-android/issues?q=is%3Aissue+is%3Aopen++share

*** CNCL Write an Emacs keyboard macro to covert Orgzly phone capture to standard capture
:PROPERTIES:
:CREATED:  [2023-02-09 Thu 03:45]
:ORG_GTD:  Projects
:ID:       Write-an-Emacs-keyboard-macro-to-covert-Orgzly-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:06]
:END:
Adding TITLE and URI properties, converting heading to a hyperlink.

*** TODO Narrow to org-hierarchy
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Narrow-to-org-hierarchy-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-07-07 Fri 16:23]
:END:

#+begin_src emacs-lisp :tangle no
  (with-eval-after-load 'org
  (let ((listvar (if (boundp 'org-speed-commands) 'org-speed-commands
                   'org-speed-commands-user)))
    (add-to-list listvar '("N" org-narrow-to-subtree))
    (add-to-list listvar '("W" widen))
    (add-to-list listvar '("T" my/org-agenda-for-subtree))
    (add-to-list listvar '("b" my/org-bounce-to-file))))

(defun my/org-agenda-for-subtree ()
  (interactive)
  (when (derived-mode-p 'org-agenda-mode) (org-agenda-switch-to))
  (my/org-with-current-task
   (let ((org-agenda-view-columns-initially t))
     (org-agenda nil "t" 'subtree))))
#+end_src

*** TODO Download file at URL and attach with org-attach
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Download-file-at-URL-and-attach-with-org-attach-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-09 Wed 09:06]
:END:
#+begin_src emacs-lisp :tangle no
  (defun my/org-attach-download (url)
    "Download file at URL and attach with org-attach.

  Interactively, look for URL at point, in X clipboard, and in \"kill-ring\", prompting if not found.  With prefix, prompt for URL."
    (interactive (list (if current-prefix-arg
                           (read-string "URL: ")
                         (or (org-element-property :raw-link (org-element-context))
                             (org-web-tools--get-first-url)
                             (read-string "URL: ")
                             )
                         )
                       )
                 )
    (when (yes-or-no-p (concat "Attach file at URL: " url))
      (let* ((temp-dir (make-temp-file "org-attach-download-" 'dir))
             (basename (file-name-nondirectory (directory-file-name url)))
             (local-path (expand-file-name basename temp-dir))
             size)
        (unwind-protect
            (progn
              (url-copy-file url local-path 'ok-if-exists 'keep-time)
              (setq size (file-size-human-readable
                          (file-attribute-size
                           (file-attributes local-path))))
              (org-attach-attach local-path nil 'mv)
              (message "Attached %s (%s)" url size))
          (delete-directory temp-dir)
          )
        )
      )
    )
#+end_src

***** DONE Go to the headline corresponding to this org-attach directory
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Go-to-the-headline-corresponding-to-this-org-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-09 Wed 09:06]
:END:
#+begin_src emacs-lisp :tangle no
  (defun my/org-attach-visit-headline-from-dired ()
      "Go to the headline corresponding to this org-attach directory.

    from https://fuco1.github.io/2023-02-08-Visit-the-org-headline-from-the-attach-dired-buffer.html"
      (interactive)
      (let* ((id-parts (last (split-string default-directory "/" t) 2))
             (id (apply #'concat id-parts))
             )
        (let ((m (org-id-find id 'marker)))
          (unless m (user-error "Cannot find entry with ID \"%s\"" id))
          (pop-to-buffer (marker-buffer m))
          (goto-char m)
          (move-marker m nil)
          (org-fold-show-context)
          )
        )
      )
#+end_src

*** TODO Encryption
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Encryption-2026-03-30-20-19-16
:END:
    :LOGBOOK:
    - State "DONE"       from              [2023-09-02 Sat 13:05]
    :END:
    
#+begin_src emacs-lisp :tangle no
  (use-package org-crypt
    :config
    (org-crypt-use-before-save-magic)
    (setq org-tags-exclude-from-inheritance '("crypt"))

    (setq org-crypt-key nil)
    ;; GPG key to use for encryption.
    ;; nil means  use symmetric encryption unconditionally.
    ;; "" means use symmetric encryption unless heading sets CRYPTKEY property.

    (setq auto-save-default nil)
    ;; Auto-saving does not cooperate with org-crypt.el: so you need to
    ;; turn it off if you plan to use org-crypt.el quite often.  Otherwise,
    ;; you'll get an (annoying) message each time you start Org.

    ;; To turn it off only locally, you can insert this:
    ;;
    ;; # -*- buffer-auto-save-file-name: nil; -*-
    )
#+end_src

*** DONE Convert org header into org-roam node
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Convert-org-header-into-org-roam-node-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-07-31 Mon 13:43]
:END:

#+begin_src emacs-lisp
(defun my/convert-to-org-roam-node ()
  "Convert org header at point into org-roam node."
  (interactive)
  (when (org-at-heading-p) ; Check if we're at a heading
    (let* ((header (org-get-heading t t t t))
           (content (org-get-entry)) ; Get content under the header
           ;; Get properties block start and end
           (props-start (string-match ":PROPERTIES:" content))
           (props-end (when props-start (string-match ":END:" content props-start)))
           ;; Save the existing properties into a variable
           (existing-props (when (and props-start props-end)
                             (let ((props (split-string (substring content (+ props-start 13) (- props-end 4)) "\n")))
                               (mapconcat #'identity
                                          (seq-remove (lambda (s) (string-match-p ":CREATED:" s)) props) "\n"))))
           ;; Extract and format CREATED property
           (created (when-let ((created-match (string-match ":CREATED: \\[\\(.*?\\)\\]" content)))
                      (format "%s" (match-string 1 content)))))
      (if created
          (let* ((cleaned-created (substring created 0 10)) ; Extract YYYY-MM-DD
                 (filename (concat cleaned-created "-" (replace-regexp-in-string " " "-" header) ".org")))
            (with-temp-buffer
              (insert "* " header "\n\n") ; Put an empty line between the header and properties drawer
              (insert ":PROPERTIES:\n:ID: " (org-id-uuid) "\n:CREATED: [" created "]\n") ; Add new ID and CREATED properties
              ;; Append existing properties, if any
              (when existing-props
                (insert existing-props "\n"))
              (insert ":END:\n\n")
              ;; Insert the content, skipping existing properties block
              (insert (if (and props-start props-end)
                          (substring content (+ props-end 6))
                        content))
              (write-file filename)))
        (message "No CREATED property found for this heading")))))
#+end_src

*** TODO Covert org header to org-roam-dailies header
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Covert-org-header-to-org-roam-dailies-header-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp
  (defun my/org-header-to-org-roam-dailies (filename)
  "Migrate Org-header to org-roam-dailies file.
Searches for a the :CREATED: property in the supplied org FILENAME and create an org-roam-dailies file from it."
  (with-current-buffer (find-file-noselect filename)
    (goto-char (point-min))
    (let ((created-property
           (when (re-search-forward "^\\*+ .*?\\s-+:PROPERTIES:\\s-+:CREATED:\\s-+\\[\\(\\<[0-9]\\{4\\}-[0-9]\\{2\\}-[0-9]\\{2\\}\\) .*?\\]")
             (match-string-no-properties 1))))
      (if created-property
          (let ((daily-filename (concat org-roam-dailies-directory "/" created-property ".org")))
            (unless (file-exists-p daily-filename)
              (org-roam-dailies-capture created-property)
              (with-current-buffer (find-file-noselect daily-filename)
                (insert (buffer-substring (point-min) (point-max)))
                (save-buffer))))
        (error "No :CREATED: property found")))))
#+end_src

*** TODO [[https://www.reddit.com/r/orgmode/comments/nvv1ze/capture_from_web_pages_orgroam/?rdt=42156][Capture from web pages & org-roam : r/orgmode]]
:PROPERTIES:
:TITLE:    Capture from web pages & org-roam : r/orgmode
:URI:      https://www.reddit.com/r/orgmode/comments/nvv1ze/capture_from_web_pages_orgroam/?rdt=42156
:CREATED:  [2023-08-19 Sat 12:56]
:ORG_GTD:  Projects
:ID:       Capture-from-web-pages-and-org-roam-r-orgmode-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-08-22 Tue 12:43]
:END:
#+begin_src emacs-lisp
  (setq org-roam-capture-ref-templates
       '(("i" "internet" plain #'org-roam-capture--get-point "%?"
          :file-name "float/%<%Y%m%d%H%M>-${slug}"
          :head "#+title: ${title}\n#+roam_key: ${ref}\n#+roam_tags: bookmark"
          :unnarrowed t)))
#+end_src

*** TODO [[https://github.com/jozefg/wiki-summary.el][Get summaries of wikipedia articles in Emacs]] :emacs:web:search:
:PROPERTIES:
:TITLE:    GitHub - jozefg/wiki-summary.el: Get summaries of wikipedia articles in Emacs
:URI:      https://github.com/jozefg/wiki-summary.el
:CREATED:  [2023-01-28 Sat 12:44]
:ORG_GTD:  Projects
:ID:       Get-summaries-of-wikipedia-articles-in-Emacs-2026-03-30-20-19-16
:END:

*** TODO [[https://emacs.stackexchange.com/questions/71142/org-roam-custom-capture-template][org mode - Org-roam custom capture template - Emacs Stack Exchange]]
:PROPERTIES:
:TITLE:    org mode - Org-roam custom capture template - Emacs Stack Exchange
:URI:      https://emacs.stackexchange.com/questions/71142/org-roam-custom-capture-template
:CREATED:  [2023-08-19 Sat 12:56]
:ORG_GTD:  Projects
:ID:       org-mode-Org-roam-custom-capture-template-Emacs-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/andersjohansson/org-roam-timestamps][Modified and creation timestamps to the org-roam property drawer]]
:PROPERTIES:
:TITLE:    GitHub - andersjohansson/org-roam-timestamps: Add modified and creation timestamps to the org-roam property drawer
:URI:      https://github.com/andersjohansson/org-roam-timestamps
:CREATED:  [2023-02-06 Mon 17:06]
:ORG_GTD:  Projects
:ID:       Modified-and-creation-timestamps-to-the-org-roam-2026-03-30-20-19-16
:END:

*** TODO [[https://ag91.github.io/blog/2022/01/21/moldable-emacs-query-your-org-roam-notes-by-tag/][Moldable Emacs: query your Org Roam notes by tag - Where parallels cross]]
:PROPERTIES:
:TITLE:    Moldable Emacs: query your Org Roam notes by tag - Where parallels cross
:URI:      https://ag91.github.io/blog/2022/01/21/moldable-emacs-query-your-org-roam-notes-by-tag/
:CREATED:  2023-03-07 Tue 20:33
:ORG_GTD:  Projects
:ID:       Moldable-Emacs-query-your-Org-Roam-notes-by-tag-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/nobiot/unofficial-user-manual-org-roam/blob/main/marginalia.org][unofficial-user-manual-org-roam · GitHub]]
:PROPERTIES:
:TITLE:    unofficial-user-manual-org-roam/marginalia.org at main · nobiot/unofficial-user-manual-org-roam · GitHub
:URI:      https://github.com/nobiot/unofficial-user-manual-org-roam/blob/main/marginalia.org
:CREATED:  [2023-08-19 Sat 12:56]
:ORG_GTD:  Projects
:ID:       unofficial-user-manual-org-roam-GitHub-2026-03-30-20-19-16
:END:

*** TODO Publishing
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Publishing-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-08-10 Thu 07:32]
- State "DONE"       from "TODO"       [2023-08-09 Wed 09:11]
  :END:

This is taken from [[https://ox-hugo.scripter.co/][ox-hugo]] and [[https://justin.vc/posts/ox-hugo-and-org-roam/[[JustinVC's modifications]] to make it work with org-roam.

#+begin_src emacs-lisp :tangle no
  (use-package ox-hugo
    :after ox
    :bind (
           ("C-c C-e H H" . org-hugo-export-wim-to-md)
  	 ("C-C C-e H H" . org-hugo-export-wim-to-md :all-subtres)
  	 ("C-c C-e H h" . org-hugo-export-to-md)
  	 )
    )
#+end_src

*** DONE [[https://github.com/ofosos/ox-epub][Org mode epub export]] :emacs:books:
:PROPERTIES:
:TITLE:    GitHub - ofosos/ox-epub: Org mode epub export
:URI:      https://github.com/ofosos/ox-epub
:CREATED:  [2023-01-28 Sat 11:18]
:ORG_GTD:  Projects
:ID:       Org-mode-epub-export-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-11 Fri 13:25]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package ox-epub
    )
#+end_src

*** TODO [[https://blog.lambda.cx/posts/hugo-org-archetype/][Hugo Org-Mode Default Archetype - lambda.cx blog]]
:PROPERTIES:
:TITLE:    Hugo Org-Mode Default Archetype - lambda.cx blog
:URI:      https://blog.lambda.cx/posts/hugo-org-archetype/
:CREATED:  2023-03-06 Mon 05:59
:ORG_GTD:  Projects
:ID:       Hugo-Org-Mode-Default-Archetype-lambda-dot-cx-blog-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/org2blog/org2blog][Org2blog: Blog from Org mode to WordPress]] :emacs:web:publishing:
:PROPERTIES:
:TITLE:    Org2blog: Blog from Org mode to WordPress
:URI:      https://github.com/org2blog/org2blog
:CREATED:  [2023-01-28 Sat 11:15]
:ORG_GTD:  Projects
:ID:       Org2blog-Blog-from-Org-mode-to-WordPress-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/kaushalmodi/ox-hugo][A carefully crafted Org exporter back-end for Hugo]] :emacs:web:publishing:
:PROPERTIES:
:TITLE:    GitHub - kaushalmodi/ox-hugo: A carefully crafted Org exporter back-end for Hugo
:URI:      https://github.com/kaushalmodi/ox-hugo
:CREATED:  [2023-01-28 Sat 11:18]
:ORG_GTD:  Projects
:ID:       A-carefully-crafted-Org-exporter-back-end-for-Hugo-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/holomorph/transmission][Emacs interface to a Transmission session]] :emacs:archive:
:PROPERTIES:
:TITLE:    GitHub - holomorph/transmission: Emacs interface to a Transmission session
:URI:      https://github.com/holomorph/transmission
:CREATED:  [2023-01-28 Sat 12:39]
:ORG_GTD:  Projects
:ID:       Emacs-interface-to-a-Transmission-session-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/alphapapa/org-web-tools][View, capture, and archive Waeb pages in Org-mode]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - alphapapa/org-web-tools: View, capture, and archive Web pages in Org-mode
:URI:      https://github.com/alphapapa/org-web-tools
:CREATED:  [2023-01-22 Sun 10:48]
:ORG_GTD:  Projects
:ID:       View-capture-and-archive-Waeb-pages-in-Org-mode-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-03 Thu 13:18]
- State "DONE"       from "NEXT"       [2023-08-03 Thu 13:17]
:END:

#+begin_src emacs-lisp :tangle no
      (use-package org-web-tools
        :bind (:map org-mode-map
                    ("C-c w" . org-web-tools-archive-attach)
                    ("C-c W" . org-web-tools-archive-view)
                    )
        :config
;      (setq org-web-tools-archive-wget-options
;            (delete "--execute robots=off" org-web-tools-archive-wget-options))
;      (add-to-list 'org-web-tools-archive-wget-options "-e robots=off")

  ;;    :custom
    ;    (org-web-tools-archive-wget-option   ;; Fix wget bug with -e robots=off https://github.com/alphapapa/org-web-tools/issues/35
    ;     '("--execute"
    ;       "robots=off)"
    ;       )
     ;    )
      )
    #+end_src

*** TODO [[https://github.com/lujun9972/html2org.el][Convert html to org format text]] :emacs:web:html:archive:
:PROPERTIES:
:TITLE:    GitHub - lujun9972/html2org.el: Convert html to org format text
:URI:      https://github.com/lujun9972/html2org.el
:CREATED:  [2023-01-28 Sat 09:34]
:ORG_GTD:  Projects
:ID:       Convert-html-to-org-format-text-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/jxq0/org-bookmarks-extractor][org-bookmarks-extractor]] :emacs:web:archive:
:PROPERTIES:
:TITLE:    GitHub - jxq0/org-bookmarks-extractor
:URI:      https://github.com/jxq0/org-bookmarks-extractor
:CREATED:  [2023-01-28 Sat 10:45]
:ORG_GTD:  Projects
:ID:       org-bookmarks-extractor-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/emacsmirror/bookmark-plus][Bookmark+: extensions to standard library `bookmark.el']] :emacs:web:
:PROPERTIES:
:TITLE:    GitHub - emacsmirror/bookmark-plus: Bookmark+: extensions to standard library `bookmark.el'
:URI:      https://github.com/emacsmirror/bookmark-plus
:CREATED:  [2023-01-23 Mon 20:40]
:ORG_GTD:  Projects
:ID:       Bookmark-plus-extensions-to-standard-library-2026-03-30-20-19-16
:END:

*** TODO Archive Mastodon links
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Archive-Mastodon-links-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp :tangle no
  (defun my/mastodon-store-link ()
  "Store links in Mastodon buffers."
  (when (derived-mode-p 'mastodon-mode)
    (let ((json (get-text-property (point) 'toot-json)))
      (org-link-store-props
       :link (assoc-default 'url json)
       :content (assoc-default 'content json)
       :text
       (concat
        (string-trim (mastodon-tl--render-text (assoc-default 'content json)))
        (if (assoc-default 'media_attachments json)
            (concat "\n\n"
                    (mapconcat
                     (lambda (attachment)
                       (org-link-make-string
                        (assoc-default 'url attachment)
                        (assoc-default 'description attachment)))
                     (assoc-default 'media_attachments json)
                     "\n"
                     )))
            "")
        ))))

(use-package org
  :config
  (org-link-set-parameters
   "mastodon"
   :store 'my/mastodon-store-link)
  (add-to-list 'org-capture-templates
               `("m" "Mastodon" entry (file ,my/org-inbox-file)
                 "* %?

#+begin_quote
%:text
#+end_quote

%a"
                 :prepend t)))
#+end_src

*** TODO [0/2] org-roam-capture web articles in web/
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       org-roam-capture-web-articles-in-web-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-08-19 Sat 20:03]
:END:

+ web highlight L template is converted into block quotes
+ notes are written below each block quote
+ Node CREATED timestamp in file properties

***** TODO [[https://github.com/xiliuya/org-roam-capture-extension][org-roam-capture]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       org-roam-capture-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp :tangle no
  (defun my/org-protocol-insert-selection-dwim (selection)
  "Insert SELECTION as an org blockquote."
  (unless (string= selection "")
    (format "#+begin_quote\n%s\n#+end_quote" selection)
    (format "\n%s\n" selection)))
#+end_src

***** TODO Templates
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Templates-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp :tangle no
  (add-to-list 'org-roam-capture-templates
               '("r" "ref" plain
                 "* %U\n  %(my/org-protocol-insert-selection-dwim \"%i\")%?"
                 :target (file+head "web/${slug}.org"
                                    "#+title: ${title}\n
                                     ,#+roam_key: ${ref}\n
                                     ,#+created: %u\n"
                                    )
                 :unnarrowed t
                 )
               )
#+end_src

*** TODO Article is pulled into *Article below block quotes using org-web-tools
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Article-is-pulled-into-Article-below-block-quotes-2026-03-30-20-19-16
:END:

+ Article ACCESSED timestamp in header properties
+ Link to node is listed as a header in web.org, sorted by CREATED date. Web.org is added to agenda with custom TODO statuses: READ ARCHIVE DONE
+ ARCHIVE is when entire web page ZIP archive is captured using org-web-tools.

*** CNCL [[https://github.com/charlesroelli/org-board][Org mode's web archiver.]] :emacs:archive:
:PROPERTIES:
:TITLE:    GitHub - charlesroelli/org-board: Org mode's web archiver.
:URI:      https://github.com/charlesroelli/org-board
:CREATED:  [2023-01-28 Sat 10:43]
:ORG_GTD:  Projects
:ID:       Org-mode-s-web-archiver-dot-2026-03-30-20-19-16
:END:
- State "CNCL"   from              [2023-08-09 Wed 09:15] \\
  Using org-web-tools instead, being actively developed.

*** CNCL [[https://github.com/vspinu/zotelo][Manage zotero collections from emacsemacs.]] :emacs:archive:academia:
:PROPERTIES:
:TITLE:    GitHub - vspinu/zotelo: Manage zotero collections from emacsemacs.
:URI:      https://github.com/vspinu/zotelo
:CREATED:  [2023-01-28 Sat 12:47]
:ORG_GTD:  Projects
:ID:       Manage-zotero-collections-from-emacsemacs-dot-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "CNCL"   from "TODO"       [2023-08-22 Tue 13:00]
:END:

*** TODO [[https://gitlab.com/fvdbeek/emacs-zotero][Emacs Zotero · GitLab]] :emacs:archive:academia:
:PROPERTIES:
:TITLE:    Folkert van der Beek / Emacs Zotero · GitLab
:URI:      https://gitlab.com/fvdbeek/emacs-zotero
:CREATED:  [2023-01-28 Sat 12:53]
:ORG_GTD:  Projects
:ID:       Emacs-Zotero-GitLab-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/egh/zotxt][zotxt: a Zotero extension for text]] :emacs:archive:academia:
:PROPERTIES:
:TITLE:    GitHub - egh/zotxt: zotxt: a Zotero extension for text
:URI:      https://github.com/egh/zotxt
:CREATED:  [2023-01-28 Sat 12:54]
:ORG_GTD:  Projects
:ID:       zotxt-a-Zotero-extension-for-text-2026-03-30-20-19-16
:END:

*** TODO [[https://emacs.stackexchange.com/questions/24725/zotero-workflow-into-emacs][org mode - zotero workflow into emacs? - Emacs Stack Exchange]]
:PROPERTIES:
:TITLE:    org mode - zotero workflow into emacs? - Emacs Stack Exchange
:URI:      https://emacs.stackexchange.com/questions/24725/zotero-workflow-into-emacs
:CREATED:  [2023-01-31 Tue 09:53]
:ORG_GTD:  Projects
:ID:       org-mode-zotero-workflow-into-emacs-Emacs-Stack-2026-03-30-20-19-16
:END:

Excellent comment below

*** TODO [[https://gist.github.com/andersjohansson/fa7ca643782771b6e15da41514e1358a][Emacs-zotero-bib-fetch: fork of zotelo to use better-bibtex's pull export · GitHub]]
:PROPERTIES:
:TITLE:    Emacs-zotero-bib-fetch: fork of zotelo to use better-bibtex's pull export · GitHub
:URI:      https://gist.github.com/andersjohansson/fa7ca643782771b6e15da41514e1358a
:CREATED:  [2023-01-31 Tue 09:54]
:ORG_GTD:  Projects
:ID:       Emacs-zotero-bib-fetch-fork-of-zotelo-to-use-2026-03-30-20-19-16
:END:

*** TODO [[https://www.jonathanleroux.org/bibtex-mode.html][BibTeX-Mode for GNU Emacs]] :emacs:
:PROPERTIES:
:TITLE:    BibTeX-Mode for GNU Emacs
:URI:      https://www.jonathanleroux.org/bibtex-mode.html
:CREATED:  [2023-01-27 Fri 19:01]
:ORG_GTD:  Projects
:ID:       BibTeX-Mode-for-GNU-Emacs-2026-03-30-20-19-16
:END:

*** TODO helm-bibtex
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       helm-bibtex-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-03 Thu 13:15]
:END:

#+begin_src emacs-lisp :tangle no
  (use-package helm-bibtex
    :ensure t
    :config (setq bibtex-completion-bibliography bib-files-directory
                  bibtex-completion-library-path pdf-files-directory
                  bibtex-completion-pdf-field "File"
                  bibtex-completion-notes-path org-directory
                  )
    )
#+end_src

*** TODO [[https://github.com/org-roam/org-roam-bibtex][Org Roam integration with bibliography management software]] :emacs:archive:
:PROPERTIES:
:TITLE:    GitHub - org-roam/org-roam-bibtex: Org Roam integration with bibliography management software
:URI:      https://github.com/org-roam/org-roam-bibtex
:CREATED:  [2023-01-28 Sat 11:11]
:ORG_GTD:  Projects
:ID:       Org-Roam-integration-with-bibliography-management-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-03 Thu 13:15]
:END:

#+begin_src emacs-lisp :tangle no
  (use-package org-roam-bibtex
    :after (org-roam helm-bibtex)
    :bind (
           :map org-mode-map ("C-c n b" . orb-note-actions))
    :config
    (require 'org-ref)
    (org-roam-bibtex-mode)
    )

  (add-hook 'bibtex-mode-hook 'flyspell-mode ) ;; Spell checking (requires the ispell software)

  ;; Change fields and format
  (setq bibtex-user-optional-fields '(("keywords" "Keywords to describe the entry" "")
                                      ("file" "Link to document file." ":"))
        bibtex-align-at-equal-sign t
        bib-files-directory (directory-files
                             (concat org-directory "library") t                            "^[A-Z|a-z].+.bib$")
        pdf-files-directory (concat org-directory "documents/pdf"))
#+end_src

*** TODO [[https://github.com/jkitchin/org-ref][org-ref]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       org-ref-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp :tangle no
  (use-package org-ref
    :ensure t
    :defer t
    :config (setq org-ref-completion-library 'org-ref-helm-cite
                  org-ref-get-pdf-filename-function 'org-ref-get-pdf-filename-helm-bibtex
                  org-ref-default-bibliography bib-files-directory
                  org-ref-notes-directory org-directory
                  org-ref-notes-function 'orb-edit-notes
                  )
    )
#+end_src

*** TODO [[https://github.com/cpitclaudel/biblio.el][Browse and import bibliographic references from CrossRef, DBLP, HAL, arXiv, Dissemin, and doi.org from Emacs]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - cpitclaudel/biblio.el: Browse and import bibliographic references from CrossRef, DBLP, HAL, arXiv, Dissemin, and doi.org from Emacs
:URI:      https://github.com/cpitclaudel/biblio.el
:CREATED:  [2023-01-27 Fri 21:04]
:ORG_GTD:  Projects
:ID:       Browse-and-import-bibliographic-references-from-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/mpedramfar/zotra][Zotra]]: get bibliographic information from a url and save it into a bibtex file
:PROPERTIES:
:CREATED:  [2023-08-14 Mon 22:31]
:TITLE:    GitHub - mpedramfar/zotra
:URI:      https://github.com/mpedramfar/zotra
:ORG_GTD:  Projects
:ID:       Zotra-get-bibliographic-information-from-a-url-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp
  (use-package zotra
    :ensure t
    )
#+end_src

*** TODO [[https://github.com/tinloaf/org-incoming][Annotate and sort incoming PDFs into your org files]] :emacs:archive:
:PROPERTIES:
:TITLE:    GitHub - tinloaf/org-incoming: Emacs package to annotate and sort incoming PDFs into your org files.
:URI:      https://github.com/tinloaf/org-incoming
:CREATED:  [2023-01-28 Sat 10:57]
:ORG_GTD:  Projects
:ID:       Annotate-and-sort-incoming-PDFs-into-your-org-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp :tangle no
    (use-package org-incoming
      :ensure t
      :config
      (setq org-incoming-dirs
            '(
            (:source "Download" :target "/home/amr/org/library/documents/pdf")
;            (:source (concat (getenv "HOME") "/Download") :target (concat org-directory "/library/documents/pdf"))
  ;            (:source (concat org-directory "/inbox") :target (concat org-directory "/library/documents/pdf") :use-roam 't)
  ;            (:source "/home/user/incoming/folder3" :target "/home/user/org/todos" :pdf-subdir "originals")
              )
            )
      )
#+end_src

*** TODO [[https://github.com/vedang/pdf-tools][Emacs support library for PDF files.]] :emacs:archive:
:PROPERTIES:
:TITLE:    GitHub - vedang/pdf-tools: Emacs support library for PDF files.
:URI:      https://github.com/vedang/pdf-tools
:CREATED:  [2023-01-28 Sat 12:26]
:ORG_GTD:  Projects
:ID:       Emacs-support-library-for-PDF-files-dot-2026-03-30-20-19-16
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-09 Wed 14:53]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package pdf-tools
    :ensure t
    :hook (org-mode . org-pdftools-setup-link)
    :config
    (pdf-tools-install)
    (setq-default pdf-view-display-size 'fit-width)
    (define-key pdf-view-mode-map (kbd "C-s") 'isearch-forward)
    :custom
    (pdf-annot-activate-created-annotations t "automatically annotate highlights")
    )
#+end_src

#+begin_src emacs-lisp :tangle no
  (defun my/fix-pdf-selection ()
  "Replace pdf with one where selection shows transparently."
  (interactive)
  (unless (equal (file-name-extension (buffer-file-name)) "pdf")
    (error "Buffer should visit a pdf file."))
  (unless (equal major-mode 'pdf-view-mode)
    (pdf-view-mode))
  ;; save file in QDF-mode
  (qpdf-run (list
             (concat "--infile="
                     (buffer-file-name))
             "--qdf --object-streams=disable"
             "--replace-input"))
  ;; do replacements
  (text-mode)
  (read-only-mode -1)
  (while (re-search-forward "3 Tr" nil t)
    (replace-match "7 Tr" nil nil))
  (save-buffer)
  (pdf-view-mode))
#+end_src

*** TODO [[https://github.com/chenyanming/nov-xwidget][nov-xwidget: The best epub reader in Emacs]] :emacs:books:
:PROPERTIES:
:TITLE:    GitHub - chenyanming/nov-xwidget: The best epub reader in Emacs
:URI:      https://github.com/chenyanming/nov-xwidget
:CREATED:  [2023-01-22 Sun 11:29]
:ORG_GTD:  Projects
:ID:       nov-xwidget-The-best-epub-reader-in-Emacs-2026-03-30-20-19-16
:END:

*** TODO Send books to Kindle
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Send-books-to-Kindle-2026-03-30-20-19-16
:END:

#+begin_src emacs-lisp :tangle no
  (use-package org-kindle ;; Send books to Kindle
    :ensure t
    )
  #+end_src

*** TODO [[https://github.com/lyterk/KindleToOrg][Convert between Kindle clippings and org mode.]] :python:kindle:emacs:
:PROPERTIES:
:TITLE:    GitHub - lyterk/KindleToOrg: Convert between Kindle clippings and org mode.
:URI:      https://github.com/lyterk/KindleToOrg
:CREATED:  [2023-02-02 Thu 07:39]
:ORG_GTD:  Projects
:ID:       Convert-between-Kindle-clippings-and-org-mode-dot-2026-03-30-20-19-16
:END:

*** TODO [[https://github.com/edavis10/kindle][A collection of classes and scripts that can be used to manage a kindle notes files.]] :ruby:emacs:kindle:
:PROPERTIES:
:TITLE:    GitHub - edavis10/kindle: A collection of classes and scripts that can be used to manage a kindle notes files.
:URI:      https://github.com/edavis10/kindle
:CREATED:  [2023-02-02 Thu 07:41]
:ORG_GTD:  Projects
:ID:       A-collection-of-classes-and-scripts-that-can-be-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/lepisma/org-books][Reading list management with org mode]] :emacs:books:
:PROPERTIES:
:TITLE:    GitHub - lepisma/org-books: Reading list management with org mode
:URI:      https://github.com/lepisma/org-books
:CREATED:  [2023-01-28 Sat 10:46]
:ORG_GTD:  Projects
:ID:       Reading-list-management-with-org-mode-2026-03-30-20-19-17
:END:

*** TODO [[https://dindi.garjola.net/calibredb-view.html][Open EPUBs in CalibreDB inside Emacs]]
:PROPERTIES:
:CREATED:  [2023-01-14 Sat 13:23]
:ORG_GTD:  Projects
:ID:       Open-EPUBs-in-CalibreDB-inside-Emacs-2026-03-30-20-19-17
:END:

#+begin_src emacs-lisp :tangle no
  (defun calibredb-open-file-with-default-tool (arg &optional candidate)
  "Open file with the system default tool.
If the universal prefix ARG is used, ignore `calibredb-preferred-format'.
Optional argument CANDIDATE is the selected item."
  (interactive "P")
  (unless candidate
    (setq candidate (car (calibredb-find-candidate-at-point))))
  (if arg
      (let ((calibredb-preferred-format nil))
        (calibredb-open-with-default-tool (calibredb-get-file-path candidate t)))
    (calibredb-open-with-default-tool (calibredb-get-file-path candidate t))))

#+end_src

#+begin_src emacs-lisp :tangle no
(defun my/calibredb-open-file-with-emacs (&optional candidate)
    "Open file with Emacs.
Optional argument CANDIDATE is the selected item."
    (interactive "P")
    (unless candidate
      (setq candidate (car (calibredb-find-candidate-at-point))))
    (find-file (calibredb-get-file-path candidate t)))
  (define-key calibredb-search-mode-map "V" #'my/calibredb-open-file-with-emacs)
#+end_src

*** CNCL [[https://github.com/bpanthi977/org-calibre-notes][Extract highlights and notes from Calibre EPUB reader]] :emacs:books:
CLOSED: [2024-02-03 Sat 03:08]
:PROPERTIES:
:TITLE:    GitHub - bpanthi977/org-calibre-notes: Extract highlights and notes from Calibre EPUB reader
:URI:      https://github.com/bpanthi977/org-calibre-notes
:CREATED:  [2023-01-28 Sat 10:50]
:ORG_GTD:  Projects
:ID:       Extract-highlights-and-notes-from-Calibre-EPUB-2026-03-30-20-19-17
:END:

*** CNCL Create book library report
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Create-book-library-report-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:09]
:END:

*** CNCL Import book library report into org
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Import-book-library-report-into-org-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:09]
:END:

*** CNCL Create sync mechanism between Calibre library and org book report
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Create-sync-mechanism-between-Calibre-library-and-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:09]
:END:

*** TODO Install mpd controller
:PROPERTIES:
:CREATED:  [2023-01-27 Fri 19:48]
:ORG_GTD:  Projects
:ID:       Install-mpd-controller-2026-03-30-20-19-17
:END:

***** TODO [[https://github.com/sp1ff/elmpd][A tight, ergonomic, async MPD client library in Emacs Lisp]] :emacs:music:
:PROPERTIES:
:TITLE:    GitHub - sp1ff/elmpd: A tight, ergonomic, async MPD client library in Emacs Lisp
:URI:      https://github.com/sp1ff/elmpd
:CREATED:  [2023-01-28 Sat 07:41]
:ORG_GTD:  Projects
:ID:       A-tight-ergonomic-async-MPD-client-library-in-2026-03-30-20-19-17
:END:

***** TODO [[https://github.com/pft/mingus][GNU Emacs control of Music Player Daemon (MPD)]] :emacs:music:
:PROPERTIES:
:TITLE:    GitHub - pft/mingus: GNU Emacs control of Music Player Daemon (MPD)
:URI:      https://github.com/pft/mingus
:CREATED:  [2023-01-28 Sat 10:37]
:ORG_GTD:  Projects
:ID:       GNU-Emacs-control-of-Music-Player-Daemon--MPD-2026-03-30-20-19-17
:END:

*** TODO [[https://melpa.org/#/emms][Emms]] :emacs:music:
:PROPERTIES:
:TITLE:    Emms
:URI:      https://melpa.org/#/emms
:CREATED:  [2023-01-28 Sat 07:42]
:ORG_GTD:  Projects
:ID:       Emms-2026-03-30-20-19-17
:END:

*** TODO Install [[https://github.com/abo-abo/org-download][org-download]]
:PROPERTIES:
:CREATED:  [2023-01-14 Sat 10:54]
:ORG_GTD:  Projects
:ID:       Install-org-download-2026-03-30-20-19-17
:END:

This extension facilitates moving images from point A to point B.

Point A (the source) can be:
- An image inside your browser that you can drag to Emacs.
- An image on your file system that you can drag to Emacs.
- A local or remote image address in kill-ring. Use the org-download-yank command for this. Remember that you can use "0 w" in dired to get an address.
- A screenshot taken using gnome-screenshot, scrot, gm, xclip (on Linux), screencapture (on OS X) or , imagemagick/convert (on Windows). Use the org-download-screenshot command for this. Customize the backend with org-download-screenshot-method.

Point B (the target) is an Emacs org-mode buffer where the inline link will be inserted. Several customization options will determine where exactly on the file system the file will be stored.

#+begin_src emacs-lisp :tangle no
  (use-package org-download
    )
  (add-hook 'dired-mode-hook 'org-download-enable)     ;; Drag-and-drop to `dired`
#+end_src

*** TODO [[https://github.com/csrhodes/iplayer-el][Emacs interface to the BBC's iPlayer (uses get_iplayer)]] :emacs:video:audio:
:PROPERTIES:
:TITLE:    GitHub - csrhodes/iplayer-el: Emacs interface to the BBC's iPlayer (uses get_iplayer)
:URI:      https://github.com/csrhodes/iplayer-el
:CREATED:  [2023-01-28 Sat 10:27]
:ORG_GTD:  Projects
:ID:       Emacs-interface-to-the-BBC-s-iPlayer--uses-get-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/juergenhoetzel/emacs-gnome-screencast][Use Gnome shell’s screen recorder from within Emacs]] :emacs:video:
:PROPERTIES:
:TITLE:    GitHub - juergenhoetzel/emacs-gnome-screencast: Use Gnome shell’s screen recorder from within Emacs
:URI:      https://github.com/juergenhoetzel/emacs-gnome-screencast
:CREATED:  [2023-01-28 Sat 09:02]
:ORG_GTD:  Projects
:ID:       Use-Gnome-shell-s-screen-recorder-from-within-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/kljohann/mpv.el][Control mpv for easy note takin]] :emacs:video:
:PROPERTIES:
:TITLE:    GitHub - kljohann/mpv.el: control mpv for easy note takin
:URI:      https://github.com/kljohann/mpv.el
:CREATED:  [2023-01-28 Sat 10:38]
:ORG_GTD:  Projects
:ID:       Control-mpv-for-easy-note-takin-2026-03-30-20-19-17
:END:

*** TODO [[https://melpa.org/#/peertube][peertube - MELPA]] :emacs:video:
:PROPERTIES:
:TITLE:    peertube - MELPA
:URI:      https://melpa.org/#/peertube
:CREATED:  [2023-01-28 Sat 12:26]
:ORG_GTD:  Projects
:ID:       peertube-MELPA-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/bpanthi977/org-mpv-notes][Take notes in org mode while watching videos in mpv media player]] :emacs:video:
:PROPERTIES:
:TITLE:    GitHub - bpanthi977/org-mpv-notes: Take notes in org mode while watching videos in mpv media player
:URI:      https://github.com/bpanthi977/org-mpv-notes
:CREATED:  [2023-01-28 Sat 11:02]
:ORG_GTD:  Projects
:ID:       Take-notes-in-org-mode-while-watching-videos-in-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/teeann/org-movies][Movie watchlist management using org-mode.]] :emacs:archive:video:
:PROPERTIES:
:TITLE:    GitHub - teeann/org-movies: Movie watchlist management using org-mode.
:URI:      https://github.com/teeann/org-movies
:CREATED:  [2023-01-28 Sat 11:01]
:ORG_GTD:  Projects
:ID:       Movie-watchlist-management-using-org-mode-dot-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-13 Sun 11:45]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package org-movies
    :ensure t
    :config
    ;;    (setq org-movies-api-key "f99b1ad3")
    (setq org-movies-api-key (auth-source-pass-get "api-key" "www/omdbapi.com/witty.zone3686@fastmail.com"))
    (add-to-list 'org-capture-templates
                '("m"
                   "Movie"
                   entry
                   ;;(file+headline (concat org-directory "library/movies.org") "To-watch")
                   (file+headline "~/org/library/movies.org" "Movies")
                   "%(call-interactively 'org-movies-from-url)"
                   :prepend t
                   :empty-lines 1
                   :created t
                   :kill-buffer t
                  )
                )
    )
#+end_src

*** TODO [[https://gitlab.com/tuedachu/ytdl][ytdl]] :emacs:video:youtube:
:PROPERTIES:
:TITLE:    Arnaud Hoffmann / ytdl · GitLab
:URI:      https://gitlab.com/tuedachu/ytdl
:CREATED:  [2023-01-28 Sat 12:46]
:ORG_GTD:  Projects
:ID:       ytdl-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/agzam/youtube-sub-extractor.el][Extract YouTube video subtitles]] :emacs:video:youtube:
:PROPERTIES:
:TITLE:    GitHub - agzam/youtube-sub-extractor.el: Extract YouTube video subtitles
:URI:      https://github.com/agzam/youtube-sub-extractor.el
:CREATED:  [2023-01-28 Sat 12:45]
:ORG_GTD:  Projects
:ID:       Extract-YouTube-video-subtitles-2026-03-30-20-19-17
:END:

*** TODO View and annotate video and audio
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       View-and-annotate-video-and-audio-2026-03-30-20-19-17
:END:

#+begin_src emacs-lisp :tangle no
  (use-package org-media-note
    :init (setq org-media-note-use-org-ref t)
    :hook (org-mode .  org-media-note-mode)
    :bind (
           ("H-v" . org-media-note-hydra/body))  ;; Main entrance
    :config
    (setq org-media-note-screenshot-image-dir (concat org-directory "images/"))  ;; Folder to save screenshot
    (setq org-media-note-use-refcite-first t)  ;; use videocite link instead of video link if possible
    )
#+end_src

*** DONE Install Pandoc
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Install-Pandoc-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-07-05 Wed 17:17]
:END:
#+begin_src bash :tangle no
sudo apt-install pandoc
#+end_src

*** TODO Connect Pandoc and Org
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Connect-Pandoc-and-Org-2026-03-30-20-19-17
:END:

#+begin_src emacs-lisp :tangle no
  (use-package org-pandoc-import
    :straight (:host github :repo "tecosaur/org-pandoc-import" :files ("*.el" "filters" "preprocessors"))
    )
#+end_src

*** TODO [[https://github.com/emacs-openai/eglot-uniteai][GitHub - emacs-openai/eglot-uniteai: Eglot Clients for UniteAI]]
:PROPERTIES:
:TITLE:    GitHub - emacs-openai/eglot-uniteai: Eglot Clients for UniteAI
:URI:      https://github.com/emacs-openai/eglot-uniteai
:CREATED:  [2023-08-30 Wed 12:45]
:ORG_GTD:  Projects
:ID:       GitHub-emacs-openai-eglot-uniteai-Eglot-Clients-2026-03-30-20-19-17
:END:

*** CNCL [[https://github.com/borablanca/orgmodeweb][orgmodeweb]] :emacs:
CLOSED: [2023-01-30 Mon 21:41]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       orgmodeweb-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:05]
:END:

*** CNCL [[https://github.com/bastibe/org-journal][A simple org-mode based journaling mode]]
CLOSED: [2023-01-31 Tue 05:04]
:PROPERTIES:
:CREATED:  [2023-01-14 Sat 11:00]
:ORG_GTD:  Projects
:ID:       A-simple-org-mode-based-journaling-mode-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:05]
:END:

*** CNCL Store Emacs configs in org file using [[https://github.com/vapniks/org-dotemacs][org-dotemacs]]
:PROPERTIES:
:CREATED:  [2023-01-29 Sun 08:51]
:ORG_GTD:  Projects
:ID:       Store-Emacs-configs-in-org-file-using-org-dotemacs-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:05]
:END:

*** CNCL Install [[https://github.com/charlesroelli/org-board][org-board]]
:PROPERTIES:
:CREATED:  [2023-01-31 Tue 04:57]
:ORG_GTD:  Projects
:ID:       Install-org-board-2026-03-30-20-19-17
:END:
   - State "CNCL"   from              [2023-07-02 Sun 15:05]

*** CNCL Org-appear
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Org-appear-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:06]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package org-appear ;; Show hidden emphasis markers
    :hook (org-mode . org-appear-mode)
    )
#+end_src

*** CNCL Superstar
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Superstar-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-02 Sun 15:06]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package org-superstar ;; Nice bullets
    :ensure t
    :config
    (setq org-superstar-special-todo-items t)
    (add-hook 'org-mode-hook (lambda ()
                               (org-superstar-mode 1)
                               )
              )
    )
#+end_src

*** TODO [[https://github.com/alphapapa/org-ql#screenshots][An Org-mode query language, including search commands and saved views]]
:PROPERTIES:
:TITLE:    GitHub - alphapapa/org-ql: An Org-mode query language, including search commands and saved views
:URI:      https://github.com/alphapapa/org-ql
:CREATED:  [2023-02-05 Sun 00:40]
:ORG_GTD:  Projects
:ID:       An-Org-mode-query-language-including-search-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/zzkt/ethermacs][Emacs interface for editing Etherpad pads]] :emacs:writing:
:PROPERTIES:
:TITLE:    GitHub - zzkt/ethermacs: An Emacs interface for editing Etherpad pads
:URI:      https://github.com/zzkt/ethermacs
:CREATED:  [2023-01-28 Sat 08:56]
:ORG_GTD:  Projects
:ID:       Emacs-interface-for-editing-Etherpad-pads-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/Fuco1/smartparens][Minor mode for Emacs that deals with parens pairs and tries to be smart about it.]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - Fuco1/smartparens: Minor mode for Emacs that deals with parens pairs and tries to be smart about it.
:URI:      https://github.com/Fuco1/smartparens
:CREATED:  [2023-01-28 Sat 06:28]
:ORG_GTD:  Projects
:ID:       Minor-mode-for-Emacs-that-deals-with-parens-pairs-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/rnkn/olivetti][Emacs minor mode to automatically balance window margins]] :emacs:writing:
:PROPERTIES:
:TITLE:    GitHub - rnkn/olivetti: Emacs minor mode to automatically balance window margins
:URI:      https://github.com/rnkn/olivetti
:CREATED:  [2023-01-28 Sat 10:41]
:ORG_GTD:  Projects
:ID:       Emacs-minor-mode-to-automatically-balance-window-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/kawabata/emacs-trr][Type-writing training program on GNU Emacs]] :emacs:writing:
:PROPERTIES:
:TITLE:    GitHub - kawabata/emacs-trr: a type-writing training program on GNU Emacs
:URI:      https://github.com/kawabata/emacs-trr
:CREATED:  [2023-01-28 Sat 12:40]
:ORG_GTD:  Projects
:ID:       Type-writing-training-program-on-GNU-Emacs-2026-03-30-20-19-17
:END:

*** TODO Increase size of LaTeX fragment previews
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Increase-size-of-LaTeX-fragment-previews-2026-03-30-20-19-17
:END:

#+begin_src emacs-lisp :tangle no
  (plist-put org-format-latex-options :scale 2)
#+end_src

*** TODO [[https://github.com/Malabarba/ham-mode][Html As Markdown. Transparently edit an html file using markdown.]] :emacs:web:
:PROPERTIES:
:CREATED:  [2023-01-28 Sat 09:09]
:ORG_GTD:  Projects
:ID:       Html-As-Markdown-dot-Transparently-edit-an-html-2026-03-30-20-19-17
:END:

:URI: ATED:  [2023-01-28 Sat 09:09

*** TODO [[https://github.com/nschum/auto-dictionary-mode][Emacs: automatic dictionary switcher for flyspell]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - nschum/auto-dictionary-mode: Emacs: automatic dictionary switcher for flyspell
:URI:      https://github.com/nschum/auto-dictionary-mode
:CREATED:  [2023-01-27 Fri 20:58]
:ORG_GTD:  Projects
:ID:       Emacs-automatic-dictionary-switcher-for-flyspell-2026-03-30-20-19-17
:END:

*** TODO [[https://melpa.org/#/kiwix][kiwix - MELPA]] :emacs:wiki:
:PROPERTIES:
:TITLE:    kiwix - MELPA
:URI:      https://melpa.org/#/kiwix
:CREATED:  [2023-01-28 Sat 10:29]
:ORG_GTD:  Projects
:ID:       kiwix-MELPA-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/hexmode/mediawiki-el][Emacs interface to edit any mediawiki site]] :emacs:wiki:
:PROPERTIES:
:TITLE:    GitHub - hexmode/mediawiki-el: Emacs interface to edit any mediawiki site
:URI:      https://github.com/hexmode/mediawiki-el
:CREATED:  [2023-01-28 Sat 10:35]
:ORG_GTD:  Projects
:ID:       Emacs-interface-to-edit-any-mediawiki-site-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/tomalexander/orgmode-mediawiki][A mediawiki export for Emacs org-mode]] :emacs:wiki:
:PROPERTIES:
:TITLE:    GitHub - tomalexander/orgmode-mediawiki: A mediawiki export for Emacs org-mode
:URI:      https://github.com/tomalexander/orgmode-mediawiki
:CREATED:  [2023-01-28 Sat 11:19]
:ORG_GTD:  Projects
:ID:       A-mediawiki-export-for-Emacs-org-mode-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/progfolio/wikinfo][Wikipedia Infobox -> Emacs-Lisp]] :emacs:wiki:
:PROPERTIES:
:TITLE:    GitHub - progfolio/wikinfo: Wikipedia Infobox -> Emacs-Lisp
:URI:      https://github.com/progfolio/wikinfo
:CREATED:  [2023-01-28 Sat 12:44]
:ORG_GTD:  Projects
:ID:       Wikipedia-Infobox-Emacs-Lisp-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/progfolio/wikinforg][Org mode wikinfo integration]] :emacs:wiki:
:PROPERTIES:
:TITLE:    GitHub - progfolio/wikinforg: Org mode wikinfo integration
:URI:      https://github.com/progfolio/wikinforg
:CREATED:  [2023-01-28 Sat 12:45]
:ORG_GTD:  Projects
:ID:       Org-mode-wikinfo-integration-2026-03-30-20-19-17
:END:

*** TODO Mastodon keyboard shortcuts via Hydra
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Mastodon-keyboard-shortcuts-via-Hydra-2026-03-30-20-19-17
:END:

#+begin_src emacs-lisp :tangle no
   ;; Not in the following hydra, but mentioned in "M-x describe-mode". Also, the README.org
  ;; contains several functions that aren't in my hydra.
  ;;
  ;; TAB                     mastodon-tl--next-tab-item
  ;; D                       mastodon-toot--delete-and-redraft-toot
  ;; C-S-b                   mastodon-tl--unblock-user
  ;; S-TAB                   mastodon-tl--previous-tab-item
  ;; S-RET                   mastodon-tl--unmute-user
  ;; C-S-w                   mastodon-tl--unfollow-user
  ;; S-SPC                   scroll-down-command
  ;; <backtab>               mastodon-tl--previous-tab-item
  ;; C-M-i                   mastodon-tl--previous-tab-item
  ;; M-n                     mastodon-tl--next-tab-item
  ;; M-p                     mastodon-tl--previous-tab-item

  (defhydra my/mastodon-help (:color blue :hint nil)
    "
Timelines^^   Toots^^^^           Own Toots^^   Profiles^^      Users/Follows^^  Misc^^
^^-----------------^^^^--------------------^^----------^^-------------------^^------^^-----
_H_ome        _n_ext _p_rev       _r_eply       _A_uthors       follo_W_         _X_ lists
_L_ocal       _T_hread of toot^^  wri_t_e       user _P_rofile  _N_otifications  f_I_lter
_F_ederated   (un) _b_oost^^      _e_dit        ^^              _R_equests       _C_opy URL
fa_V_orites   (un) _f_avorite^^   _d_elete      _O_wn           su_G_estions     _S_earch
_#_ tagged    (un) p_i_n^^        ^^            _U_pdate own    _M_ute user      _h_elp
_@_ mentions  (un) boo_k_mark^^   show _E_dits  ^^              _B_lock user
boo_K_marks   _v_ote^^
trendin_g_
_u_pdate      _w_rite Emacs news  _o_rg  _s_creenshot
"
    ;; my custom stuff
    ("s" my/mastodon-toot-screenshot)
    ("w" my/mastodon-save-toot-for-emacs-news)
    ("o" (org-capture nil "m"))
    ;; more general things
    ("H" mastodon-tl--get-home-timeline)
    ("L" mastodon-tl--get-local-timeline)
    ("F" mastodon-tl--get-federated-timeline)
    ("V" mastodon-profile--view-favourites)
    ("#" mastodon-tl--get-tag-timeline)
    ("@" mastodon-notifications--get-mentions)
    ("K" mastodon-profile--view-bookmarks)
    ("g" mastodon-search--trending-tags)
    ("u" mastodon-tl--update :exit nil)

    ("n" mastodon-tl--goto-next-toot)
    ("p" mastodon-tl--goto-prev-toot)
    ("T" mastodon-tl--thread)
    ("b" mastodon-toot--toggle-boost :exit nil)
    ("f" mastodon-toot--toggle-favourite :exit nil)
    ("i" mastodon-toot--pin-toot-toggle :exit nil)
    ("k" mastodon-toot--bookmark-toot-toggle :exit nil)
    ("c" mastodon-tl--toggle-spoiler-text-in-toot)
    ("v" mastodon-tl--poll-vote)

    ("A" mastodon-profile--get-toot-author)
    ("P" mastodon-profile--show-user)
    ("O" mastodon-profile--my-profile)
    ("U" mastodon-profile--update-user-profile-note)

    ("W" mastodon-tl--follow-user)
    ("N" mastodon-notifications-get)
    ("R" mastodon-profile--view-follow-requests)
    ("G" mastodon-tl--get-follow-suggestions)
    ("M" mastodon-tl--mute-user)
    ("B" mastodon-tl--block-user)

    ("r" mastodon-toot--reply)
    ("t" mastodon-toot)
    ("e" mastodon-toot--edit-toot-at-point)
    ("d" mastodon-toot--delete-toot)
    ("E" mastodon-toot--view-toot-edits)

    ("I" mastodon-tl--view-filters)
    ("X" mastodon-tl--view-lists)
    ("C" mastodon-toot--copy-toot-url)
    ("S" mastodon-search--search-query)
    ("h" describe-mode)

    ("q" nil :exit t)
  )
(use-package mastodon
 :bind ("s-m" . my/mastodon-help/body))
#+end_src

*** TODO [[https://github.com/xuchunyang/web-search.el][Web search from Emacs and the terminal]] :emacs:web:search:
:PROPERTIES:
:TITLE:    GitHub - xuchunyang/web-search.el: Web search from Emacs and the terminal
:URI:      https://github.com/xuchunyang/web-search.el
:CREATED:  [2023-01-28 Sat 12:42]
:ORG_GTD:  Projects
:ID:       Web-search-from-Emacs-and-the-terminal-2026-03-30-20-19-17
:END:

*** TODO [[https://gitlab.com/xgqt/emacs-websearch][Maciej Barć / emacs-websearch · GitLab]] :emacs:web:search:
:PROPERTIES:
:TITLE:    Maciej Barć / emacs-websearch · GitLab
:URI:      https://gitlab.com/xgqt/emacs-websearch
:CREATED:  [2023-01-28 Sat 12:43]
:ORG_GTD:  Projects
:ID:       Maciej-Barć-emacs-websearch-GitLab-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/hrs/engine-mode][Minor mode for defining and querying search engines through Emacs.]]
:PROPERTIES:
:TITLE:    GitHub - hrs/engine-mode: Minor mode for defining and querying search engines through Emacs.
:URI:      https://github.com/hrs/engine-mode
:CREATED:  [2023-02-05 Sun 00:57]
:ORG_GTD:  Projects
:ID:       Minor-mode-for-defining-and-querying-search-2026-03-30-20-19-17
:END:

*** CNCL [[https://github.com/chenyanming/wallabag.el][Emacs wallabag client]] :emacs:web:
:PROPERTIES:
:TITLE:    GitHub - chenyanming/wallabag.el: Emacs wallabag client - A Read It Later/Web Archiving Solution in Emacs.
:URI:      https://github.com/chenyanming/wallabag.el
:CREATED:  [2023-01-22 Sun 11:28]
:ORG_GTD:  Projects
:ID:       Emacs-wallabag-client-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-08-09 Wed 12:26]
:END:

*** CNCL [[https://github.com/alphapapa/pocket-reader.el][Emacs client for Pocket reading list (getpocket.com)]] :emacs:web:
:PROPERTIES:
:TITLE:    GitHub - alphapapa/pocket-reader.el: Emacs client for Pocket reading list (getpocket.com)
:URI:      https://github.com/alphapapa/pocket-reader.el
:CREATED:  [2023-01-22 Sun 11:00]
:ORG_GTD:  Projects
:ID:       Emacs-client-for-Pocket-reading-list--getpocket-2026-03-30-20-19-17
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-07-06 Thu 11:30]
:END:

*** TODO Install BBDB contact manager
:PROPERTIES:
:CREATED:  [2023-01-27 Fri 19:50]
:ORG_GTD:  Projects
:ID:       Install-BBDB-contact-manager-2026-03-30-20-19-17
:END:

#+begin_src emacs-lisp :tangle no
  (use-package bbdb
    :config
    (bbdb-initialize 'gnus 'message 'w3)
    (bbdb-insinuate-message)
    (add-hook 'gnus-startup-hook 'bbdb-insinuate-gnus)
    (setq bbdb-north-american-phone-numbers nil)
    )
#+end_src

#+begin_src emacs-lisp :tangle no
  (require 'bbdb-autoloads)
    (require 'bbdb) 
   (load "bbdb-com" t)
    (bbdb-initialize 'gnus 'message 'reportmail 'w3)
    (bbdb-insinuate-reportmail)
    (bbdb-insinuate-message)
    ;; (bbdb-insinuate-sc)
    (bbdb-insinuate-w3)
    (setq bbdb-north-american-phone-numbers nil)
    (add-hook 'gnus-startup-hook 'bbdb-insinuate-gnus)
    (setq bbdb-auto-notes-alist
          (quote (("To"
                   ("w3o" . "w3o")
                   ("plug" . "plug")
                   ("linux" . "linux")
                   ("emacs-commit" . "emacs commit")
                   ("emacs" . "emacs")
                   ("pinoyjug" . "pinoyjug")
                   ("digitalfilipino" . "digitalfilipino")
                   ("sacha" . "personal mail"))
                  ("From"
                   ("admu" company "Ateneo de Manila University")
                  ("Organization" (".*" company 0 nil))
                  ))))
    (setq bbdb-auto-notes-ignore (quote (("Organization" . "^Gatewayed from\\\\|^Source only"))))
    (setq bbdb-auto-notes-ignore-all nil)
    (setq bbdb-check-zip-codes-p nil)
    (setq bbdb-default-area-code 632)
    (setq bbdb-default-country "Philippines")
    (setq bbdb-ignore-some-messages-alist (quote (("From" . "hotmail") ("To" . "handhelds") ("From" . "yahoo.com"))))
    (setq bbdb-notice-hook (quote (bbdb-auto-notes-hook)))
    (setq bbdb/mail-auto-create-p t)
    (setq bbdb/news-auto-create-p (quote bbdb-ignore-some-messages-hook))
#+end_src

*** TODO [[https://melpa.org/#/bbdb-csv-import][bbdb-csv-import - MELP]] :emacs:archive:
:PROPERTIES:
:TITLE:    bbdb-csv-import - MELP
:URI:      https://melpa.org/#/bbdb-csv-import
:CREATED:  [2023-01-27 Fri 21:02]
:ORG_GTD:  Projects
:ID:       bbdb-csv-import-MELP-2026-03-30-20-19-17
:END:

*** TODO [[https://github.com/pimutils/vdirsyncer][Synchronize calendars and contacts.]] :calendar:carddav:
:PROPERTIES:
:TITLE:    GitHub - pimutils/vdirsyncer: 📇 Synchronize calendars and contacts.
:URI:      https://github.com/pimutils/vdirsyncer
:CREATED:  [2023-01-29 Sun 01:42]
:ORG_GTD:  Projects
:ID:       Synchronize-calendars-and-contacts-dot-2026-03-30-20-19-18
:END:

*** TODO [[https://orgmode.org/worg/org-tutorials/org-google-sync.html][Google Calendar Synchronization]]
:PROPERTIES:
:TITLE:    Google Calendar Synchronization
:URI:      https://orgmode.org/worg/org-tutorials/org-google-sync.html
:CREATED:  2023-02-18 Sat 22:03
:ORG_GTD:  Projects
:ID:       Google-Calendar-Synchronization-2026-03-30-20-19-18
:END:

*** TODO [[https://melpa.org/#/org-contacts][org-contacts - MELPA]] :emacs:contacts:
:PROPERTIES:
:TITLE:    org-contacts - MELPA
:URI:      https://melpa.org/#/org-contacts
:CREATED:  [2023-01-28 Sat 10:51]
:ORG_GTD:  Projects
:ID:       org-contacts-MELPA-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/novoid/org-contacts2vcard][org-contacts2vcard]] :emacs:contacts:
:PROPERTIES:
:TITLE:    GitHub - novoid/org-contacts2vcard: Converting Emacs Org-mode org-contacts contact information to VCard format suitable for importing to Android 4.4
:URI:      https://github.com/novoid/org-contacts2vcard
:CREATED:  [2023-01-25 Wed 19:49]
:ORG_GTD:  Projects
:ID:       org-contacts2vcard-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/chenyanming/wallabag.el][Org sync with Google Tasks]] :emacs:work:
:PROPERTIES:
:TITLE:    GitHub - chenyanming/org-gtasks: Org sync with Google Tasks
:URI:      https://github.com/chenyanming/wallabag.el
:CREATED:  [2023-01-22 Sun 11:27]
:ORG_GTD:  Projects
:ID:       Org-sync-with-Google-Tasks-2026-03-30-20-19-18
:END:

*** TODO [[https://gitlab.com/hperrey/khalel][Hanno Perrey / khalel · GitLab]] :emacs:calendar:carddav:
:PROPERTIES:
:TITLE:    Hanno Perrey / khalel · GitLab
:URI:      https://gitlab.com/hperrey/khalel
:CREATED:  [2023-01-29 Sun 01:48]
:ORG_GTD:  Projects
:ID:       Hanno-Perrey-khalel-GitLab-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/marcinkoziej/org-pomodoro][pomodoro technique for org-mode]] :emacs:work:
:PROPERTIES:
:TITLE:    GitHub - marcinkoziej/org-pomodoro: pomodoro technique for org-mode
:URI:      https://github.com/marcinkoziej/org-pomodoro
:CREATED:  [2023-01-28 Sat 11:05]
:ORG_GTD:  Projects
:ID:       pomodoro-technique-for-org-mode-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/tmarble/timesheet.el][Timesheet management add-on for Emacs org-mode]] :emacs:work:
:PROPERTIES:
:TITLE:    GitHub - tmarble/timesheet.el: Timesheet management add-on for Emacs org-mode
:URI:      https://github.com/tmarble/timesheet.el
:CREATED:  [2023-01-28 Sat 12:36]
:ORG_GTD:  Projects
:ID:       Timesheet-management-add-on-for-Emacs-org-mode-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/skarra/ASynK][Flexible Bi-directional sync for Emacs BBDB, Google Contacts, MS Outlook, MS Exchange, CardDAV]] :emacs:carddav:
:PROPERTIES:
:TITLE:    GitHub - skarra/ASynK: Flexible Bi-directional sync for Emacs BBDB, Google Contacts, MS Outlook, MS Exchange, CardDAV
:URI:      https://github.com/skarra/ASynK
:CREATED:  [2023-01-29 Sun 01:31]
:ORG_GTD:  Projects
:ID:       Flexible-Bi-directional-sync-for-Emacs-BBDB-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/tohojo/bbdb-vcard][vCard Import and Export for BBDB]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - tohojo/bbdb-vcard: vCard Import and Export for The Insidious Big Brother Database (BBDB)
:URI:      https://github.com/tohojo/bbdb-vcard
:CREATED:  [2023-01-27 Fri 21:03]
:ORG_GTD:  Projects
:ID:       vCard-Import-and-Export-for-BBDB-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/ecraven/celestial-mode-line][Display lunar phase and sunrise/sunset time in emacs mode line]] :emacs:calendar:
:PROPERTIES:
:TITLE:    GitHub - ecraven/celestial-mode-line: Display lunar phase and sunrise/sunset time in emacs mode line
:URI:      https://github.com/ecraven/celestial-mode-line
:CREATED:  [2023-01-27 Fri 21:10]
:ORG_GTD:  Projects
:ID:       Display-lunar-phase-and-sunrise-sunset-time-in-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/abo-abo/gtk-pomodoro-indicator][A simple pomodoro indicator for Unity/GTK tray]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - abo-abo/gtk-pomodoro-indicator: A simple pomodoro indicator for Unity/GTK tray
:URI:      https://github.com/abo-abo/gtk-pomodoro-indicator
:CREATED:  [2023-01-28 Sat 09:07]
:ORG_GTD:  Projects
:ID:       A-simple-pomodoro-indicator-for-Unity-GTK-tray-2026-03-30-20-19-18
:END:

*** TODO [[https://www.emacswiki.org/emacs/GnusTutorial][News and mail on Gnus]]
:PROPERTIES:
:TITLE:    EmacsWiki: Gnus Tutorial
:URI:      https://www.emacswiki.org/emacs/GnusTutorial
:CREATED:  [2023-08-24 Thu 18:27]
:ORG_GTD:  Projects
:ID:       News-and-mail-on-Gnus-2026-03-30-20-19-18
:END:

****** TODO SMTP
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       SMTP-2026-03-30-20-19-18
:END:

#+begin_src emacs-lisp :tangle no
  (setq 
   user-mail-address    "amr@gharbeia.net"   ; $EMAIL
   user-full-name       "Amr Gharbeia")        ; $NAME
  smtpmail-smtp-server "imap.fastmail.com"    ; $SMTPSERVER
  send-mail-function   'smtpmail-send-it     ;
  smtpmail-smtp-service 587                  ; SMTP port
                                          ; gnus-select-method '(nntp "foo.bar.com")  ; Connect to an NNTP server
  )
  ;; A list of additional servers
  (add-to-list gnus-secondary-select-methods
               '((nnspool "localhost")
                 (nnml "")))

      ;; nnml gets credentials here.
  (setq mail-sources
        '((pop :server   "imap.fastmail.com"   
               :user     "amr@gharbeia.net")))

  (setq user-mail-address    "amr@gharbeia.net")   ; $EMAIL
  (setq user-full-name       "Amr Gharbeia")        ; $NAME
  (setq smtpmail-smtp-server "imap.fastmail.com")    ; $SMTPSERVER
  (setq send-mail-function   'smtpmail-send-it)     ;
  (setq smtpmail-smtp-service 587)                  ; SMTP port
  (setq gnus-select-method '(nnimap "imap.gmail.com")  ; Connect to an NNTP server

        ;; A list of additional servers
        (add-to-list gnus-secondary-select-methods
                     '((nnspool "localhost")
                       (nnml "")))

        ;; nnml gets credentials here.
        (setq mail-sources
              '((pop :server   "imap.fastmail.com"))
              )

#+end_src

*** TODO [[https://github.com/deusmax/gnus-notes][Keep handy notes of Gnus articles with helm and org]] :emacs:email:
:PROPERTIES:
:TITLE:    GitHub - deusmax/gnus-notes: Keep handy notes of Gnus articles with helm and org
:URI:      https://github.com/deusmax/gnus-notes
:CREATED:  [2023-01-28 Sat 09:03]
:ORG_GTD:  Projects
:ID:       Keep-handy-notes-of-Gnus-articles-with-helm-and-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/lassik/emacs-desktop-mail-user-agent][Use Linux/Windows/Mac mail program to send mail from Emacs]] :emacs:email:
:PROPERTIES:
:TITLE:    GitHub - lassik/emacs-desktop-mail-user-agent: Use Linux/Windows/Mac mail program to send mail from Emacs
:URI:      https://github.com/lassik/emacs-desktop-mail-user-agent
:CREATED:  [2023-01-28 Sat 06:25]
:ORG_GTD:  Projects
:ID:       Use-Linux-Windows-Mac-mail-program-to-send-mail-2026-03-30-20-19-18
:END:

#+begin_src emacs-lisp :tangle no
  (use-package desktop-mail-user-agent
    :ensure t
    :config
    (setq mail-user-agent sendmail-user-agent)
    )
#+end_src

*** TODO Install [[https://github.com/skeeto/elfeed][elfeed]]
:PROPERTIES:
:CREATED:  [2023-01-27 Fri 19:48]
:ORG_GTD:  Projects
:ID:       Install-elfeed-2026-03-30-20-19-18
:END:

*** TODO Make elfeed work with tt-rss using [[https://github.com/fasheng/elfeed-protocol][elfeed-protocol]]
:PROPERTIES:
:CREATED:  [2023-01-31 Tue 05:15]
:ORG_GTD:  Projects
:ID:       Make-elfeed-work-with-tt-rss-using-elfeed-protocol-2026-03-30-20-19-18
:END:

*** TODO [[https://codingquark.com/emacs/2020/04/19/elfeed-protocol-ttrss.html][Elfeed with Tiny Tiny RSS]] :emacs:rss:
:PROPERTIES:
:TITLE:    Elfeed with Tiny Tiny RSS
:URI:      https://codingquark.com/emacs/2020/04/19/elfeed-protocol-ttrss.html
:CREATED:  [2023-01-28 Sat 06:42]
:ORG_GTD:  Projects
:ID:       Elfeed-with-Tiny-Tiny-RSS-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/paulelms/elfeed-autotag][Easy auto-tagging for elfeed-protocol.]] :emacs:rss:
:PROPERTIES:
:TITLE:    GitHub - paulelms/elfeed-autotag: Easy auto-tagging for elfeed-protocol.
:URI:      https://github.com/paulelms/elfeed-autotag
:CREATED:  [2023-01-28 Sat 06:45]
:ORG_GTD:  Projects
:ID:       Easy-auto-tagging-for-elfeed-protocol-dot-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/manojm321/elfeed-dashboard][A frontend for elfeed]] :emacs:rss:
:PROPERTIES:
:TITLE:    GitHub - manojm321/elfeed-dashboard: A frontend for elfeed
:URI:      https://github.com/manojm321/elfeed-dashboard
:CREATED:  [2023-01-28 Sat 06:46]
:ORG_GTD:  Projects
:ID:       A-frontend-for-elfeed-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/remyhonig/elfeed-org][Configure the Elfeed RSS reader with an Orgmode file]] :emacs:rss:
:PROPERTIES:
:TITLE:    GitHub - remyhonig/elfeed-org: Configure the Elfeed RSS reader with an Orgmode file
:URI:      https://github.com/remyhonig/elfeed-org
:CREATED:  [2023-01-28 Sat 06:50]
:ORG_GTD:  Projects
:ID:       Configure-the-Elfeed-RSS-reader-with-an-Orgmode-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/fasheng/elfeed-protocol][Provide extra protocols to make like Fever, NewsBlur, Nextcloud/ownCloud News and Tiny Tiny RSS work with elfeed]] :emacs:rss:
:PROPERTIES:
:TITLE:    GitHub - fasheng/elfeed-protocol: Provide extra protocols to make like Fever, NewsBlur, Nextcloud/ownCloud News and Tiny Tiny RSS work with elfeed
:URI:      https://github.com/fasheng/elfeed-protocol
:CREATED:  [2023-01-28 Sat 06:54]
:ORG_GTD:  Projects
:ID:       Provide-extra-protocols-to-make-like-Fever-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/karthink/elfeed-tube][Youtube integration for Elfeed, the feed reader for Emacs]] :emacs:rss:video:
:PROPERTIES:
:TITLE:    GitHub - karthink/elfeed-tube: Youtube integration for Elfeed, the feed reader for Emacs
:URI:      https://github.com/karthink/elfeed-tube
:CREATED:  [2023-01-28 Sat 06:56]
:ORG_GTD:  Projects
:ID:       Youtube-integration-for-Elfeed-the-feed-reader-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/areina/elfeed-cljsrn][A mobile client for Elfeed built with React Native and written in ClojureScript.]] :emacs:rss:
:PROPERTIES:
:TITLE:    GitHub - areina/elfeed-cljsrn: A mobile client for Elfeed built with React Native and written in ClojureScript.
:URI:      https://github.com/areina/elfeed-cljsrn
:CREATED:  [2023-01-28 Sat 07:00]
:ORG_GTD:  Projects
:ID:       A-mobile-client-for-Elfeed-built-with-React-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/ryuslash/avandu][Emacs interface to tt-rss]] :emacs:rss:
:PROPERTIES:
:TITLE:    GitHub - ryuslash/avandu: Emacs interface to tt-rss
:URI:      https://github.com/ryuslash/avandu
:CREATED:  [2023-01-27 Fri 20:58]
:ORG_GTD:  Projects
:ID:       Emacs-interface-to-tt-rss-2026-03-30-20-19-18
:END:

*** TODO [[https://melpa.org/#/mastodon][mastodon - MELPA]] :emacs:social_network:
:PROPERTIES:
:TITLE:    mastodon - MELPA
:URI:      https://melpa.org/#/mastodon
:CREATED:  [2023-01-28 Sat 10:34]
:ORG_GTD:  Projects
:ID:       mastodon-MELPA-2026-03-30-20-19-18
:END:

*** TODO [[https://codeberg.org/martianh/mastodon.el][Emacs client for Mastodon - mastodon.el - Codeberg.org]]
:PROPERTIES:
:TITLE:    martianh/mastodon.el: Emacs client for Mastodon - mastodon.el - Codeberg.org
:URI:      https://codeberg.org/martianh/mastodon.el
:CREATED:  [2023-02-16 Thu 09:31]
:ORG_GTD:  Projects
:ID:       Emacs-client-for-Mastodon-mastodon-dot-el-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/dickmao/nntwitter][A Gnus backend for Twitter]] :emacs:twitter:
:PROPERTIES:
:TITLE:    GitHub - dickmao/nntwitter: A Gnus backend for Twitter
:URI:      https://github.com/dickmao/nntwitter
:CREATED:  [2023-01-28 Sat 10:40]
:ORG_GTD:  Projects
:ID:       A-Gnus-backend-for-Twitter-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/dickmao/nnreddit][A Gnus backend for Reddit]] :emacs:reddit:
:PROPERTIES:
:TITLE:    GitHub - dickmao/nnreddit: A Gnus backend for Reddit
:URI:      https://github.com/dickmao/nnreddit
:CREATED:  [2023-01-28 Sat 10:39]
:ORG_GTD:  Projects
:ID:       A-Gnus-backend-for-Reddit-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/ahungry/md4rd][Emacs Mode for Reddit]] :emacs:web:reddit:
:PROPERTIES:
:TITLE:    GitHub - ahungry/md4rd: Emacs Mode for Reddit - Read Reddit from within Emacs interactively.
:URI:      https://github.com/ahungry/md4rd
:CREATED:  [2023-01-28 Sat 12:32]
:ORG_GTD:  Projects
:ID:       Emacs-Mode-for-Reddit-2026-03-30-20-19-18
:END:

*** TODO Install [[https://github.com/novoid/Memacs][Memacs]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Install-Memacs-2026-03-30-20-19-18
:END:
:LOGBOOK:
- State "DONE"       from "NEXT"       [2023-08-07 Mon 13:39]
:END:

*** TODO [[https://github.com/Chobbes/org-chef][Recipes]] :emacs:food:
:PROPERTIES:
:TITLE:    GitHub - Chobbes/org-chef: A package for making a cookbook and managing recipes with org-mode.
:URI:      https://github.com/Chobbes/org-chef
:CREATED:  [2023-01-28 Sat 10:51]
:ORG_GTD:  Projects
:ID:       Recipes-2026-03-30-20-19-18
:END:

This is probably dated and unmaintained.
#+begin_src emacs-lisp :tangle no
  (use-package org-chef
  :ensure t)

  (add-to-list 'org-capture-templates '("c"
                                        "Cookbook"
                                        entry
                                        (file "cookbook.org")
                                        "%(org-chef-get-recipe-from-url)"
                                        :empty-lines 1
                                        )
               )

  (add-to-list 'org-capture-templates '("m"
                                        "Manual Cookbook"
                                        entry
                                        (file "cookbook.org")
                                        "* %^{Recipe title: }\n  :PROPERTIES:\n  :source-url:\n  :servings:\n  :prep-time:\n  :cook-time:\n  :ready-in:\n  :END:\n** Ingredients\n   %?\n** Directions\n\n"
                                        )
               )
#+end_src

*** TODO [[https://gitlab.com/elzair/org-if][Philip Woods / org-if · GitLab]] :emacs:writing:
:PROPERTIES:
:TITLE:    Philip Woods / org-if · GitLab
:URI:      https://gitlab.com/elzair/org-if
:CREATED:  [2023-01-28 Sat 10:58]
:ORG_GTD:  Projects
:ID:       Philip-Woods-org-if-GitLab-2026-03-30-20-19-18
:END:

*** TODO [[https://www.emacswiki.org/emacs/amazon.el][EmacsWiki: amazon.el]]
:PROPERTIES:
:TITLE:    EmacsWiki: amazon.el
:URI:      https://www.emacswiki.org/emacs/amazon.el
:CREATED:  [2023-02-09 Thu 17:01]
:ORG_GTD:  Projects
:ID:       EmacsWiki-amazon-dot-el-2026-03-30-20-19-18
:END:

*** TODO [[https://www.emacswiki.org/emacs/ebay-template-mode.el][EmacsWiki: ebay-template-mode.el]]
:PROPERTIES:
:TITLE:    EmacsWiki: ebay-template-mode.el
:URI:      https://www.emacswiki.org/emacs/ebay-template-mode.el
:CREATED:  2023-02-09 Thu 10:17
:ORG_GTD:  Projects
:ID:       EmacsWiki-ebay-template-mode-dot-el-2026-03-30-20-19-18
:END:

*** TODO [[https://www.emacswiki.org/emacs/ebay-template-tools.el][EmacsWiki: ebay-template-tools.el]]
:PROPERTIES:
:TITLE:    EmacsWiki: ebay-template-tools.el
:URI:      https://www.emacswiki.org/emacs/ebay-template-tools.el
:CREATED:  [2023-02-09 Thu 00:00]
:ORG_GTD:  Projects
:ID:       EmacsWiki-ebay-template-tools-dot-el-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/eklitzke/coin-ticker-mode][Emacs minor mode for showing the price of Bitcoin, Ethereum, and other cryptocurrencies.]] :emacs:bitcoin:
:PROPERTIES:
:CREATED:  [2023-01-27 Fri 21:13]
:TITLE:    GitHub - eklitzke/coin-ticker-mode: Emacs minor mode for showing the price of Bitcoin, Ethereum, and other cryptocurrencies.
:URI:      https://github.com/eklitzke/coin-ticker-mode
:ORG_GTD:  Projects
:ID:       Emacs-minor-mode-for-showing-the-price-of-Bitcoin-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/lassik/emacs-currency-convert][Currency converter in Emacs]] :emacs:money:
:PROPERTIES:
:CREATED:  [2023-01-27 Fri 21:17]
:TITLE:    GitHub - lassik/emacs-currency-convert: Currency converter in Emacs
:URI:      https://github.com/lassik/emacs-currency-convert
:ORG_GTD:  Projects
:ID:       Currency-converter-in-Emacs-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/md-arif-shaikh/expenses][Recording and viewing expenses using Emacs]] :emacs:money:
:PROPERTIES:
:TITLE:    GitHub - md-arif-shaikh/expenses: Recording and viewing expenses using Emacs
:URI:      https://github.com/md-arif-shaikh/expenses
:CREATED:  [2023-01-28 Sat 07:47]
:ORG_GTD:  Projects
:ID:       Recording-and-viewing-expenses-using-Emacs-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/purplg/hass][Hass: An Emacs package for interacting with Home Assistant]] :emacs:home:
:PROPERTIES:
:TITLE:    Hass: An Emacs package for interacting with Home Assistant
:CREATED:  [2023-01-28 Sat 09:10]
:ORG_GTD:  Projects
:ID:       Hass-An-Emacs-package-for-interacting-with-Home-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/thomp/NOAA][View an NOAA weather forecast for a specific geographic location.]] :emacs:weather:
:PROPERTIES:
:TITLE:    GitHub - thomp/noaa: View an NOAA weather forecast for a specific geographic location.
:URI:      https://github.com/thomp/NOAA
:CREATED:  [2023-01-28 Sat 10:40]
:ORG_GTD:  Projects
:ID:       View-an-NOAA-weather-forecast-for-a-specific-2026-03-30-20-19-18
:END:

*** TODO [[https://github.com/minad/osm][OpenStreetMap viewer for Emacs]] :emacs:maps:
:PROPERTIES:
:TITLE:    GitHub - minad/osm: osm.el - OpenStreetMap viewer for Emacs
:URI:      https://github.com/minad/osm
:CREATED:  [2023-01-28 Sat 11:16]
:ORG_GTD:  Projects
:ID:       OpenStreetMap-viewer-for-Emacs-2026-03-30-20-19-19
:END:

*** TODO [[https://github.com/openscad/emacs-scad-mode][OpenSCAD Emacs mode]] :emacs:archive:physibles:
:PROPERTIES:
:TITLE:    GitHub - openscad/emacs-scad-mode: OpenSCAD Emacs mode
:URI:      https://github.com/openscad/emacs-scad-mode
:CREATED:  [2023-01-28 Sat 12:32]
:ORG_GTD:  Projects
:ID:       OpenSCAD-Emacs-mode-2026-03-30-20-19-19
:END:

*** TODO [[https://bitbucket.org/pymaximus/catmacs/src/master/][Emacs client for Yaesu CAT control of FT991A]] :emacs:radio:
:PROPERTIES:
:TITLE:    Catmacs: Emacs client for Yaesu CAT control of FT991A
:URI:      https://bitbucket.org/pymaximus/catmacs/src/master/
:CREATED:  [2023-01-27 Fri 21:08]
:ORG_GTD:  Projects
:ID:       Emacs-client-for-Yaesu-CAT-control-of-FT991A-2026-03-30-20-19-19
:END:

*** TODO [[https://titan-c.gitlab.io/org-cv/][Org CV]]
:PROPERTIES:
:TITLE:    Org CV
:URI:      https://titan-c.gitlab.io/org-cv/
:CREATED:  [2023-07-05 Wed 17:38]
:ORG_GTD:  Projects
:ID:       Org-CV-2026-03-30-20-19-19
:END:

*** TODO [[https://github.com/Boruch-Baum/emacs-crossword][Play/Download crossword puzzles in Emacs]] :emacs:games:
:PROPERTIES:
:CREATED:  [2023-01-27 Fri 21:15]
:TITLE:    GitHub - Boruch-Baum/emacs-crossword: Play/Download crossword puzzles in Emacs
:URI:      https://github.com/Boruch-Baum/emacs-crossword
:ORG_GTD:  Projects
:ID:       Play-Download-crossword-puzzles-in-Emacs-2026-03-30-20-19-19
:END:

*** TODO [[https://github.com/s-kostyaev/ellama/][ellama]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       ellama-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package ellama
  :init
  (setq ellama-language "English")
  (require 'llm-ollama)
  (setq ellama-buffer-mode org)
  (setopt ellama-provider
                  (make-llm-ollama
                   :chat-model "mistral:7b-instruct-v0.2-q6_K"
                   :embedding-model "mistral:7b-instruct-v0.2-q6_K")
                  )
  )
#+end_src

*** TODO [[https://github.com/ahyatt/llm][LLM]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       LLM-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package llm-refactoring
    :init
    (require 'llm-openai)
    (setq llm-refactoring-provider (make-llm-openai :key (auth-source-pass-get "api-key" "www/openai.com/amr@gharbeia.net")))
          )
#+end_src

*** TODO [[https://github.com/kurnevsky/llama-cpp.el][Llama-cpp in Emacs]]
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Llama-cpp-in-Emacs-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package llama-cpp
  :ensure t)
#+end_src

*** TODO [[https://github.com/rksm/org-ai][org-ai: Emacs as your personal AI assistant. Use LLMs such as ChatGPT or LLaMA for text generation or DALL-E and Stable Diffusion for image generation. Also supports speech input / output.]]
:PROPERTIES:
:TITLE:    GitHub - rksm/org-ai: Emacs as your personal AI assistant. Use LLMs such as ChatGPT or LLaMA for text generation or DALL-E and Stable Diffusion for image generation. Also supports speech input / output.
:URI:      https://github.com/rksm/org-ai
:CREATED:  [2023-11-09 Thu 09:19]
:ORG_GTD:  Projects
:ID:       org-ai-Emacs-as-your-personal-AI-assistant-dot-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package org-ai
  :ensure t
  :commands (org-ai-mode
             org-ai-global-mode)
  :init
  (add-hook 'org-mode-hook #'org-ai-mode) ; enable org-ai in org-mode
  (org-ai-global-mode) ; installs global keybindings on C-c M-a
  :config
  (setq org-ai-default-chat-model "gpt-4") ; if you are on the gpt-4 beta:
  (org-ai-install-yasnippets)) ; if you are using yasnippet and want `ai` snippets
#+end_src

*** TODO openai
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       openai-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package openai
    :config (setq openai-key (auth-source-pass-get "api-key" "www/openai.com/amr@gharbeia.net")
                  openai-user (auth-source-pass-get "login" "www/openai.com/amr@gharbeia.net")
                  )
    )
#+end_src

#+begin_src emacs-lisp :tangle no
  (use-package chatgpt
    :config (setq chatgpt-model "gpt-4"
                  chatgpt-max-tokens "2000"
                  chatgpt-temperature "1.0"
                  chatgpt-input-method 'window
                  chatgpt-spinner-type 'moon
                  chatgpt-display tokens-info t
                  chatgp-animate-text -t
                  chatp-gpt-animate-fps 5
                  )
    )
#+end_src

#+begin_src emacs-lisp :tangle no
  (use-package dall-e
    :config (setq dall-e-n 5
                  dall-e-size "256x256"
                  dall-e-spinner-type 'moon
                  dall-e-cache-dir "~/Downloads"
                  dall-e-display-width 200
                  )
    )
#+end_src

#+begin_src emacs-lisp :tangle no
  (use-package codegpt
    :config (setq codegpt-tunnel 'completion
                  codegpt-model "gpt-4"
                  codegpt-max-tokens
                  codegpt-temperature
                  )
    )
#+end_src

*** TODO org-ai
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       org-ai-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package org-ai
    :commands (org-ai-mode
               org-ai-global-mode)
    :init
    (add-hook 'org-mode-hook #'org-ai-mode) ; enable org-ai in org-mode
    (org-ai-global-mode) ; installs global keybindings on C-c M-a
    :config
    (org-ai-install-yasnippets)
    (setq org-ai-default-chat-model "gpt-4"
          org-ai-openai-api-token (auth-source-pass-get "api-key" "www/openai.com/amr@gharbeia.net")
          )
    )
#+end_src

Only needed if you want speach input and output

#+begin_src emacs-lisp :tangle no
  (use-package greader
    (require 'whisper)
    (setq org-ai-talk-say-words-per-minute 210
          org-ai-talk-say-voice "Karen"
          )
    )
#+end_src

#+begin_src emacs-lisp :tangle no
  (use-package whisper
    :load-path (concat (getenv "HOME") "/library/src/git/github.com/natrys/whisper.el")
    :bind ("C-H-r" . whisper-run)
    :config
    (setq whisper-install-directory (concat (getenv "HOME") "/.emacs.d/whisper")
          whisper-model "large"
          whisper-language "en"
          whisper-translate nil
          )
    )
#+end_src

*** TODO gptai
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       gptai-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package gptai
    set configurations
    (setq gptai-model "gpt-4"
          gptai-username (auth-source-pass-get "login" "www/openai.com/amr@gharbeia.net")
          gptai-api-key (auth-source-pass-get "api-key" "www/openai.com/amr@gharbeia.net")
          gptai-max-tokens 2000
          )
    ;; set keybindings optionally
    (global-set-key (kbd "C-c o") 'gptai-send-query)
    )
#+end_src

*** DONE Install [[https://github.com/louietan/anki-editor][anki-editor]] :emacs:learning:
:PROPERTIES:
:CREATED:  [2023-01-22 Sun 09:27]
:ORG_GTD:  Projects
:ID:       Install-anki-editor-2026-03-30-20-19-19
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-08-21 Mon 13:36]
:END:
#+begin_src emacs-lisp :tangle no
  (use-package anki-editor
    :ensure t
    )
#+end_src

*** CNCL Install [[https://github.com/davidshepherd7/anki-mode][anki-mode]] :emacs:learning:
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Install-anki-mode-2026-03-30-20-19-19
:END:
:LOGBOOK:
- State "CNCL"   from "TODO"       [2023-08-21 Mon 13:31] \\
  This uses markdown, while anki-editor uses org-mode
:END:

A major mode for creating Anki cards.

*** TODO Macros
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Macros-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package elmacro
    )
#+end_src

*** TODO Restart Emacs from Emacs
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Restart-Emacs-from-Emacs-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (use-package restart-emacs
    :bind* (("C-x M-c" . restart-emacs)
            )
    )
#+end_src

*** TODO Save & shutdown when we get an "end of session" signal on dbus
:PROPERTIES:
:ORG_GTD:  Projects
:ID:       Save-and-shutdown-when-we-get-an-end-of-session-2026-03-30-20-19-19
:END:

#+begin_src emacs-lisp :tangle no
  (require 'dbus) 
#+end_src

#+begin_src emacs-lisp :tangle no
  (defun my/register-signals (client-path)
    "Register for the 'QueryEndSession' and 'EndSession' signals from Gnome SessionManager.

  When we receive 'QueryEndSession', we just respond with 'EndSessionResponse(true, \"\")'.  When we receive 'EndSession', we append this EndSessionResponse to kill-emacs-hook, and then call kill-emacs.  This way, we can shut down the Emacs daemon cleanly before we send our 'ok' to the SessionManager."
    (setq my/gnome-client-path client-path)
    (let ( (end-session-response (lambda (&optional arg)
                                   (dbus-call-method-asynchronously
                                    :session "org.gnome.SessionManager" my/gnome-client-path
                                    "org.gnome.SessionManager.ClientPrivate" "EndSessionResponse" nil
                                    t "")
                                   )
                                 )
           )
      (dbus-register-signal
       :session "org.gnome.SessionManager" my/gnome-client-path
       "org.gnome.SessionManager.ClientPrivate" "QueryEndSession"
       end-session-response )
      (dbus-register-signal

       :session "org.gnome.SessionManager" my/gnome-client-path
       "org.gnome.SessionManager.ClientPrivate" "EndSession"
       `(lambda (arg)
          (add-hook 'kill-emacs-hook ,end-session-response t)
          (kill-emacs)
          )
       )
      )
    )

  ;; DESKTOP_AUTOSTART_ID is set by the Gnome desktop manager when emacs is autostarted.  We can use it to register as a client with gnome SessionManager.
  (dbus-call-method-asynchronously
   :session "org.gnome.SessionManager"
   "/org/gnome/SessionManager" 
   "org.gnome.SessionManager" "RegisterClient" 'my/register-signals
   "Emacs server" (getenv "DESKTOP_AUTOSTART_ID")
   )
#+end_src

*** TODO [[https://gtpedrosa.github.io/blog/using-org-mode-and-ox-hugo-to-replace-markdown-in-hugo-workflow/][Using org mode and ox-hugo to replace markdown in hugo workflow]]
:PROPERTIES:
:TITLE:    Using org mode and ox-hugo to replace markdown in hugo workflow
:URI:      https://gtpedrosa.github.io/blog/using-org-mode-and-ox-hugo-to-replace-markdown-in-hugo-workflow/
:CREATED:  [2024-06-04 Tue 13:06]
:ID:       Using-org-mode-and-ox-hugo-to-replace-markdown-in-hugo-workflow-2024-06-13-12-41-19
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.gnu.org/software/emacs/manual/html_node/elisp/The-Zen-of-Buffer-Display.html][The Zen of Buffer Display (GNU Emacs Lisp Reference Manual)]]
:PROPERTIES:
:TITLE:    The Zen of Buffer Display (GNU Emacs Lisp Reference Manual)
:URI:      https://www.gnu.org/software/emacs/manual/html_node/elisp/The-Zen-of-Buffer-Display.html
:CREATED:  [2024-05-29 Wed 15:59]
:ID:       The-Zen-of-Buffer-Display--GNU-Emacs-Lisp-Reference-Manual-2024-06-13-12-44-29
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.masteringemacs.org/article/running-shells-in-emacs-overview][Running Shells and Terminal Emulators in Emacs - Mastering Emacs]]
:PROPERTIES:
:TITLE:    Running Shells and Terminal Emulators in Emacs - Mastering Emacs
:URI:      https://www.masteringemacs.org/article/running-shells-in-emacs-overview
:CREATED:  [2024-05-29 Wed 14:07]
:ID:       Running-Shells-and-Terminal-Emulators-in-Emacs-Mastering-Emacs-2024-06-13-12-45-30
:ORG_GTD:  Projects
:END:

*** TODO [[https://karthinks.com/software/emacs-window-management-almanac/][The Emacs Window Management Almanac | Karthinks]]
:PROPERTIES:
:TITLE:    The Emacs Window Management Almanac | Karthinks
:URI:      https://karthinks.com/software/emacs-window-management-almanac/
:CREATED:  [2024-05-17 Fri 17:54]
:ID:       The-Emacs-Window-Management-Almanac-Karthinks-2024-06-13-12-53-27
:ORG_GTD:  Projects
:END:

*** TODO [[https://karthinks.com/software/emacs-window-management-almanac/][The Emacs Window Management Almanac | Karthinks]]
:PROPERTIES:
:TITLE:    The Emacs Window Management Almanac | Karthinks
:URI:      https://karthinks.com/software/emacs-window-management-almanac/
:CREATED:  [2024-05-11 Sat 11:14]
:ID:       The-Emacs-Window-Management-Almanac-Karthinks-2024-06-13-12-57-59
:ORG_GTD:  Projects
:END:

*** TODO [[https://joostkremers.github.io/ebib/ebib-manual.html][Ebib Manual]]
:PROPERTIES:
:TITLE:    Ebib Manual
:URI:      https://joostkremers.github.io/ebib/ebib-manual.html
:CREATED:  [2024-04-25 Thu 16:15]
:ID:       Ebib-Manual-2024-06-13-13-32-07
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/ahyatt/llm/issues/32][Using `make-llm-openai-compatible` with Mistral AI fails parsing the partial responses · Issue #32 · ahyatt/llm · GitHub]]
:PROPERTIES:
:TITLE:    Using `make-llm-openai-compatible` with Mistral AI fails parsing the partial responses · Issue #32 · ahyatt/llm · GitHub
:URI:      https://github.com/ahyatt/llm/issues/32
:CREATED:  [2024-04-25 Thu 16:14]
:ID:       Using-make-llm-openai-compatible-with-Mistral-AI-fails-parsing-the-partial-responses-Issue-32-ahyatt-llm-GitHub-2024-06-13-13-34-50
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/ahyatt/llm/issues/36][Using make-llm-openai-compatible with Azure OpenAI service fails to connect to endpoint · Issue #36 · ahyatt/llm · GitHub]]
:PROPERTIES:
:TITLE:    Using make-llm-openai-compatible with Azure OpenAI service fails to connect to endpoint · Issue #36 · ahyatt/llm · GitHub
:URI:      https://github.com/ahyatt/llm/issues/36
:CREATED:  [2024-04-25 Thu 16:14]
:ID:       Using-make-llm-openai-compatible-with-Azure-OpenAI-service-fails-to-connect-to-endpoint-Issue-36-ahyatt-llm-GitHub-2024-06-13-13-35-12
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/s-kostyaev/ellama/issues/91][Question: How to RAG org-roam? · Issue #91 · s-kostyaev/ellama · GitHub]]
:PROPERTIES:
:TITLE:    Question: How to RAG org-roam? · Issue #91 · s-kostyaev/ellama · GitHub
:URI:      https://github.com/s-kostyaev/ellama/issues/91
:CREATED:  [2024-04-25 Thu 16:14]
:ID:       Question-How-to-RAG-org-roam-Issue-91-s-kostyaev-ellama-GitHub-2024-06-13-13-35-36
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.riccardopinosio.com/blog/posts/zotero_notes_article.html][Riccardo Pinosio: personal website - Scientific note-taking with org-roam, citar, and zotero]]
:PROPERTIES:
:TITLE:    Riccardo Pinosio: personal website - Scientific note-taking with org-roam, citar, and zotero
:URI:      https://www.riccardopinosio.com/blog/posts/zotero_notes_article.html
:CREATED:  [2024-04-16 Tue 12:35]
:ID:       Riccardo-Pinosio-personal-website-Scientific-note-taking-with-org-roam-citar-and-zotero-2024-06-13-13-48-32
:ORG_GTD:  Projects
:END:

*** TODO [[https://gitlab.com/domsch1988/domacs][Dominik Schlack / Domacs · GitLab]]
:PROPERTIES:
:CREATED:  [2024-04-09 Tue 19:27]
:TITLE:    Dominik Schlack / Domacs · GitLab
:URI:      https://gitlab.com/domsch1988/domacs
:ID:       Dominik-Schlack-Domacs-GitLab-2024-06-13-14-06-55
:ORG_GTD:  Projects
:END:

*** TODO [[https://lifeofpenguin.blogspot.com/2024/04/mozilla-readability-in-gnu-emacs.html?m=1][Mozilla Readability in GNU Emacs]]
:PROPERTIES:
:CREATED:  [2024-04-09 Tue 19:26]
:TITLE:    Mozilla Readability in GNU Emacs
:URI:      https://lifeofpenguin.blogspot.com/2024/04/mozilla-readability-in-gnu-emacs.html?m=1
:ID:       Mozilla-Readability-in-GNU-Emacs-2024-06-13-14-07-15
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/clange/csv2orgclock][GitHub - clange/csv2orgclock: Converting CSV clock logs to Org Mode]]
:PROPERTIES:
:TITLE:    GitHub - clange/csv2orgclock: Converting CSV clock logs to Org Mode
:URI:      https://github.com/clange/csv2orgclock
:CREATED:  [2024-04-06 Sat 12:56]
:ID:       GitHub-clange-csv2orgclock-Converting-CSV-clock-logs-to-Org-Mode-2024-06-13-14-16-15
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/jamesnvc/helm-switch-shell][GitHub - jamesnvc/helm-switch-shell: Helm source for easily switching between eshells]]
:PROPERTIES:
:TITLE:    GitHub - jamesnvc/helm-switch-shell: Helm source for easily switching between eshells
:URI:      https://github.com/jamesnvc/helm-switch-shell
:CREATED:  [2024-03-26 Tue 15:13]
:ID:       GitHub-jamesnvc-helm-switch-shell-Helm-source-for-easily-switching-between-eshells-2024-06-13-14-31-19
:ORG_GTD:  Projects
:END:

*** TODO [[https://protesilaos.com/emacs/dotemacs][GNU Emacs configuration | Protesilaos Stavrou]]
:PROPERTIES:
:TITLE:    GNU Emacs configuration | Protesilaos Stavrou
:URI:      https://protesilaos.com/emacs/dotemacs
:CREATED:  [2024-06-18 Tue 11:03]
:ID:       GNU-Emacs-configuration-Protesilaos-Stavrou-2024-06-29-13-14-12
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.reddit.com/r/OrgRoam/comments/ruc59q/tips_for_refiling_into_org_roam_dailies/][Tips for refiling into org roam dailies? : r/OrgRoam]]
:PROPERTIES:
:TITLE:    Tips for refiling into org roam dailies? : r/OrgRoam
:URI:      https://www.reddit.com/r/OrgRoam/comments/ruc59q/tips_for_refiling_into_org_roam_dailies/
:CREATED:  [2024-06-15 Sat 13:06]
:ID:       Tips-for-refiling-into-org-roam-dailies-r-OrgRoam-2024-06-29-13-16-58
:ORG_GTD:  Projects
:END:

This has the solution to my refile-to-org-roam-dailies blues

*** TODO [[https://github.com/stevemolitor/robby][GitHub - stevemolitor/robby: Extensible Emacs interface to OpenAI]]
:PROPERTIES:
:CREATED:  [2024-03-24 Sun 19:53]
:TITLE:    GitHub - stevemolitor/robby: Extensible Emacs interface to OpenAI
:URI:      https://github.com/stevemolitor/robby
:ID:       GitHub-stevemolitor-robby-Extensible-Emacs-interface-to-OpenAI-2024-06-29-13-22-19
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/s-kostyaev/elisa][GitHub - s-kostyaev/elisa: ELISA (Emacs Lisp Information System Assistant) is a project designed to help Emacs users quickly find answers to their questions related to Emacs and Emacs Lisp. Utilizing the powerful Ellama package, ELISA provides accurate and relevant responses to user queries, enhancing productivity and efficiency in the Emacs environment.]]
:PROPERTIES:
:TITLE:    GitHub - s-kostyaev/elisa: ELISA (Emacs Lisp Information System Assistant) is a project designed to help Emacs users quickly find answers to their questions related to Emacs and Emacs Lisp. Utilizing the powerful Ellama package, ELISA provides accurate and relevant responses to user queries, enhancing productivity and efficiency in the Emacs environment.
:URI:      https://github.com/s-kostyaev/elisa
:CREATED:  [2024-03-21 Thu 14:13]
:ID:       GitHub-s-kostyaev-elisa-ELISA--Emacs-Lisp-Information-System-Assistant--is-a-project-designed-to-help-Emacs-users-quickly-find-answers-to-their-questions-related-to-Emacs-and-Emacs-Lisp-dot-Utilizing-the-powerful-Ellama-package-ELISA-provides-accurate-and-relevant-responses-to-user-queries-enhancing-productivity-and-efficiency-in-the-Emacs-environment-dot-2024-06-29-13-23-12
:ORG_GTD:  Projects
:END:

Install this when it arrives in the repositories

*** TODO [[https://github.com/vygr/ChrysaLisp][GitHub - vygr/ChrysaLisp: Parallel OS, with GUI, Terminal, OO Assembler, Class libraries, C-Script compiler, Lisp interpreter and more...]]
:PROPERTIES:
:CREATED:  [2024-03-21 Thu 01:46]
:TITLE:    GitHub - vygr/ChrysaLisp: Parallel OS, with GUI, Terminal, OO Assembler, Class libraries, C-Script compiler, Lisp interpreter and more...
:URI:      https://github.com/vygr/ChrysaLisp
:ID:       GitHub-vygr-ChrysaLisp-Parallel-OS-with-GUI-Terminal-OO-Assembler-Class-libraries-C-Script-compiler-Lisp-interpreter-and-more-dot-dot-dot-2024-06-29-13-23-52
:ORG_GTD:  Projects
:END:

*** TODO [[http://metamodular.com/Common-Lisp/lispos.html][Lisp Operating System]]
:PROPERTIES:
:CREATED:  [2024-03-21 Thu 01:27]
:TITLE:    Lisp Operating System
:URI:      http://metamodular.com/Common-Lisp/lispos.html
:ID:       Lisp-Operating-System-2024-06-29-13-24-14
:ORG_GTD:  Projects
:END:

Wonderful

*** TODO [[https://gist.github.com/otfrom/6b4d9a54dff2d4edcf16d8a39a5469de][org-mode-noodlings.el · GitHub]]
:PROPERTIES:
:CREATED:  [2024-03-14 Thu 18:56]
:TITLE:    org-mode-noodlings.el · GitHub
:URI:      https://gist.github.com/otfrom/6b4d9a54dff2d4edcf16d8a39a5469de
:ID:       org-mode-noodlings-dot-el-GitHub-2024-06-29-13-59-22
:ORG_GTD:  Projects
:END:

*** TODO [[https://orgmode.org/worg/org-contrib/org-protocol.html][org-protocol.el – Intercept calls from emacsclient to trigger custom actions]]
:PROPERTIES:
:TITLE:    org-protocol.el – Intercept calls from emacsclient to trigger custom actions
:URI:      https://orgmode.org/worg/org-contrib/org-protocol.html
:CREATED:  [2024-03-14 Thu 13:12]
:ID:       org-protocol-dot-el-Intercept-calls-from-emacsclient-to-trigger-custom-actions-2024-06-29-14-03-52
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/hasu/notdeft][GitHub - hasu/notdeft: NotDeft note manager for Emacs]]
:PROPERTIES:
:CREATED:  [2024-03-14 Thu 04:31]
:TITLE:    GitHub - hasu/notdeft: NotDeft note manager for Emacs
:URI:      https://github.com/hasu/notdeft
:ID:       GitHub-hasu-notdeft-NotDeft-note-manager-for-Emacs-2024-06-29-14-04-47
:ORG_GTD:  Projects
:END:

*** TODO [[https://jblevins.org/projects/deft/][Deft for Emacs]]
:PROPERTIES:
:CREATED:  [2024-03-14 Thu 04:23]
:TITLE:    Deft for Emacs
:URI:      https://jblevins.org/projects/deft/
:ID:       Deft-for-Emacs-2024-06-29-14-04-58
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/jgru/consult-org-roam][GitHub - jgru/consult-org-roam: A bunch of convenience functions for operating org-roam with the help of consult]]
:PROPERTIES:
:CREATED:  [2024-03-14 Thu 04:18]
:TITLE:    GitHub - jgru/consult-org-roam: A bunch of convenience functions for operating org-roam with the help of consult
:URI:      https://github.com/jgru/consult-org-roam
:ID:       GitHub-jgru-consult-org-roam-A-bunch-of-convenience-functions-for-operating-org-roam-with-the-help-of-consult-2024-06-29-14-05-09
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/chrisbarrett/nursery#org-roam-review-incubating][GitHub - chrisbarrett/nursery: Programs and libs that I haven't gotten around to formally packaging]]
:PROPERTIES:
:TITLE:    GitHub - chrisbarrett/nursery: Programs and libs that I haven't gotten around to formally packaging
:URI:      https://github.com/chrisbarrett/nursery#org-roam-review-incubating
:CREATED:  [2024-03-05 Tue 13:18]
:ID:       GitHub-chrisbarrett-nursery-Programs-and-libs-that-I-haven-t-gotten-around-to-formally-packaging-2024-06-29-15-09-01
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/org-roam/org-roam/issues/1934][roam-buffer shows full content of backlinks/reflinks · Issue #1934 · org-roam/org-roam · GitHub]]
:PROPERTIES:
:CREATED:  [2024-03-03 Sun 02:56]
:TITLE:    roam-buffer shows full content of backlinks/reflinks · Issue #1934 · org-roam/org-roam · GitHub
:URI:      https://github.com/org-roam/org-roam/issues/1934
:ID:       roam-buffer-shows-full-content-of-backlinks-reflinks-Issue-1934-org-roam-org-roam-GitHub-2024-07-03-10-01-27
:ORG_GTD:  Projects
:END:

*** TODO [[https://sachachua.com/blog/2019/07/tweaking-emacs-on-android-via-termux-xclip-xdg-open-syncthing-conflicts/][Tweaking Emacs on Android via Termux: xclip, xdg-open, syncthing conflicts :: Sacha Chua]] :emacs:android:
:PROPERTIES:
:CREATED:  [2024-02-06 Tue 07:40]
:TITLE:    Tweaking Emacs on Android via Termux: xclip, xdg-open, syncthing conflicts :: Sacha Chua
:URI:      https://sachachua.com/blog/2019/07/tweaking-emacs-on-android-via-termux-xclip-xdg-open-syncthing-conflicts/
:ID:       Tweaking-Emacs-on-Android-via-Termux-xclip-xdg-open-syncthing-conflicts-Sacha-Chua-2024-07-03-12-08-30
:ORG_GTD:  Projects
:END:

*** TODO [[https://rgoswami.me/posts/org-note-workflow/][An Orgmode Note Workflow :: Rohit Goswami — Reflections]]
:PROPERTIES:
:CREATED:  [2024-02-05 Mon 09:24]
:TITLE:    An Orgmode Note Workflow :: Rohit Goswami — Reflections
:URI:      https://rgoswami.me/posts/org-note-workflow/
:ID:       An-Orgmode-Note-Workflow-Rohit-Goswami-Reflections-2024-07-03-12-08-39
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.emacswiki.org/emacs/GnusTutorial][EmacsWiki: Gnus Tutorial]] :emacs:
:PROPERTIES:
:TITLE:    EmacsWiki: Gnus Tutorial
:URI:      https://www.emacswiki.org/emacs/GnusTutorial
:CREATED:  [2024-01-22 Mon 15:42]
:ID:       EmacsWiki-Gnus-Tutorial-2024-07-03-12-14-07
:ORG_GTD:  Projects
:END:

*** DONE [[https://takeonrules.com/2023/12/03/emacs-turbo-charges-my-writing/][Emacs Turbo-Charges My Writing // Take on Rules]] :emacs:
:PROPERTIES:
:TITLE:    Emacs Turbo-Charges My Writing // Take on Rules
:URI:      https://takeonrules.com/2023/12/03/emacs-turbo-charges-my-writing/
:CREATED:  [2024-01-22 Mon 15:39]
:ID:       Emacs-Turbo-Charges-My-Writing-Take-on-Rules-2024-07-03-12-14-25
:ORG_GTD:  Projects
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2024-02-01 Thu 13:50]
:END:

*** TODO [[https://kadavy.net/blog/posts/zettelkasten-method-slip-box-digital-example/][My Zettelkasten: An Author’s Digital Slip-Box Method Example (Using Plain-Text Software)]] :emacs:
:PROPERTIES:
:CREATED:  [2024-01-15 Mon 10:37]
:TITLE:    My Zettelkasten: An Author’s Digital Slip-Box Method Example (Using Plain-Text Software)
:URI:      https://kadavy.net/blog/posts/zettelkasten-method-slip-box-digital-example/
:ID:       My-Zettelkasten-An-Author-s-Digital-Slip-Box-Method-Example--Using-Plain-Text-Software-2024-07-03-12-18-28
:ORG_GTD:  Projects
:END:

*** TODO [[https://repo.or.cz/org-contacts.git][Public Git Hosting - org-contacts.git/summary]] :emacs:
:PROPERTIES:
:CREATED:  [2024-01-04 Thu 21:35]
:TITLE:    Public Git Hosting - org-contacts.git/summary
:URI:      https://repo.or.cz/org-contacts.git
:ID:       Public-Git-Hosting-org-contacts-dot-git-summary-2024-07-03-12-19-21
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Artawower?tab=repositories][Artawower (Artawower) / Repositories · GitHub]] :emacs:
:PROPERTIES:
:TITLE:    Artawower (Artawower) / Repositories · GitHub
:URI:      https://github.com/Artawower?tab=repositories
:CREATED:  [2024-01-04 Thu 14:11]
:ID:       Artawower--Artawower--Repositories-GitHub-2024-07-03-12-19-46
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/emacs-pe/crontab-mode][GitHub - emacs-pe/crontab-mode]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - emacs-pe/crontab-mode
:URI:      https://github.com/emacs-pe/crontab-mode
:CREATED:  [2024-01-04 Thu 14:11]
:ID:       GitHub-emacs-pe-crontab-mode-2024-07-03-12-19-57
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Boruch-Baum/emacs-crossword][GitHub - Boruch-Baum/emacs-crossword: Play/Download crossword puzzles in Emacs]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - Boruch-Baum/emacs-crossword: Play/Download crossword puzzles in Emacs
:URI:      https://github.com/Boruch-Baum/emacs-crossword
:CREATED:  [2024-01-04 Thu 14:10]
:ID:       GitHub-Boruch-Baum-emacs-crossword-Play-Download-crossword-puzzles-in-Emacs-2024-07-03-12-20-06
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/xenodium/chatgpt-shell][GitHub - xenodium/chatgpt-shell: ChatGPT and DALL-E Emacs shells + Org babel 🦄 + a shell maker for other providers]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - xenodium/chatgpt-shell: ChatGPT and DALL-E Emacs shells + Org babel 🦄 + a shell maker for other providers
:URI:      https://github.com/xenodium/chatgpt-shell
:CREATED:  [2024-01-04 Thu 14:10]
:ID:       GitHub-xenodium-chatgpt-shell-ChatGPT-and-DALL-E-Emacs-shells-plus-Org-babel-plus-a-shell-maker-for-other-providers-2024-07-03-12-20-15
:ORG_GTD:  Projects
:END:

*** TODO [[https://elpa.gnu.org/packages/csv-mode.html][GNU ELPA - csv-mode]] :emacs:
:PROPERTIES:
:TITLE:    GNU ELPA - csv-mode
:URI:      https://elpa.gnu.org/packages/csv-mode.html
:CREATED:  [2024-01-04 Thu 14:10]
:ID:       GNU-ELPA-csv-mode-2024-07-03-12-20-24
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/abo-abo/define-word][GitHub - abo-abo/define-word: Display the definition of word at point in Emacs]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - abo-abo/define-word: Display the definition of word at point in Emacs
:URI:      https://github.com/abo-abo/define-word
:CREATED:  [2024-01-04 Thu 14:09]
:ID:       GitHub-abo-abo-define-word-Display-the-definition-of-word-at-point-in-Emacs-2024-07-03-12-20-32
:ORG_GTD:  Projects
:END:

*** TODO [[https://git.sr.ht/~zetagon/el-secretario][~zetagon/el-secretario - The Emacs Secretary - sourcehut git]] :emacs:
:PROPERTIES:
:TITLE:    ~zetagon/el-secretario - The Emacs Secretary - sourcehut git
:URI:      https://git.sr.ht/~zetagon/el-secretario
:CREATED:  [2024-01-04 Thu 14:09]
:ID:       zetagon-el-secretario-The-Emacs-Secretary-sourcehut-git-2024-07-03-12-20-43
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Wilfred/emacs-refactor][GitHub - Wilfred/emacs-refactor: language-specific refactoring in Emacs]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - Wilfred/emacs-refactor: language-specific refactoring in Emacs
:URI:      https://github.com/Wilfred/emacs-refactor
:CREATED:  [2024-01-04 Thu 14:08]
:ID:       GitHub-Wilfred-emacs-refactor-language-specific-refactoring-in-Emacs-2024-07-03-12-20-50
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/LaurenceWarne/finito.el][GitHub - LaurenceWarne/finito.el: 📚 Manage books with Emacs 📚]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - LaurenceWarne/finito.el: 📚 Manage books with Emacs 📚
:URI:      https://github.com/LaurenceWarne/finito.el
:CREATED:  [2024-01-04 Thu 14:07]
:ID:       GitHub-LaurenceWarne-finito-dot-el-Manage-books-with-Emacs-2024-07-03-12-20-58
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/LaurenceWarne/libro-finito][GitHub - LaurenceWarne/libro-finito: A book management backend written in Scala]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - LaurenceWarne/libro-finito: A book management backend written in Scala
:URI:      https://github.com/LaurenceWarne/libro-finito
:CREATED:  [2024-01-04 Thu 14:07]
:ID:       GitHub-LaurenceWarne-libro-finito-A-book-management-backend-written-in-Scala-2024-07-03-12-21-05
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.flycheck.org/en/latest/][Flycheck — Syntax checking for GNU Emacs — Flycheck 33-cvs documentation]] :emacs:
:PROPERTIES:
:TITLE:    Flycheck — Syntax checking for GNU Emacs — Flycheck 33-cvs documentation
:URI:      https://www.flycheck.org/en/latest/
:CREATED:  [2024-01-04 Thu 14:06]
:ID:       Flycheck-Syntax-checking-for-GNU-Emacs-Flycheck-33-cvs-documentation-2024-07-03-12-21-50
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/emacs-helm/helm-org][GitHub - emacs-helm/helm-org]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - emacs-helm/helm-org
:URI:      https://github.com/emacs-helm/helm-org
:CREATED:  [2024-01-04 Thu 14:06]
:ID:       GitHub-emacs-helm-helm-org-2024-07-03-12-21-57
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/stuhlmueller/gpt.el][GitHub - stuhlmueller/gpt.el: A simple Emacs package for calling instruction-following language models]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - stuhlmueller/gpt.el: A simple Emacs package for calling instruction-following language models
:URI:      https://github.com/stuhlmueller/gpt.el
:CREATED:  [2024-01-04 Thu 14:06]
:ID:       GitHub-stuhlmueller-gpt-dot-el-A-simple-Emacs-package-for-calling-instruction-following-language-models-2024-07-03-12-22-03
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/alphapapa/org-rifle][GitHub - alphapapa/org-rifle: Rifle through your Org-mode buffers and acquire your target]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - alphapapa/org-rifle: Rifle through your Org-mode buffers and acquire your target
:URI:      https://github.com/alphapapa/org-rifle
:CREATED:  [2024-01-04 Thu 14:05]
:ID:       GitHub-alphapapa-org-rifle-Rifle-through-your-Org-mode-buffers-and-acquire-your-target-2024-07-03-12-22-10
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/enisozgen/idle-org-agenda][GitHub - enisozgen/idle-org-agenda: A package that shows your agenda when Emacs is idle]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - enisozgen/idle-org-agenda: A package that shows your agenda when Emacs is idle
:URI:      https://github.com/enisozgen/idle-org-agenda
:CREATED:  [2024-01-04 Thu 14:05]
:ID:       GitHub-enisozgen-idle-org-agenda-A-package-that-shows-your-agenda-when-Emacs-is-idle-2024-07-03-12-22-19
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/marcwebbie/auto-virtualenv][GitHub - marcwebbie/auto-virtualenv: Automatically activate python virtualenv on Emacs]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - marcwebbie/auto-virtualenv: Automatically activate python virtualenv on Emacs
:URI:      https://github.com/marcwebbie/auto-virtualenv
:CREATED:  [2024-01-04 Thu 12:09]
:ID:       GitHub-marcwebbie-auto-virtualenv-Automatically-activate-python-virtualenv-on-Emacs-2024-07-03-12-22-26
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/rranelli/auto-package-update.el][GitHub - rranelli/auto-package-update.el: Automatically update Emacs packages.]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - rranelli/auto-package-update.el: Automatically update Emacs packages.
:URI:      https://github.com/rranelli/auto-package-update.el
:CREATED:  [2024-01-04 Thu 12:08]
:ID:       GitHub-rranelli-auto-package-update-dot-el-Automatically-update-Emacs-packages-dot-2024-07-03-12-22-35
:ORG_GTD:  Projects
:END:

*** TODO [[https://nschum.de/src/emacs/auto-dictionary/][auto-dictionary-mode]] :emacs:
:PROPERTIES:
:TITLE:    auto-dictionary-mode
:URI:      https://nschum.de/src/emacs/auto-dictionary/
:CREATED:  [2024-01-04 Thu 12:05]
:ID:       auto-dictionary-mode-2024-07-03-12-22-41
:ORG_GTD:  Projects
:END:

*** TODO [[https://honnef.co/articles/my-org-roam-workflows-for-taking-notes-and-writing-articles/][My org-roam workflows for taking notes and writing articles — Dominik Honnef]]
:PROPERTIES:
:CREATED:  [2024-01-03 Wed 20:28]
:TITLE:    My org-roam workflows for taking notes and writing articles — Dominik Honnef
:URI:      https://honnef.co/articles/my-org-roam-workflows-for-taking-notes-and-writing-articles/
:ID:       My-org-roam-workflows-for-taking-notes-and-writing-articles-Dominik-Honnef-2024-07-03-12-22-48
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/jart/emacs-copilot][GitHub - jart/emacs-copilot: Large language model code completion for Emacs]] :emacs:
:PROPERTIES:
:CREATED:  [2024-01-01 Mon 08:22]
:TITLE:    GitHub - jart/emacs-copilot: Large language model code completion for Emacs
:URI:      https://github.com/jart/emacs-copilot
:ID:       GitHub-jart-emacs-copilot-Large-language-model-code-completion-for-Emacs-2024-07-03-12-24-08
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/gopar/.emacs.d][GitHub - gopar/.emacs.d: All my emacs config files]] :emacs:
:PROPERTIES:
:CREATED:  [2023-12-27 Wed 03:02]
:TITLE:    GitHub - gopar/.emacs.d: All my emacs config files
:URI:      https://github.com/gopar/.emacs.d
:ID:       GitHub-gopar-dot-emacs-dot-d-All-my-emacs-config-files-2024-07-03-12-25-29
:ORG_GTD:  Projects
:END:

*** TODO [[https://protesilaos.com/emacs/dotemacs][GNU Emacs configuration | Protesilaos Stavrou]] :emacs:
:PROPERTIES:
:CREATED:  [2023-12-27 Wed 03:02]
:TITLE:    GNU Emacs configuration | Protesilaos Stavrou
:URI:      https://protesilaos.com/emacs/dotemacs
:ID:       GNU-Emacs-configuration-Protesilaos-Stavrou-2024-07-03-12-25-38
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.pygopar.com/writing-ghost-blog-posts-from-emacs][Pygopar - Trust me, Python will rule the world. And Emacs will guide it.]] :emacs:
:PROPERTIES:
:CREATED:  [2023-12-27 Wed 02:53]
:TITLE:    Pygopar - Trust me, Python will rule the world. And Emacs will guide it.
:URI:      https://www.pygopar.com/writing-ghost-blog-posts-from-emacs
:ID:       Pygopar-Trust-me-Python-will-rule-the-world-dot-And-Emacs-will-guide-it-dot-2024-07-03-12-25-48
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/jxq0/org-tidy][GitHub - jxq0/org-tidy: 🧹 An Emacs minor mode to automatically tidy org-mode property drawers]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - jxq0/org-tidy: 🧹 An Emacs minor mode to automatically tidy org-mode property drawers
:URI:      https://github.com/jxq0/org-tidy
:CREATED:  [2023-12-12 Tue 15:05]
:ID:       GitHub-jxq0-org-tidy-An-Emacs-minor-mode-to-automatically-tidy-org-mode-property-drawers-2024-07-03-13-19-03
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/kamushadenes/gptel-extensions.el][GitHub - kamushadenes/gptel-extensions.el: Extra functions for gptel]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - kamushadenes/gptel-extensions.el: Extra functions for gptel
:URI:      https://github.com/kamushadenes/gptel-extensions.el
:CREATED:  [2023-11-09 Thu 09:17]
:ID:       GitHub-kamushadenes-gptel-extensions-dot-el-Extra-functions-for-gptel-2024-07-03-13-19-48
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/kamushadenes/ai-blog.el][GitHub - kamushadenes/ai-blog.el: Blogging with Emacs and AI]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - kamushadenes/ai-blog.el: Blogging with Emacs and AI
:URI:      https://github.com/kamushadenes/ai-blog.el
:CREATED:  [2023-11-09 Thu 09:15]
:ID:       GitHub-kamushadenes-ai-blog-dot-el-Blogging-with-Emacs-and-AI-2024-07-03-13-19-57
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Silex/docker-emacs][GitHub - Silex/docker-emacs: Run Emacs in docker containers!]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - Silex/docker-emacs: Run Emacs in docker containers!
:URI:      https://github.com/Silex/docker-emacs
:CREATED:  [2023-09-12 Tue 09:03]
:ID:       GitHub-Silex-docker-emacs-Run-Emacs-in-docker-containers-2024-07-03-14-11-56
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Elilif/org-heatmap][GitHub - Elilif/org-heatmap: Show heatmap in org-mode.]] :emacs:
:PROPERTIES:
:CREATED:  [2023-08-25 Fri 21:38]
:TITLE:    GitHub - Elilif/org-heatmap: Show heatmap in org-mode.
:URI:      https://github.com/Elilif/org-heatmap
:ID:       GitHub-Elilif-org-heatmap-Show-heatmap-in-org-mode-dot-2024-07-03-14-20-57
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Naheel-Azawy/emacs-arabic-reshaper][GitHub - Naheel-Azawy/emacs-arabic-reshaper: Reshape Arabic characters in Emacs]] :arabic:emacs:
:PROPERTIES:
:TITLE:    GitHub - Naheel-Azawy/emacs-arabic-reshaper: Reshape Arabic characters in Emacs
:URI:      https://github.com/Naheel-Azawy/emacs-arabic-reshaper
:CREATED:  [2023-08-22 Tue 11:25]
:ID:       GitHub-Naheel-Azawy-emacs-arabic-reshaper-Reshape-Arabic-characters-in-Emacs-2024-07-03-14-21-06
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Naheel-Azawy/c-arabic-reshaper][GitHub - Naheel-Azawy/c-arabic-reshaper: A simple Arabic reshaper written in C]] :arabic:emacs:
:PROPERTIES:
:TITLE:    GitHub - Naheel-Azawy/c-arabic-reshaper: A simple Arabic reshaper written in C
:URI:      https://github.com/Naheel-Azawy/c-arabic-reshaper
:CREATED:  [2023-08-22 Tue 11:24]
:ID:       GitHub-Naheel-Azawy-c-arabic-reshaper-A-simple-Arabic-reshaper-written-in-C-2024-07-03-14-21-13
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/fuxialexander/org-pdftools][A custom org link type for pdf-tools]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - fuxialexander/org-pdftools: A custom org link type for pdf-tools
:URI:      https://github.com/fuxialexander/org-pdftools
:CREATED:  [2023-08-19 Sat 12:55]
:ID:       A-custom-org-link-type-for-pdf-tools-2024-07-03-14-22-17
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/ag91/moldable-emacs][Adapting Emacs for moldable development]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - ag91/moldable-emacs: Adapting Emacs for moldable development
:URI:      https://github.com/ag91/moldable-emacs
:CREATED:  [2023-08-19 Sat 12:55]
:ID:       Adapting-Emacs-for-moldable-development-2024-07-03-14-22-27
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/nobiot/org-transclusion][Emacs package to enable transclusion with Org Mode]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - nobiot/org-transclusion: Emacs package to enable transclusion with Org Mode
:URI:      https://github.com/nobiot/org-transclusion
:CREATED:  [2023-08-19 Sat 12:55]
:ID:       Emacs-package-to-enable-transclusion-with-Org-Mode-2024-07-03-14-22-33
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.reddit.com/r/emacs/comments/15ngxpn/the_ageold_question_when_to_declare_configuration/][The Age-Old Question: When to Declare "Configuration Bankruptcy"? : r/emacs]] :emacs:
:PROPERTIES:
:CREATED:  [2023-08-14 Mon 22:38]
:TITLE:    The Age-Old Question: When to Declare "Configuration Bankruptcy"? : r/emacs
:URI:      https://www.reddit.com/r/emacs/comments/15ngxpn/the_ageold_question_when_to_declare_configuration/
:ID:       The-Age-Old-Question-When-to-Declare-Configuration-Bankruptcy-r-emacs-2024-07-03-14-22-42
:ORG_GTD:  Projects
:END:

The two tops here

*** TODO [[https://github.com/freckletonj/uniteai][Your AI Stack in Your Editor]] :emacs:
:PROPERTIES:
:CREATED:  [2023-08-14 Mon 22:35]
:TITLE:    GitHub - freckletonj/uniteai: Your AI Stack in Your Editor
:URI:      https://github.com/freckletonj/uniteai
:ID:       Your-AI-Stack-in-Your-Editor-2024-07-03-14-22-50
:ORG_GTD:  Projects
:END:

*** TODO [[https://zapier.com/][Manage calendar from spreadsheets (or in my case emacs)]]
:PROPERTIES:
:CREATED:  [2023-07-27 Thu 17:00]
:TITLE:    Manage calendar from spreadsheets (or in my case emacs)
:URI:      https://zapier.com/
:ID:       Manage-calendar-from-spreadsheets--or-in-my-case-emacs-2024-07-03-14-52-16
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/greboide/emacs-gestures][A library of gesture commands for GNU Emacs' strokes-mode.]] :emacs:
:PROPERTIES:
:CREATED:  [2023-07-21 Fri 10:39]
:TITLE:    GitHub - greboide/emacs-gestures: A library of gesture commands for GNU Emacs' strokes-mode.
:URI:      https://github.com/greboide/emacs-gestures
:ID:       A-library-of-gesture-commands-for-GNU-Emacs-strokes-mode-dot-2024-07-03-14-58-15
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/sriramkswamy/dotemacs/blob/master/init.el][dotemacs/init.el at master · sriramkswamy/dotemacs · GitHub]] :emacs:
:PROPERTIES:
:TITLE:    dotemacs/init.el at master · sriramkswamy/dotemacs · GitHub
:URI:      https://github.com/sriramkswamy/dotemacs/blob/master/init.el
:CREATED:  [2023-07-06 Thu 10:23]
:ID:       dotemacs-init-dot-el-at-master-sriramkswamy-dotemacs-GitHub-2024-07-03-15-00-48
:ORG_GTD:  Projects
:END:

*** TODO [[https://gongzhitaao.org/orgcss/][CSS for Org-exported HTML]] :emacs:
:PROPERTIES:
:TITLE:    CSS for Org-exported HTML
:URI:      https://gongzhitaao.org/orgcss/
:CREATED:  [2023-07-06 Thu 10:22]
:ID:       CSS-for-Org-exported-HTML-2024-07-03-15-00-55
:ORG_GTD:  Projects
:END:

*** TODO [[https://jblevins.org/projects/deft/][Deft for Emacs]] :emacs:
:PROPERTIES:
:TITLE:    Deft for Emacs
:URI:      https://jblevins.org/projects/deft/
:CREATED:  [2023-07-06 Thu 10:22]
:ID:       Deft-for-Emacs-2024-07-03-15-01-02
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.emacswiki.org/emacs/WindowConfiguration][EmacsWiki: Window Configuration]] :emacs:
:PROPERTIES:
:TITLE:    EmacsWiki: Window Configuration
:URI:      https://www.emacswiki.org/emacs/WindowConfiguration
:CREATED:  [2023-07-06 Thu 10:22]
:ID:       EmacsWiki-Window-Configuration-2024-07-03-15-01-09
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.offerzen.com/blog/literate-programming-empower-your-writing-with-emacs-org-mode][Literate Programming: Empower Your Writing with Emacs Org-Mode - OfferZen]] :emacs:
:PROPERTIES:
:TITLE:    Literate Programming: Empower Your Writing with Emacs Org-Mode - OfferZen
:URI:      https://www.offerzen.com/blog/literate-programming-empower-your-writing-with-emacs-org-mode
:CREATED:  [2023-07-06 Thu 10:22]
:ID:       Literate-Programming-Empower-Your-Writing-with-Emacs-Org-Mode-OfferZen-2024-07-03-15-01-17
:ORG_GTD:  Projects
:END:

*** TODO [[https://caiorss.github.io/Emacs-Elisp-Programming/Org-mode-recipes.html][Org-mode - Literate Programming Recipes]] :emacs:
:PROPERTIES:
:TITLE:    Org-mode - Literate Programming Recipes
:URI:      https://caiorss.github.io/Emacs-Elisp-Programming/Org-mode-recipes.html
:CREATED:  [2023-07-06 Thu 10:22]
:ID:       Org-mode-Literate-Programming-Recipes-2024-07-03-15-01-23
:ORG_GTD:  Projects
:END:

*** TODO [[https://howardism.org/Technical/Emacs/literate-programming-tutorial.html][Introduction to Literate Programming]] :emacs:
:PROPERTIES:
:TITLE:    Introduction to Literate Programming
:URI:      https://howardism.org/Technical/Emacs/literate-programming-tutorial.html
:CREATED:  [2023-07-06 Thu 10:21]
:ID:       Introduction-to-Literate-Programming-2024-07-03-15-01-29
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.badykov.com/emacs/generating-site-from-org-mode-files/][Generating a site from org-mode files - Kraken of Thought]] :emacs:
:PROPERTIES:
:TITLE:    Generating a site from org-mode files - Kraken of Thought
:URI:      https://www.badykov.com/emacs/generating-site-from-org-mode-files/
:CREATED:  [2023-07-05 Wed 17:39]
:ID:       Generating-a-site-from-org-mode-files-Kraken-of-Thought-2024-07-03-15-01-47
:ORG_GTD:  Projects
:END:

*** TODO [[https://taingram.org/blog/org-mode-blog.html][Building a Emacs Org-Mode Blog]] :emacs:publishing:
:PROPERTIES:
:URI:      https://taingram.org/blog/org-mode-blog.html
:CREATED:  [2023-07-05 Wed 17:38]
:ID:       Building-a-Emacs-Org-Mode-Blog-2024-07-03-15-02-05
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/dantecatalfamo/ox-ssh][SSH config export for org-mode]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - dantecatalfamo/ox-ssh: SSH config export for org-mode
:URI:      https://github.com/dantecatalfamo/ox-ssh
:CREATED:  [2023-03-16 Thu 15:13]
:ID:       SSH-config-export-for-org-mode-2024-07-03-15-30-15
:ORG_GTD:  Projects
:END:

*** TODO [[https://takeonrules.com/2023/02/25/my-lesser-sung-packages-of-emacs/][My Lesser Sung Packages of Emacs // Take on Rules]] :emacs:
:PROPERTIES:
:TITLE:    My Lesser Sung Packages of Emacs // Take on Rules
:URI:      https://takeonrules.com/2023/02/25/my-lesser-sung-packages-of-emacs/
:CREATED:  [2023-03-16 Thu 14:11]
:ID:       My-Lesser-Sung-Packages-of-Emacs-Take-on-Rules-2024-07-03-15-30-23
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/jethrokuan/dots/blob/master/.doom.d/config.el][dots/config.el at master · jethrokuan/dots · GitHub]]
:PROPERTIES:
:TITLE:    dots/config.el at master · jethrokuan/dots · GitHub
:URI:      https://github.com/jethrokuan/dots/blob/master/.doom.d/config.el
:CREATED:  [2023-03-16 Thu 13:08]
:ID:       dots-config-dot-el-at-master-jethrokuan-dots-GitHub-2024-07-03-15-30-34
:ORG_GTD:  Projects
:END:

Very good Emacs configs by the maker of org-roam

*** TODO [[https://github.com/novoid/dot-emacs][GitHub - novoid/dot-emacs: My GNU/Emacs configuration]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - novoid/dot-emacs: My GNU/Emacs configuration
:URI:      https://github.com/novoid/dot-emacs
:CREATED:  [2023-03-02 Thu 15:47]
:ID:       GitHub-novoid-dot-emacs-My-GNU-Emacs-configuration-2024-07-03-15-32-54
:ORG_GTD:  Projects
:END:

*** TODO [[https://blog.jethro.dev/posts/capturing_inbox/][Org-mode Workflow Part 1: Capturing in the Inbox · Jethro Kuan]] :emacs:
:PROPERTIES:
:TITLE:    Org-mode Workflow Part 1: Capturing in the Inbox · Jethro Kuan
:URI:      https://blog.jethro.dev/posts/capturing_inbox/
:CREATED:  [2023-02-13 Mon 12:41]
:ID:       Org-mode-Workflow-Part-1-Capturing-in-the-Inbox-Jethro-Kuan-2024-07-03-15-38-55
:ORG_GTD:  Projects
:END:

*** TODO [[https://blog.jethro.dev/posts/how_to_take_smart_notes_org/][How To Take Smart Notes With Org-mode · Jethro Kuan]] :emacs:
:PROPERTIES:
:TITLE:    How To Take Smart Notes With Org-mode · Jethro Kuan
:URI:      https://blog.jethro.dev/posts/how_to_take_smart_notes_org/
:CREATED:  [2023-02-13 Mon 10:38]
:ID:       How-To-Take-Smart-Notes-With-Org-mode-Jethro-Kuan-2024-07-03-15-39-03
:ORG_GTD:  Projects
:END:

*** TODO [[https://takeonrules.com/2022/02/07/org-roam-emacs-and-ever-refining-the-note-taking-process/][Org Roam, Emacs, and Ever Refining the Note Taking Process // Take on Rules]]
:PROPERTIES:
:TITLE:    Org Roam, Emacs, and Ever Refining the Note Taking Process // Take on Rules
:URI:      https://takeonrules.com/2022/02/07/org-roam-emacs-and-ever-refining-the-note-taking-process/
:CREATED:  [2023-02-13 Mon 10:31]
:ID:       Org-Roam-Emacs-and-Ever-Refining-the-Note-Taking-Process-Take-on-Rules-2024-07-03-15-39-13
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.reddit.com/r/emacs/comments/hh2ves/emacs_application_framework/][Emacs application framework : r/emacs]] :emacs:
:PROPERTIES:
:TITLE:    Emacs application framework : r/emacs
:URI:      https://www.reddit.com/r/emacs/comments/hh2ves/emacs_application_framework/
:CREATED:  [2023-02-06 Mon 17:06]
:ID:       Emacs-application-framework-r-emacs-2024-07-03-15-40-43
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/emacs-eaf/emacs-application-framework][EAF, an extensible framework that revolutionizes the graphical capabilities of Emacs]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - emacs-eaf/emacs-application-framework: EAF, an extensible framework that revolutionizes the graphical capabilities of Emacs
:URI:      https://github.com/emacs-eaf/emacs-application-framework
:CREATED:  [2023-02-06 Mon 15:20]
:ID:       EAF-an-extensible-framework-that-revolutionizes-the-graphical-capabilities-of-Emacs-2024-07-03-15-40-52
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/MatthewZMD/.emacs.d][M-EMACS, a full-featured GNU Emacs configuration distribution]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - MatthewZMD/.emacs.d: M-EMACS, a full-featured GNU Emacs configuration distribution
:URI:      https://github.com/MatthewZMD/.emacs.d
:CREATED:  [2023-02-06 Mon 14:54]
:ID:       M-EMACS-a-full-featured-GNU-Emacs-configuration-distribution-2024-07-03-15-41-01
:ORG_GTD:  Projects
:END:

*** CNCL [[https://github.com/karlicoss/dotemacs/blob/master/bin/gemacsclient][dotemacs/gemacsclient at master · karlicoss/dotemacs · GitHub]] :emacs:
:PROPERTIES:
:TITLE:    dotemacs/gemacsclient at master · karlicoss/dotemacs · GitHub
:URI:      https://github.com/karlicoss/dotemacs/blob/master/bin/gemacsclient
:CREATED:  [2023-02-05 Sun 00:57]
:ID:       dotemacs-gemacsclient-at-master-karlicoss-dotemacs-GitHub-2024-07-03-15-41-29
:ORG_GTD:  Projects
:END:
:LOGBOOK:
- State "CNCL"   from              [2023-08-11 Fri 13:58]
:END:

*** TODO [[https://github.com/emacsorphanage/helm-swoop][Efficiently hopping squeezed lines powered by Emacs helm interface]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - emacsorphanage/helm-swoop: Efficiently hopping squeezed lines powered by Emacs helm interface
:URI:      https://github.com/emacsorphanage/helm-swoop
:CREATED:  [2023-02-05 Sun 00:56]
:ID:       Efficiently-hopping-squeezed-lines-powered-by-Emacs-helm-interface-2024-07-03-15-41-52
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/PaulOfford/mbserver][Microblog Server]] :radio:software:emacs:
:PROPERTIES:
:TITLE:    GitHub - PaulOfford/mbserver: Microblog Server
:URI:      https://github.com/PaulOfford/mbserver
:CREATED:  [2023-02-01 Wed 08:09]
:ID:       Microblog-Server-2024-07-03-15-46-12
:ORG_GTD:  Projects
:END:

Microblogging on JS8Call

*** TODO [[https://github.com/emacsmirror][The Emacsmirror]] :emacs:
:PROPERTIES:
:TITLE:    The Emacsmirror
:URI:      https://github.com/emacsmirror
:CREATED:  [2023-01-31 Tue 09:47]
:ID:       The-Emacsmirror-2024-07-03-15-46-32
:ORG_GTD:  Projects
:END:

The Emacsmirror is a growing collection of Emacs Lisp packages. All mirrored packages are available as Git repositories. In most cases this is done by mirroring the upstream Git repository, but if upstream uses something else, then the mirror nevertheless makes the package available as a Git repository.

*** TODO [[https://rgoswami.me/posts/org-note-workflow/][An Orgmode Note Workflow :: Rohit Goswami — Reflections]] :emacs:
:PROPERTIES:
:TITLE:    An Orgmode Note Workflow :: Rohit Goswami — Reflections
:URI:      https://rgoswami.me/posts/org-note-workflow/
:CREATED:  [2023-01-31 Tue 09:29]
:ID:       An-Orgmode-Note-Workflow-Rohit-Goswami-Reflections-2024-07-03-15-46-40
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/whacked/dot/tree/master/emacs.d][dot/emacs.d at master · whacked/dot · GitHub]] :emacs:
:PROPERTIES:
:TITLE:    dot/emacs.d at master · whacked/dot · GitHub
:URI:      https://github.com/whacked/dot/tree/master/emacs.d
:CREATED:  [2023-01-31 Tue 09:03]
:ID:       dot-emacs-dot-d-at-master-whacked-dot-GitHub-2024-07-03-15-46-49
:ORG_GTD:  Projects
:END:

*** TODO [[https://skeptric.com/emacs-email/][Don’t manage work email with Emacs]] :emacs:email:
:PROPERTIES:
:TITLE:    skeptric - Don’t manage work email with Emacs
:URI:      https://skeptric.com/emacs-email/
:CREATED:  [2023-01-29 Sun 01:37]
:ID:       Don-t-manage-work-email-with-Emacs-2024-07-03-15-46-57
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/gromnitsky/read-aloud.el][A simple Emacs interface to TTS (text-to-speech) engines]] :emacs:audio:
:PROPERTIES:
:TITLE:    GitHub - gromnitsky/read-aloud.el: A simple Emacs interface to TTS (text-to-speech) engines
:URI:      https://github.com/gromnitsky/read-aloud.el
:CREATED:  [2023-01-28 Sat 12:30]
:ID:       A-simple-Emacs-interface-to-TTS--text-to-speech--engines-2024-07-03-15-47-16
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/bbatsov/projectile][Project Interaction Library for Emacs]] :emacs:work:
:PROPERTIES:
:TITLE:    GitHub - bbatsov/projectile: Project Interaction Library for Emacs
:URI:      https://github.com/bbatsov/projectile
:CREATED:  [2023-01-28 Sat 11:08]
:ID:       Project-Interaction-Library-for-Emacs-2024-07-03-15-47-35
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/IvanMalison/org-projectile][Manage org-mode TODOs for your projectile projects]] :emacs:work:
:PROPERTIES:
:TITLE:    GitHub - IvanMalison/org-projectile: Manage org-mode TODOs for your projectile projects
:URI:      https://github.com/IvanMalison/org-projectile
:CREATED:  [2023-01-28 Sat 11:06]
:ID:       Manage-org-mode-TODOs-for-your-projectile-projects-2024-07-03-15-47-43
:ORG_GTD:  Projects
:END:

*** CNCL [[https://github.com/vapniks/org-dotemacs][Store your emacs config as an org file, and load code snippets based on tag matches.]] :emacs:
CLOSED: [2023-07-06 Thu 05:40]
:PROPERTIES:
:TITLE:    GitHub - vapniks/org-dotemacs: Store your emacs config as an org file, and load code snippets based on tag matches.
:URI:      https://github.com/vapniks/org-dotemacs
:CREATED:  [2023-01-28 Sat 10:53]
:ID:       Store-your-emacs-config-as-an-org-file-and-load-code-snippets-based-on-tag-matches-dot-2024-07-03-15-47-50
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/antham/git-backup][GitHub - antham/git-backup]] :emacs:archive:computers:
:PROPERTIES:
:TITLE:    GitHub - antham/git-backup
:URI:      https://github.com/antham/git-backup
:CREATED:  [2023-01-28 Sat 09:06]
:ID:       GitHub-antham-git-backup-2024-07-03-15-48-01
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/emacs-pe/crontab-mode][crontab-mode]] :emacs:
:PROPERTIES:
:CREATED:  [2023-01-27 Fri 21:14]
:TITLE:    GitHub - emacs-pe/crontab-mode
:URI:      https://github.com/emacs-pe/crontab-mode
:ID:       crontab-mode-2024-07-03-15-48-10
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/mykyta-shyrin/cheatsheet][cheatsheet]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - mykyta-shyrin/cheatsheet
:URI:      https://github.com/mykyta-shyrin/cheatsheet
:CREATED:  [2023-01-27 Fri 21:11]
:ID:       cheatsheet-2024-07-03-15-48-31
:ORG_GTD:  Projects
:END:

*** TODO [[https://lucidmanager.org/productivity/more-productive-with-emacs/][More Productive with Emacs: Writing, Researching, Publishing]] :emacs:
:PROPERTIES:
:TITLE:    More Productive with Emacs: Writing, Researching, Publishing
:URI:      https://lucidmanager.org/productivity/more-productive-with-emacs/
:CREATED:  [2023-01-27 Fri 18:54]
:ID:       More-Productive-with-Emacs-Writing-Researching-Publishing-2024-07-03-15-48-40
:ORG_GTD:  Projects
:END:

Very good introduction, tutorial and configs to get one started with Emacs for prose purposes.

*** TODO [[https://blog.aaronbieber.com/2016/09/24/an-agenda-for-life-with-org-mode.html][An Agenda for Life With Org Mode - The Chronicle]] :emacs:agenda:
:PROPERTIES:
:TITLE:    An Agenda for Life With Org Mode - The Chronicle
:URI:      https://blog.aaronbieber.com/2016/09/24/an-agenda-for-life-with-org-mode.html
:CREATED:  [2023-01-25 Wed 19:49]
:ID:       An-Agenda-for-Life-With-Org-Mode-The-Chronicle-2024-07-03-15-49-24
:ORG_GTD:  Projects
:END:

*** TODO [[https://jethrokuan.github.io/org-roam-guide/][How I Take Notes with Org-roam]]
:PROPERTIES:
:TITLE:    How I Take Notes with Org-roam
:URI:      XT [[https://jethrokuan.github.io/org-roam-guide/
:CREATED:  [2023-01-25 Wed 04:00]
:ID:       How-I-Take-Notes-with-Org-roam-2024-07-03-15-49-33
:ORG_GTD:  Projects
:END:

By the maker of org-roam himself

*** TODO [[https://github.com/org-roam/org-roam/issues/1605][On Android Termux, any access to the database fails with "middleware out of memory" error · Issue #1605 · org-roam/org-roam · GitHub]]
:PROPERTIES:
:TITLE:    On Android Termux, any access to the database fails with "middleware out of memory" error · Issue #1605 · org-roam/org-roam · GitHub
:URI:      XT [[https://github.com/org-roam/org-roam/issues/1605
:CREATED:  [2023-01-25 Wed 03:28]
:ID:       On-Android-Termux-any-access-to-the-database-fails-with-middleware-out-of-memory-error-Issue-1605-org-roam-org-roam-GitHub-2024-07-03-15-49-42
:ORG_GTD:  Projects
:END:

*** TODO [[https://www.emacswiki.org/][EmacsWiki]] :emacs:
:PROPERTIES:
:TITLE:    EmacsWiki
:URI:      https://www.emacswiki.org/
:CREATED:  [2023-01-21 Sat 09:58]
:ID:       EmacsWiki-2024-07-03-15-50-15
:ORG_GTD:  Projects
:END:

**** DONE [[https://github.com/pprevos/EmacsLife][GitHub - pprevos/EmacsLife: Managing your life and work with Emacs]] :emacs:
CLOSED: [2023-01-30 Mon 07:25]
:PROPERTIES:
:TITLE:    GitHub - pprevos/EmacsLife: Managing your life and work with Emacs
:URI:      https://github.com/pprevos/EmacsLife
:CREATED:  [2023-01-27 Fri 12:13]
:ORG_GTD:  Projects
:ID:       GitHub-pprevos-EmacsLife-Managing-your-life-and-2026-03-30-20-19-20
:END:

Great Emacs and Org-mode setup tutorial and config files

*** TODO [[https://guix.gnu.org/][GNU Guix transactional package manager and distribution — GNU Guix]] :emacs:
:PROPERTIES:
:TITLE:    GNU Guix transactional package manager and distribution — GNU Guix
:URI:      https://guix.gnu.org/
:CREATED:  [2023-01-17 Tue 20:11]
:MODIFIED: [2023-01-17 20:11]
:ID:       GNU-Guix-transactional-package-manager-and-distribution-GNU-Guix-2024-07-03-15-50-23
:ORG_GTD:  Projects
:END:

*** DONE [[https://www.clintonliddick.com/articles/my-emacs-setup/][My Emacs Setup | Clinton Liddick]] :emacs:
:PROPERTIES:
:CREATED:  [2023-01-15 Sun 12:04]
:ID:       My-Emacs-Setup-Clinton-Liddick-2024-07-03-15-50-32
:ORG_GTD:  Projects
:END:
:LOGBOOK:
   - State "DONE"       from "TODO"       [2023-07-02 Sun 15:10]
:END:
Daemon
Terminal support
Use-package for portability

*** DONE [[https://www.sandeepnambiar.com/my-minimal-emacs-setup/][My Minimal Emacs Setup | Sandeep Nambiar]] :emacs:
CLOSED: [2023-01-23 Mon 13:37]
:PROPERTIES:
:CREATED:  [2023-01-15 Sun 11:59]
:ID:       My-Minimal-Emacs-Setup-Sandeep-Nambiar-2024-07-03-15-50-46
:ORG_GTD:  Projects
:END:

*** TODO [[https://karl-voit.at/2017/12/17/pandoc-docx-reference/][UOMF: Using Template Files for Pandoc Exports to Word or LibreOffice]] :emacs:
:PROPERTIES:
:TITLE:    UOMF: Using Template Files for Pandoc Exports to Word or LibreOffice
:URI:      https://karl-voit.at/2017/12/17/pandoc-docx-reference/
:CREATED:  [2023-01-13 Fri 13:09]
:ID:       UOMF-Using-Template-Files-for-Pandoc-Exports-to-Word-or-LibreOffice-2024-07-04-09-37-51
:ORG_GTD:  Projects
:END:

*** TODO [[http://doc.norang.ca/org-mode.html][Org Mode - Organize Your Life In Plain Text!]] :org_mode:organisation:emacs:
:PROPERTIES:
:TITLE:    Org Mode - Organize Your Life In Plain Text!
:URI:      http://doc.norang.ca/org-mode.html
:CREATED:  [2022-12-28 Wed 13:00]
:MODIFIED: [2022-12-28 13:00]
:ID:       Org-Mode-Organize-Your-Life-In-Plain-Text-2024-07-04-09-39-02
:ORG_GTD:  Projects
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2024-02-02 Fri 16:37]
:END:

*** TODO [[https://blog.lambda.cx/posts/hugo-org-set-image-title/][How To Set An Image Title In Hugo Using Org-Mode Markup - lambda.cx blog]] :emacs:
:PROPERTIES:
:TITLE:    How To Set An Image Title In Hugo Using Org-Mode Markup - lambda.cx blog
:URI:      https://blog.lambda.cx/posts/hugo-org-set-image-title/
:CREATED:  2023-03-06 Mon 05:57
:ID:       How-To-Set-An-Image-Title-In-Hugo-Using-Org-Mode-Markup-lambda-dot-cx-blog-2024-07-04-10-17-14
:ORG_GTD:  Projects
:END:

*** TODO [[https://blog.lambda.cx/posts/org-ssh-export/][How I Keep Track of My Servers - lambda.cx blog]] :emacs:
:PROPERTIES:
:TITLE:    How I Keep Track of My Servers - lambda.cx blog
:URI:      https://blog.lambda.cx/posts/org-ssh-export/
:CREATED:  2023-03-06 Mon 05:55
:ID:       How-I-Keep-Track-of-My-Servers-lambda-dot-cx-blog-2024-07-04-10-19-47
:ORG_GTD:  Projects
:END:

*** TODO [[https://blog.lambda.cx/posts/emacs-on-android-setup/][My Emacs on Android Setup - lambda.cx blog]] :emacs:
:PROPERTIES:
:TITLE:    My Emacs on Android Setup - lambda.cx blog
:URI:      https://blog.lambda.cx/posts/emacs-on-android-setup/
:CREATED:  2023-03-06 Mon 05:31
:ID:       My-Emacs-on-Android-Setup-lambda-dot-cx-blog-2024-07-04-10-19-57
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/karlicoss/orger][Tool to convert data into searchable and interactive org-mode views]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - karlicoss/orger: Tool to convert data into searchable and interactive org-mode views
:URI:      https://github.com/karlicoss/orger
:CREATED:  2023-02-04 Sat 06:35
:ID:       Tool-to-convert-data-into-searchable-and-interactive-org-mode-views-2024-07-04-10-21-00
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/ch11ng/exwm][Emacs X Window Manager]] :emacs:
:PROPERTIES:
:TITLE:    GitHub - ch11ng/exwm: Emacs X Window Manager
:URI:      https://github.com/ch11ng/exwm
:CREATED:  2023-02-03 Fri 15:18
:ID:       Emacs-X-Window-Manager-2024-07-04-10-21-10
:ORG_GTD:  Projects
:END:

*** DONE [[https://www.masteringemacs.org/article/beginners-guide-to-emacs][An Emacs Tutorial: Beginner's Guide to Emacs - Mastering Emacs]] :emacs:
CLOSED: [2023-01-20 Fri 04:31]
:PROPERTIES:
:TITLE:    An Emacs Tutorial: Beginner's Guide to Emacs - Mastering Emacs
:URI:      https://www.masteringemacs.org/article/beginners-guide-to-emacs
:ID:       An-Emacs-Tutorial-Beginner-s-Guide-to-Emacs-Mastering-Emacs-2024-07-04-10-24-42
:ORG_GTD:  Projects
:END:

*** DONE [[https://devalot.com/articles/2008/07/project-planning.html][Behind the code: project planning - Devalot]] :emacs:
CLOSED: [2023-01-21 Sat 09:54]
:PROPERTIES:
:TITLE:    Behind the code: project planning - Devalot
:URI:      https://devalot.com/articles/2008/07/project-planning.html
:ID:       Behind-the-code-project-planning-Devalot-2024-07-04-10-24-51
:ORG_GTD:  Projects
:END:

*** TODO Debian-el :emacs:
:PROPERTIES:
:ID:       Debian-el-2024-07-04-10-25-07
:ORG_GTD:  Projects
:END:

#+begin_src elisp :tangle no
  (use-package debian-el
    :ensure t
    )
#+end_src

*** DONE [[https://karl-voit.at/2015/04/05/digitizing-paper/][Digitizing All Your Paper Stuff]] :emacs:
CLOSED: [2023-01-13 Fri 13:22]
:PROPERTIES:
:TITLE:    Digitizing All Your Paper Stuff
:URI:      https://karl-voit.at/2015/04/05/digitizing-paper/
:ID:       Digitizing-All-Your-Paper-Stuff-2024-07-04-10-25-17
:ORG_GTD:  Projects
:END:

*** DONE [[https://www.emacswiki.org/emacs/LearningEmacs][EmacsWiki: Learning Emacs]] :emacs:
CLOSED: [2023-01-21 Sat 09:58]
:PROPERTIES:
:TITLE:    EmacsWiki: Learning Emacs
:URI:      https://www.emacswiki.org/emacs/LearningEmacs
:ID:       EmacsWiki-Learning-Emacs-2024-07-04-10-25-24
:ORG_GTD:  Projects
:END:

*** DONE [[https://zettelkasten.de/posts/overview/][Getting Started • Zettelkasten Method]] :emacs:
CLOSED: [2023-01-15 Sun 04:52]
:PROPERTIES:
:TITLE:    Getting Started • Zettelkasten Method
:URI:      https://zettelkasten.de/posts/overview/
:ID:       Getting-Started-Zettelkasten-Method-2024-07-04-10-25-31
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2021/01/11/company-file-management/][How to Design File Management for a Company]] :emacs:
CLOSED: [2023-01-21 Sat 08:37]
:PROPERTIES:
:TITLE:    How to Design File Management for a Company
:URI:      https://karl-voit.at/2021/01/11/company-file-management/
:ID:       How-to-Design-File-Management-for-a-Company-2024-07-04-10-25-38
:ORG_GTD:  Projects
:END:

*** DONE [[https://david.rothlis.net/emacs/howtolearn.html][How to learn Emacs :: About this guide to Emacs]] :emacs:
CLOSED: [2023-01-20 Fri 04:37]
:PROPERTIES:
:TITLE:    How to learn Emacs :: About this guide to Emacs
:URI:      https://david.rothlis.net/emacs/howtolearn.html
:ID:       How-to-learn-Emacs-About-this-guide-to-Emacs-2024-07-04-10-25-46
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2022/01/29/How-to-Use-Tags/][How to Use Tags]] :emacs:
CLOSED: [2023-01-21 Sat 08:40]
:PROPERTIES:
:TITLE:    How to Use Tags
:URI:      https://karl-voit.at/2022/01/29/How-to-Use-Tags/
:ID:       How-to-Use-Tags-2024-07-04-10-25-53
:ORG_GTD:  Projects
:END:

*** DONE [[https://metajack.im/2009/01/01/journaling-with-emacs-orgmode/][metajack.im - Journaling with Emacs OrgMode]] :emacs:
CLOSED: [2023-01-21 Sat 09:54]
:PROPERTIES:
:TITLE:    metajack.im - Journaling with Emacs OrgMode
:URI:      https://metajack.im/2009/01/01/journaling-with-emacs-orgmode/
:ID:       metajack-dot-im-Journaling-with-Emacs-OrgMode-2024-07-04-10-26-00
:ORG_GTD:  Projects
:END:

*** DONE [[https://orgmode.org/worg/org-gtd-etc.html][Org for GTD and other Task managment systems]] :emacs:
CLOSED: [2023-01-14 Sat 03:21]
:PROPERTIES:
:TITLE:    Org for GTD and other Task managment systems
:URI:      https://orgmode.org/worg/org-gtd-etc.html
:ID:       Org-for-GTD-and-other-Task-managment-systems-2024-07-04-10-26-08
:ORG_GTD:  Projects
:END:

*** DONE [[https://emacs.cafe/emacs/orgmode/gtd/2017/06/30/orgmode-gtd.html][Orgmode for GTD]] :emacs:
CLOSED: [2023-01-14 Sat 03:27]
:PROPERTIES:
:TITLE:    Orgmode for GTD
:URI:      https://emacs.cafe/emacs/orgmode/gtd/2017/06/30/orgmode-gtd.html
:ID:       Orgmode-for-GTD-2024-07-04-10-26-15
:ORG_GTD:  Projects
:END:

*** DONE [[https://tychoish.com/post/org-mode-snippets/][org-mode snippets | tychoish]] :emacs:
CLOSED: [2023-01-21 Sat 09:54]
:PROPERTIES:
:TITLE:    org-mode snippets | tychoish
:URI:      https://tychoish.com/post/org-mode-snippets/
:ID:       org-mode-snippets-tychoish-2024-07-04-10-26-23
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2015/02/01/muttfilter/][Per-contact FROM-email Addresses for Users Of mutt and org-contacts.el]] :emacs:
CLOSED: [2023-01-15 Sun 10:56]
:PROPERTIES:
:TITLE:    Per-contact FROM-email Addresses for Users Of mutt and org-contacts.el
:URI:      https://karl-voit.at/2015/02/01/muttfilter/
:ID:       Per-contact-FROM-email-Addresses-for-Users-Of-mutt-and-org-contacts-dot-el-2024-07-04-10-26-31
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/tags/decentralization/][The Tag «decentralization»]] :emacs:
CLOSED: [2023-01-17 Tue 03:49]
:PROPERTIES:
:TITLE:    The Tag «decentralization»
:URI:      https://karl-voit.at/tags/decentralization/
:ID:       The-Tag-decentralization-2024-07-04-10-26-38
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2019/11/16/UOMF-Linking-Headings/][UOMF: Linking Headings]] :emacs:
CLOSED: [2023-01-14 Sat 03:39]
:PROPERTIES:
:TITLE:    UOMF: Linking Headings
:URI:      https://karl-voit.at/2019/11/16/UOMF-Linking-Headings/
:ID:       UOMF-Linking-Headings-2024-07-04-10-26-45
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2014/08/10/bookmarks-with-orgmode/][UOMF: Managing web bookmarks with Org Mode]] :emacs:
CLOSED: [2023-01-14 Sat 03:16]
:PROPERTIES:
:TITLE:    UOMF: Managing web bookmarks with Org Mode
:URI:      https://karl-voit.at/2014/08/10/bookmarks-with-orgmode/
:ID:       UOMF-Managing-web-bookmarks-with-Org-Mode-2024-07-04-10-26-52
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2022/01/09/mobile-capture-process/][UOMF: My Current Mobile Capture Process]] :emacs:
CLOSED: [2023-01-14 Sat 03:33]
:PROPERTIES:
:TITLE:    UOMF: My Current Mobile Capture Process
:URI:      https://karl-voit.at/2022/01/09/mobile-capture-process/
:ID:       UOMF-My-Current-Mobile-Capture-Process-2024-07-04-10-27-00
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2020/05/03/current-org-files/][UOMF: My Current Org Mode Files and Heading]] Structure :emacs:
CLOSED: [2023-01-15 Sun 10:57]
:PROPERTIES:
:TITLE:    UOMF: My Current Org Mode Files and Heading Structure
:URI:      https://karl-voit.at/2020/05/03/current-org-files/
:ID:       UOMF-My-Current-Org-Mode-Files-and-Heading-Structure-2024-07-04-10-27-08
:ORG_GTD:  Projects
:END:

I like the quantified self things here. Need to learn more.

*** DONE [[https://karl-voit.at/2019/11/03/org-projects/][UOMF: On How to Define Projects in Org Mode]] :emacs:
CLOSED: [2023-01-13 Fri 10:12]
:PROPERTIES:
:TITLE:    UOMF: On How to Define Projects in Org Mode
:URI:      https://karl-voit.at/2019/11/03/org-projects/
:ID:       UOMF-On-How-to-Define-Projects-in-Org-Mode-2024-07-04-10-27-14
:ORG_GTD:  Projects
:END:

*** DONE [[https://karl-voit.at/2015/12/26/reference-management-with-orgmode/][UOMF: Reference Management with Org Mode]] :emacs:
CLOSED: [2023-01-14 Sat 03:00]
:PROPERTIES:
:TITLE:    UOMF: Reference Management with Org Mode
:URI:      https://karl-voit.at/2015/12/26/reference-management-with-orgmode/
:ID:       UOMF-Reference-Management-with-Org-Mode-2024-07-04-10-27-22
:ORG_GTD:  Projects
:END:

This could replace Zotero for academic papers.

*** TODO [[https://karl-voit.at/2017/12/17/pandoc-docx-reference/][UOMF: Using Template Files for Pandoc Exports to Word or LibreOffice]]
:PROPERTIES:
:TITLE:    UOMF: Using Template Files for Pandoc Exports to Word or LibreOffice
:URI:      https://karl-voit.at/2017/12/17/pandoc-docx-reference/
:CREATED:  [2024-07-04 Thu 10:30]
:ID:       UOMF-Using-Template-Files-for-Pandoc-Exports-to-Word-or-LibreOffice-2024-07-04-10-31-13
:ORG_GTD:  Projects
:END:

Apparently good scanner drivers for Linux

*** TODO [[https://github.com/atykhonov/google-translate][GitHub - atykhonov/google-translate: Emacs interface to Google Translate]] :emacs:languages:translation:
:PROPERTIES:
:TITLE:    GitHub - atykhonov/google-translate: Emacs interface to Google Translate
:URI:      https://github.com/atykhonov/google-translate
:CREATED:  [2023-01-28 Sat 09:06]
:ID:       GitHub-atykhonov-google-translate-Emacs-interface-to-Google-Translate-2024-07-10-10-14-21
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/tmalsburg/guess-language.el][GitHub - tmalsburg/guess-language.el: Emacs minor mode that detects the language you're typing in. Automatically switches spell checker. Supports multiple languages per document.]] :emacs:languages:
:PROPERTIES:
:ID:       GitHub-tmalsburg-guess-language-dot-el-Emacs-minor-mode-that-detects-the-language-you-re-typing-in-dot-Automatically-switches-spell-checker-dot-Supports-multiple-languages-per-document-dot-2024-07-10-10-17-07
:ORG_GTD:  Projects
:END:

:URI: https://github.com/tmalsburg/guess-language.el
:TITLE: GitHub - tmalsburg/guess-language.el: Emacs minor mode that detects the language you're typing in. Automatically switches spell checker. Supports multiple languages per document.
:PROPERTIES:
:CREATED:  [2023-01-28 Sat 09:08]
:END:

*** TODO [[https://github.com/mhayashi1120/Emacs-langtool][GitHub - mhayashi1120/Emacs-langtool: LanguageTool for Emacs]] :emacs:writing:languages:
:PROPERTIES:
:TITLE:    GitHub - mhayashi1120/Emacs-langtool: LanguageTool for Emacs
:URI:      https://github.com/mhayashi1120/Emacs-langtool
:CREATED:  [2023-01-28 Sat 10:32]
:ID:       GitHub-mhayashi1120-Emacs-langtool-LanguageTool-for-Emacs-2024-07-10-10-17-27
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/aaron-em/ten-hundred-mode.el][GitHub - aaron-em/ten-hundred-mode.el: A thing to help people use only the ten hundred most usual English words.]] :emacs:languages:writing:
:PROPERTIES:
:TITLE:    GitHub - aaron-em/ten-hundred-mode.el: A thing to help people use only the ten hundred most usual English words.
:URI:      https://github.com/aaron-em/ten-hundred-mode.el
:CREATED:  [2023-01-28 Sat 12:40]
:ID:       GitHub-aaron-em-ten-hundred-mode-dot-el-A-thing-to-help-people-use-only-the-ten-hundred-most-usual-English-words-dot-2024-07-10-10-17-43
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/andreasjansson/language-detection.el][GitHub - andreasjansson/language-detection.el: Automatic programming language detection of code snippets, in Emacs Lisp]] :emacs:languages:
:PROPERTIES:
:TITLE:    GitHub - andreasjansson/language-detection.el: Automatic programming language detection of code snippets, in Emacs Lisp
:URI:      https://github.com/andreasjansson/language-detection.el
:CREATED:  [2023-01-28 Sat 10:32]
:ID:       GitHub-andreasjansson-language-detection-dot-el-Automatic-programming-language-detection-of-code-snippets-in-Emacs-Lisp-2024-07-10-10-17-53
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/emacsmirror/po-mode][GitHub - emacsmirror/po-mode: Major mode for GNU gettext PO files]] :emacs:software:translation:
:PROPERTIES:
:TITLE:    GitHub - emacsmirror/po-mode: Major mode for GNU gettext PO files
:URI:      https://github.com/emacsmirror/po-mode
:CREATED:  [2023-01-28 Sat 12:27]
:ID:       GitHub-emacsmirror-po-mode-Major-mode-for-GNU-gettext-PO-files-2024-07-10-10-18-04
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/abo-abo/define-word][GitHub - abo-abo/define-word: iDsplay the definition of word at point in Emacs]] :emacs:languages:
:PROPERTIES:
:TITLE:    GitHub - abo-abo/define-word: Display the definition of word at point in Emacs
:URI:      https://github.com/abo-abo/define-word
:CREATED:  [2023-01-22 Sun 10:07]
:ID:       GitHub-abo-abo-define-word-iDsplay-the-definition-of-word-at-point-in-Emacs-2024-07-10-10-18-20
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/mbork/emacs-cat][GitHub - mbork/emacs-cat: A simplistic Emacs CAT (Computer Aided Translation) mode]] :emacs:translation:
:PROPERTIES:
:TITLE:    GitHub - mbork/emacs-cat: A simplistic Emacs CAT (Computer Aided Translation) mode
:URI:      https://github.com/mbork/emacs-cat
:CREATED:  [2023-01-27 Fri 13:36]
:ID:       GitHub-mbork-emacs-cat-A-simplistic-Emacs-CAT--Computer-Aided-Translation--mode-2024-07-10-10-18-31
:ORG_GTD:  Projects
:END:

*** TODO [[https://gnu.emacs.help.narkive.com/prCCinux/emacs-as-a-translator-s-tool][Emacs as a translator's tool]] :emacs:translation:
:PROPERTIES:
:TITLE:    Emacs as a translator's tool
:URI:      https://gnu.emacs.help.narkive.com/prCCinux/emacs-as-a-translator-s-tool
:CREATED:  [2023-01-27 Fri 13:37]
:ID:       Emacs-as-a-translator-s-tool-2024-07-10-10-18-43
:ORG_GTD:  Projects
:END:

*** CNCL [[https://github.com/flycheck/flycheck-eask][Flycheck Eask]]
:PROPERTIES:
:ID:       Flycheck-Eask-2024-07-10-10-19-22
:ORG_GTD:  Projects
:END:
     :LOGBOOK:
     - State "CNCL"       from "TODO"       [2024-07-03 Wed 10:23] \\
       Eask is mainly for development.
     :END:
#+begin_src elisp
  
#+end_src

*** DONE [[https://www.lesbonscomptes.com/recoll/pages/index-recoll.html][Recoll]]
:PROPERTIES:
:TITLE:    Recoll
:URI:      https://www.lesbonscomptes.com/recoll/pages/index-recoll.html
:CREATED:  [2023-02-05 Sun 00:56]
:ID:       Recoll-2024-07-10-10-28-17
:ORG_GTD:  Projects
:END:
:LOGBOOK:
- State "DONE"       from "TODO"       [2023-08-18 Fri 13:05]
:END:

*** TODO [[https://github.com/org-roam/org-roam/pull/2388/commits/2a5c581270acd9171e3b59a8625522f5d54951e6][Take org-roam-node as argument to #'org-roam-refile by pestctrl · Pull Request #2388 · org-roam/org-roam · GitHub]]
:PROPERTIES:
:TITLE:    Take org-roam-node as argument to #'org-roam-refile by pestctrl · Pull Request #2388 · org-roam/org-roam · GitHub
:URI:      https://github.com/org-roam/org-roam/pull/2388/commits/2a5c581270acd9171e3b59a8625522f5d54951e6
:CREATED:  [2024-07-08 Mon 13:30]
:ID:       Take-org-roam-node-as-argument-to-org-roam-refile-by-pestctrl-Pull-Request-2388-org-roam-org-roam-GitHub-2024-07-29-14-56-35
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Trevoke/org-gtd.el/issues/209][Blocked repairing actionable.org from org-gtd-refile--group-p error · Issue #209 · Trevoke/org-gtd.el · GitHub]]
:PROPERTIES:
:TITLE:    Blocked repairing actionable.org from org-gtd-refile--group-p error · Issue #209 · Trevoke/org-gtd.el · GitHub
:URI:      https://github.com/Trevoke/org-gtd.el/issues/209
:CREATED:  [2024-07-08 Mon 14:00]
:ID:       Blocked-repairing-actionable-dot-org-from-org-gtd-refile-group-p-error-Issue-209-Trevoke-org-gtd-dot-el-GitHub-2024-07-29-14-56-47
:ORG_GTD:  Projects
:END:

 Recompile all Emacs packages with

 #+begin_src emacs-lisp :tangle no
    (byte-recompile-directory package-user-dir nil :force)
#+end_src

*** TODO [[https://github.com/Trevoke/org-gtd.el/issues/109][Explore the org-roam-captures and templates re: "archive this" · Issue #109 · Trevoke/org-gtd.el · GitHub]]
:PROPERTIES:
:TITLE:    Explore the org-roam-captures and templates re: "archive this" · Issue #109 · Trevoke/org-gtd.el · GitHub
:URI:      https://github.com/Trevoke/org-gtd.el/issues/109
:CREATED:  [2024-07-16 Tue 14:49]
:ID:       Explore-the-org-roam-captures-and-templates-re-archive-this-Issue-109-Trevoke-org-gtd-dot-el-GitHub-2024-07-29-15-04-10
:ORG_GTD:  Projects
:END:

*** TODO [[https://github.com/Trevoke/org-gtd.el/issues/180][Archive location issue and Delegated/Blocked visibility · Issue #180 · Trevoke/org-gtd.el · GitHub]]
:PROPERTIES:
:TITLE:    Archive location issue and Delegated/Blocked visibility · Issue #180 · Trevoke/org-gtd.el · GitHub
:URI:      https://github.com/Trevoke/org-gtd.el/issues/180
:CREATED:  [2024-07-16 Tue 14:49]
:ID:       Archive-location-issue-and-Delegated-Blocked-visibility-Issue-180-Trevoke-org-gtd-dot-el-GitHub-2024-07-29-15-04-19
:ORG_GTD:  Projects
:END:

